DROP TABLE IF EXISTS `forum_categories`;
CREATE TABLE IF NOT EXISTS `forum_categories` (
  `category_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category` varchar(250) DEFAULT NULL,
  `main_id` int(11) unsigned DEFAULT NULL,
  `description` text,
  `icon` varchar(250) DEFAULT NULL,
  `icon2` varchar(250) DEFAULT NULL,
  `grouping` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `forum_categories` (`category_id`, `category`, `main_id`, `description`, `icon`, `icon2`, `grouping`) VALUES
(1, 'Internet', 0, 'Description for Internet', 'default_homecat.png', 'default_homecat-new.png', 1),
(2, 'Transportation', 0, 'Description for Automobile', 'default_homecat.png', 'default_homecat-new.png', 2),
(3, 'eCommerce', 1, 'Description for eCommerce', '', '', 3),
(4, 'Advertising', 1, 'Description for Advertising', '', '', 4),
(5, 'Marketing', 1, 'Description for Marketing', '', '', 5),
(6, 'Virus', 1, 'Description for Virus', '', '', 6),
(7, 'Cars', 2, 'Description for Car', '', '', 7),
(8, 'Trucks', 2, 'Description for Truck', '', '', 8);


DROP TABLE IF EXISTS `forum_postings`;
CREATE TABLE IF NOT EXISTS `forum_postings` (
  `posting_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) unsigned DEFAULT NULL,
  `forum_topic` varchar(250) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `posted_by` varchar(100) DEFAULT NULL,
  `dateposted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `content` text,
  `original_content` text,
  `visits` int(11) unsigned DEFAULT NULL,
  `status` varchar(20) DEFAULT NULL,
  `edited_flag` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`posting_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `forum_postings` (`posting_id`, `category_id`, `forum_topic`, `user_id`, `contact_id`, `posted_by`, `dateposted`, `content`, `original_content`, `visits`, `status`, `edited_flag`) VALUES
(1, 4, 'The Most Powerful Advertising Solution Ever!', NULL, 1, 'Jimmy Test', DATE_SUB(NOW(), INTERVAL 25 DAY), '<p>The Most Powerful Advertising Solution Ever!</p><p>This is my first time sharing these powerful marketing methods with you. It is worth every penny!</p>', '<p>The Most Powerful Advertising Solution on the Internet!</p><p>This is my first time sharing these powerful marketing methods with you. It is worth every penny!</p>', 53, 'A', 0),
(2, 5, 'Cheaper PPC', NULL, 2, 'Nicole Test', DATE_SUB(NOW(), INTERVAL 20 DAY), '<p>Hello everyone!</p><p>My boss has been training me on PPC. I haven''t mastered it yet. Just want to know how to get more traffic for cheaper also looking for tips. I''m wondering if anybody has advise on this!</p><p>Thanks,<br />Nicole Test</p>', '<p>Hello everyone!</p><p>My boss has been training me on PPC. I haven''t mastered it yet. Just want to know how to get more traffic for cheaper also looking for tips. I''m wondering if anybody has advise on this!</p><p>Thanks,<br />Matt</p>', 95, 'A', 0),
(3, 6, 'Newbie Tips?', NULL, 3, 'Kareena Test', DATE_SUB(NOW(), INTERVAL 15 DAY), '<p>I''m new to this web marketing and would like for those already successful to share what was your biggest mistake when you were new with your online marketing or what do you see the most frequent mistake newbies making over and over again? I am hoping to avoid mistakes so that I can be successful and then help others.</p>', '<p>I''m new to this Web marketing and would like for those already successful to share what was your biggest mistake when you were new with your online marketing or what do you see the most frequent mistake newbies making over and over again? I am hoping to avoid mistakes so that I can be successful and then help others.</p>', 22, 'A', 0),
(4, 5, 'Shared Hosting ', NULL, 4, 'Razan Test', DATE_SUB(NOW(), INTERVAL 10 DAY), '<p>What is the shared hosting and what is the benefit of getting the shared hosting?</p>', '<p>What is the shared hosting and what is the benefit of getting the shared hosting?</p>', 6, 'A', 0),
(5, 5, 'What is E-mail marketing?', NULL, 5, 'Tara Test', DATE_SUB(NOW(), INTERVAL 5 DAY), '<p>What is E-mail marketing and how to do E-mail marketing?</p>', '<p>What is E-mail marketing and how to do E-mail marketing?</p>', 2, 'A', 0);


DROP TABLE IF EXISTS `forum_replies`;
CREATE TABLE IF NOT EXISTS `forum_replies` (
  `reply_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `posting_id` int(11) unsigned DEFAULT NULL,
  `posted_by` varchar(100) DEFAULT NULL,
  `contact_id` int(11) NOT NULL DEFAULT '0',
  `dateposted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `content` text,
  `status` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`reply_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `forum_replies` (`reply_id`, `posting_id`, `posted_by`, `contact_id`, `dateposted`, `content`, `status`) VALUES
(1, 1, 'Nicole Test', 2, DATE_SUB(NOW(), INTERVAL 23 DAY), '<p>A most interesting link, and a real opportunities.</p><p>Mariazi sponsors for free your name or your company on popular search engines. It&#39;s a sponsored invitation and not a spam: <a href="http://mariazi.com" target="_blank">http://mariazi.com</a></p><p>Why Mariazi platform is great for small businesses.</p><p>There are three reasons:</p><p>- It isn&#39;t another new supplementary networking platform! You don&#39;t need to publish any contents on there. Mariazi syndicates your contents automatically on the concept of identity management.</p><p>- Several profiles adapted to each of your activities (personnal, company, and communities). You can keep your activities separate from each other.</p>', 'A'),
(2, 1, 'Kareena Test', 3, DATE_SUB(NOW(), INTERVAL 21 DAY), '<p>Hello, if I create a poor Web site, will you send me $10 too?</p>', 'A'),
(3, 1, 'Razan Test', 4, DATE_SUB(NOW(), INTERVAL 19 DAY), '<p>Great stuff. I would like to thank you for sharing useful information.</p>', 'A'),
(4, 1, 'Tara Test', 7, DATE_SUB(NOW(), INTERVAL 17 DAY), '<p>Thanks for the information. I like it.</p>', 'A'),
(5, 2, 'Jimmy Test', 1, DATE_SUB(NOW(), INTERVAL 18 DAY), '<p>Hi Kareena,</p><p>Here&#39;s a brief summary of how we would do it:<br /></p><p>1. Set clear goals and objectives in click-through rate (CTR), conversion rate, etc.</p><p>2. Do lots of keyword researches. Note that keywords can be words, part numbers, wrong spellings, and anything that can be searched on the Internet.<br /><a href="https://adwords.google.com/select/KeywordToolExternal" target="_blank">https://adwords.google.com/select/KeywordToolExternal</a></p><p>3. Do competitive analysis. They are many tools that allow you to see what your competitors are doing. Googspy is a quick example. We are using a tool that is 10 times more powerful but can&#39;t disclose here for competitive reason.</p><p>4. Set up ad campaigns. There are many good books on how to do this. Buy all PPC books that are less than 3 years old, and learn the different strategies for Adwords, Yahoo! Search, MS AdCentral, Miva, and Baidu.</p><p>5. Create relevant landing pages for the keywords and ads. A good landing page can serve many sets of keywords and ads. But you do need a few variations.</p>', 'A'),
(6, 2, 'Kareena Test', 3, DATE_SUB(NOW(), INTERVAL 16 DAY), '<p>Jimmy Test,</p><p>I agree thoroughly with your approach. I have been at this for quite a while myself but have finally come to the point in my life that I want to focus on marketing not on the SEO. SEO tactics (that work) are changing often. I don&#39;t have the time to keep up with all of it anymore. I try to zero in on the important steps like Thomas has pointed out but let keyword and SEO tools do the initial hard work for me. Hang in there Marigold, it will come to you if you keep at it.</p>', 'A'),
(7, 2, 'Razan Test', 4, DATE_SUB(NOW(), INTERVAL 14 DAY), '<p>Great stuff. I would like to thank you for sharing useful information.</p>', 'A'),
(8, 2, 'Tara Test', 7, DATE_SUB(NOW(), INTERVAL 12 DAY), '<p>Thanks for the information. I like it.</p>', 'A'),
(9, 3, 'Jimmy Test', 1, DATE_SUB(NOW(), INTERVAL 13 DAY), '<p>The biggest mistake &quot;newbies&quot; make is not targeting their ads. If you are advertising &quot;Joe Plumber in Tucson&quot; only target your PPC campaign to Tucson or Pima County. You would be surprised how many people don''t understand this. Good luck.</p>', 'A'),
(10, 3, 'Nicole Test', 2, DATE_SUB(NOW(), INTERVAL 11 DAY), '<p>I would be careful about PPC advertising as well it is easy to lose a lot of money quickly. Try to learn as much as you can about SEO to attract free traffic.</p><p>Two helpful tools are Keyword Elite and Seo Elite.</p><p>Use a blog as well as a Web site. Submit articles to article directories.</p><p>Learn how to create a squeeze page with an autoresponder.</p>', 'A'),
(11, 3, 'Razan Test', 4, DATE_SUB(NOW(), INTERVAL 9 DAY), '<p>While registering and setting up an Google AdWords account can be done in a matter of minutes, learning and understanding the basic AdWords fundamental concepts, successful techniques and strategies is a process that takes time to learn, try it, test it, build and develop skills and experience. I encourage you to find reliable sources for guidance and advice. Get connected to an Online Community for support.</p><p>All the best!</p>', 'A'),
(12, 3, 'Tara Test', 7, DATE_SUB(NOW(), INTERVAL 7 DAY), '<p>Thanks for the information. I like it.</p>', 'A'),
(13, 4, 'Jimmy Test', 1, DATE_SUB(NOW(), INTERVAL 8 DAY), '<p>Shared hosting is where more than one website &quot;resides on the same server&quot;. That&#39;s the definition of shared hosting in a nutshell according to Wikipedia.</p>', 'A'),
(14, 4, 'Nicole Test', 2, DATE_SUB(NOW(), INTERVAL 6 DAY), '<p>The main benefit is that it&#39;s cheaper than other kinds of hosting.</p>', 'A'),
(15, 4, 'Kareena Test', 3, DATE_SUB(NOW(), INTERVAL 4 DAY), '<p>The most basic of Web hosting types. With shared hosting, numerous Web sites are shared on one server. While an economic solution, they typically cannot handle large amounts of storage or traffic.</p>', 'A'),
(16, 4, 'Tara Test', 7, DATE_SUB(NOW(), INTERVAL 3 DAY), '<p>The primary advantage of shared hosting is that it is much less expensive than dedicated hosting.</p>', 'A'),
(17, 5, 'Jimmy Test', 1, DATE_SUB(NOW(), INTERVAL 4 DAY), '<p>Email marketing is a form of direct marketing which intends to communicate commercial messages to potential customers.</p>', 'A'),
(18, 5, 'Nicole Test', 2, DATE_SUB(NOW(), INTERVAL 3 DAY), '<p>Email marketing is directly marketing a commercial message to a group of people by use of electronic mail.</p>', 'A'),
(19, 5, 'Kareena Test', 3, DATE_SUB(NOW(), INTERVAL 2 DAY), '<p>Email marketing is a form of direct marketing which uses electronic mail as a means of communicating commercial or fund-raising messages to an audience.</p>', 'A'),
(20, 5, 'Razan Test', 4, DATE_SUB(NOW(), INTERVAL 1 DAY), '<p>Email marketing is the powerful marketing tool. Email marketing used to still values by timely rich and enticing information and advertisement.</p>', 'A');


/* Also update "Use Default" data in Model setting file. */    
DROP TABLE IF EXISTS `forum_settings`;
CREATE TABLE IF NOT EXISTS `forum_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `forum_settings` (`useroption`, `setting`) VALUES
('forum_homepage_display', 'header_general'),
('forum_homepage_header', ''),
('forum_homepage_info', ''),
('forum_homepage_content', ''),
('forum_pageurl', ''),
('forum_plusurl', ''),
('forum_postingsdisplaycount', '10'),
('forum_limitrating', 'Yes'),
('forum_expiration', '30'),
('forum_postreply', 'On'),
('forum_newtopic', 'On'),
('forum_search', 'Yes'),
('forum_sortby', 'added'),
('forum_sortas', 'desc'),
('forum_sidemenu', 'Yes'),
('forum_sortcategories', 'alphabetically'),
('forum_supportname', ''),
('forum_supportemail', ''),
('forum_emailalert', ''),
('forum_mobilealert', ''),
('forum_newpostingalert', 'Yes'),
('forum_newpostingsubject', 'New Forum Posting'),
('forum_newpostingmessage', 'There is a new posting in Forum:\r\n\r\n[details]'),
('forum_approvedalert', 'Yes'),
('forum_approvedsubject', 'Forum Posting Approved: [topic]'),
('forum_approvedmessage', 'Congratulations! Your forum posting has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('forum_declinedalert', 'Yes'),
('forum_declinedsubject', 'Forum Posting Rejected: [topic]'),
('forum_declinedmessage', 'Hello, sorry we cannot accept your forum posting below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('forum_replyalert', 'Yes'),
('forum_replysubject', 'Forum Reply: [topic]'),
('forum_replymessage', '[first_name_last_name] has replied to your forum posting at [topic_url]. See below:\r\n\r\n[reply]'),
('forum_visit_count_display', 'Show');