UPDATE `license` SET `version` = '2.2';
/* Start Date: 2016-5-07 */
/* Set version in version.txt file and Quick Guide as well. Do not drop any user-input data table in this file. */

DROP TABLE IF EXISTS `quick_guide_settings`;
CREATE TABLE IF NOT EXISTS `quick_guide_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `quick_guide_settings` (`useroption`, `setting`) VALUES
('quick_guide_home_header', ''),
('quick_guide_info', 'This quick guide is organized according to the system menu layout. Click on each topic below or search using a keyword.'),
('quick_guide_column_number', '5'),
('quick_guide_sort_sections', 'by_table_id'),
('quick_guide_search', 'Yes'),
('quick_guide_topics_per_page', '1'),
('quick_guide_numbering', 'type2');


/* Start auto_increment with 2001 to avoid customer data conflict. */
DROP TABLE IF EXISTS `quick_guide_topics`;
CREATE TABLE IF NOT EXISTS `quick_guide_topics` (
  `topic_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `section_id` int(11) unsigned DEFAULT NULL,
  `heading` varchar(250) DEFAULT NULL,
  `content` text,
  `related_show` char(1) DEFAULT NULL,
  `related_topics` text,
  `attachment` varchar(250) DEFAULT NULL,
  `grouping` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`topic_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=2001;

INSERT INTO `quick_guide_topics` (`topic_id`, `section_id`, `heading`, `content`, `related_show`, `related_topics`, `attachment`, `grouping`) VALUES
(1, 11, 'Licensing', '<p>The system is in trial mode when you first install it. It&rsquo;s fully functional except for the limitation that you can only add 10 records to major areas in the system. You can remove this limitation by purchasing an end-user license key for the Web version or by requesting a free license key for the Desktop version. The license key lets you use a specific version of the system perpetually, and it&#39;s tied to either a domain name (Web version) or a localhost ID (Desktop version) as displayed in Help &gt; System Info. When you receive the license key, log in as System Admin and enter it in Help &gt; System Info to activate the registration. Other staff users can see the license information but they cannot change it.</p>\r\n', 'Y', '', NULL, 1),
(2, 11, 'Overview', '<p>We have designed this browser-based system to be intuitive and user friendly. For example, clicking in the row of a grid opens the record in edit mode. As another example, the use of pop-ups is minimized to give you a more pleasant user experience. There are many other features designed to help your business become more productive and efficient.</p>\r\n\r\n<p>Depending on your business needs, you can use either the Web or Desktop version. The Web version requires the use of a domain name (e.g. www.mysite.com) and hosting services, while the Desktop version can be used on any computer with a Windows OS. The Desktop version is free, but it also has several disadvantages as follows:</p>\r\n\r\n<ol>\r\n	<li>No public access. This means the public modules, such as Blog and Onlinestore, cannot be used. The Web version does not have this limitation, and it lets your contacts, such as customers or vendors, access some of their records online.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Tied to one computer. Multiple users cannot use the system with ease. They must go to the same computer and log in from there. The Web version, however, can be used by many users concurrently on their own computers and mobile devices.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Manual backup required. You need to back up the database and files manually, unlike the Web version, which backup can be done automatically by hosting services.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Slower page loading. The Desktop version is powered by Uniform Server, and it does not run as fast as the Web version because of desktop computer limitations.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Harder to support. We may need to access your computer remotely at a scheduled time with your presence when paid support is provided for the Desktop version. The Web version does not require such effort, and free support for 12 months is included in the purchase.</li>\r\n</ol>\r\n', 'Y', '', NULL, 2),
(3, 11, 'System Access', '<p>The system can be accessed by two types of users: staff users and contact users. Each type has its own separate login page. Staff user accounts are set up in Utilities &gt; System Access in the admin area, while contact users can self register an online account through the public frontend (Web version). You can also create online accounts for your contacts in Contacts &gt; Master List &gt; Contacts &gt; Details and then pass the login info to them manually. Online accounts are organized according to membership packages. You have the option of charging a membership fee for each package.</p>\r\n\r\n<p>By design, all online account holders are contacts, but not all contacts have online accounts. Your contact users can be clients, customers, suppliers, vendors, leads, associates, job applicants, and/or friends. They can access various information, including sales and purchases transactions and site postings. They can also make online payment using credit cards or Paypal.</p>\r\n', 'Y', '', NULL, 4),
(4, 11, 'First Use', '<p>The system comes with a common admin panel, work flow, and user interface. Once you learn how to use one section, you know how to use the rest of them. Please try the followings to familiarize yourself with the navigation and features in the system.</p>\r\n\r\n<ol>\r\n	<li>Log into the staff login area (aka the admin area) via &quot;www.mysite.com/admin&quot; or &quot;www.mysite.com/foldername/admin&quot; if you use the Web version. Type in &ldquo;localhost/admin&rdquo; in the browser address bar if you use the Desktop version. After login, click through the system menu in the Admin Panel to see what features are available. For example, you can visit Master List section under Contacts. A few examples have been included in each section for you to play with. Click open these example records to see how the data is managed. Feel free to edit, delete, and/or add new data. You can delete the example data when you are ready to use the system.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Go to the public frontend to see how the system works for your site visitors. Click on Public Frontend in the Help menu or type in either &ldquo;www.mysite.com&rdquo;, &ldquo;www.mysite.com/foldername&rdquo;, or &ldquo;localhost&rdquo; in the browser address bar. The public frontend comes with 12 modules, which contents can be managed in the admin area. All modules are installed when you install the system. You can uninstall any or all of them in Tools &gt; Public &amp; Supplemental Modules if you do not want to use them.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Register an online account in the public frontend and log in to see what is available for use in the account login area. For example, you can request an appointment or send a message to Support. Then go back to the admin area to manage the online request.</li>\r\n</ol>\r\n\r\n<p>Refer to this quick guide when you explore a specific section in the system. For example, if you want to test out scheduling in Matters, go to the Schedule section of this guide to help you understand how it works.</p>\r\n', 'Y', '', NULL, 3),
(5, 11, 'Initial Setup', '<p>Listed below are key items for you to configure prior to going live with the system:</p>\r\n\r\n<ol>\r\n	<li>Enter information about your business profile, locations, and merchant accounts in Utilities &gt; Organization. Sign up with 2Checkout.com, Authorize.net, and/or Paypal if you plan to accept credit card payments online. Then put your account information in this section.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Visit Utilities &gt; System Access and follow the examples there to create your own user accounts, user roles, and user groups. Also update the staff user profiles in HR &gt; Staff. By default, the example staff users share the same password as the System Admin, and their usernames are their first names.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Go to Common Settings, Email Settings, and API Settings pages in Utilities &gt; Tools to put in all relevant information. Some of the settings require you to sign up with third-party services, such as Paypal. You may also need to work with their support to get the help that you need.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">If you want your contacts or the public access the system, visit Contacts &gt; Membership to manage their user experience. You can use the contact examples to review the membership options. These example contact users share the same password as the System Admin, and their usernames are their first names.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Do specific module configurations in each module. For example, if you use Matters module, visit the various sections in the module to define the appointment types, rooms, statuses, reminders, and billing codes. For form documentation, visit Utilities &gt; Custom Forms to create the forms that you need and assign them to Appointments and/or Documents.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Before using emails, messages, phone calls, SMS/texts, faxes, and letters in Exchange module, put in the email and fax settings in Utilities &gt; Tools &gt; Emails Settings and&nbsp; API Settings. Individual staff users also need to enter their own email account information in Options &gt; Account Settings.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="7">If you plan to use Finance module, go to Finance &gt; General to configure Chart of Accounts, Payment Methods, Tax Rates, Currencies, and Settings. Also visit Finance &gt; Items to create an item list of merchandise, fixed asset, direct cost, and operating expense. This list is for automating data entry in Sales, Purchases, and Essentials sections.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="8">As for HR, first, enter your staff profiles and create user accounts for those who are allowed to use the system. Second, update the example benefits packages in HR &gt; Staff and assign one to each staff. Third, put in the insurance and tax rates in HR &gt; Payroll for use in earnings statements. Staff can enter their timesheets in Dashboard &gt; Bulletins and submit them for pay. They can also read notices, submit time-off request, claim expenses, apply for new jobs, and sign up for classes.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="9">Setting up the public frontend requires some work. Go to Public &gt; Appearance to customize the look and feel of the various options. The public frontend can be accessed using your domain URL or by clicking on &ldquo;Public Frontend&rdquo; under Help menu. More settings can be found in each of the Public modules, ranging from Advertising to Onlinestore. The first section displayed in each module is the listings or postings grid, while the last section is the settings page. Configure the settings and then click on &ldquo;Public View&rdquo; button to see the result on the public frontend.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="10">Last but not least, visit Options menu and go through Screen Display, Account Settings, Work Schedule, and Text Automation to customize how you want to use the system. Then have your staff users do the same when they log into the system.</li>\r\n</ol>\r\n\r\n<p>The above information is meant be to a summary. Please visit the corresponding chapters in this quick guide for more details.</p>\r\n', 'Y', '', NULL, 5),
(6, 12, 'Multi-tasking', '<p>One great thing about using a browser-based application is that you can open up multiple screens to work on multiple areas at the same time. Hover over a linked item and right click to select &ldquo;Open link in new tab&rdquo; to open up a new screen. Another way is to hold CTRL key and click on the linked item.</p>\r\n\r\n<p>Note that all browser tabs follow the same auto-logout timer in the system. If you are active in any one of them, the system keeps all of them open. But if you are inactive and the timer reaches 0, the system auto saves the data and logs you out from all of them. The same thing happens if you log out manually in any browser tab as it prompts the system to log out in all browser tabs.</p>\r\n', 'Y', '', NULL, 1),
(7, 12, 'Column Display in Grids', '<p>Most grids display the columns by listing the newest items first. For example, when you go to Contacts &gt; Master List, you would see the newest contacts displayed on page one and the oldest contacts displayed on the last page.</p>\r\n\r\n<p>Grid items are displayed alphabetically when the listing is for reference use. For example, department names and job titles in HR are easier to read and use when they are sorted alphabetically.</p>\r\n\r\n<p>You can also click on a column header in a grid to sort the entire grid according to the data in that specific column.</p>\r\n\r\n<p>Use the Search function to find specific items in the grid. Only the results that match your keywords will be displayed. Less is more. Searching with less words will get you more information.</p>\r\n', 'Y', '', NULL, 2),
(8, 12, 'Option Display in Dropdowns', '<p>Most dropdowns are single selection, which means that you can only pick one option to use. However, some areas deploy a multi-selection dropdown to allow multiple options to be used. For example, you can assign multiple staff to an appointment in Matters module.</p>\r\n\r\n<p>Options in a dropdown are either sorted logically or alphabetically. An example of logical sorting is found in Status dropdown, while an example of alphabetical sorting is found in Country dropdown.&nbsp;Use your mouse wheel to scroll when the list of options is long as it works better than the scroll bar.</p>\r\n', 'Y', '', NULL, 3),
(9, 12, 'Saving Data', '<p>The system uses &ldquo;Save &amp; Return&rdquo; and &ldquo;Save&rdquo; buttons for saving data. &ldquo;Save &amp; Return&rdquo; can be found inside a grid when you add a new record or edit one. Clicking on it would save the data and route you back to the grid. &ldquo;Save&rdquo; button, on the other hand, is displayed in all editable pages. Clicking on it would save the data and keep you on the same page.</p>\r\n\r\n<p>The two buttons are especially handy in tab menu pages. You can use them to move between the tabs more easily and to keep certain pages open for quicker access. A red dot is displayed in the tab menu when the page or first grid record is saved. It lets you know that there is some data in there.</p>\r\n', 'Y', '', NULL, 4),
(10, 12, 'HTML Basics', '<p>The HTML editor is provided in a number of areas in the system, mostly in Public modules such as Blog. It allows the staff and contact users to add text style and images to the contents. Use your mouse to hover over each icon on the editor menu to see what it does. For example, the first icon is &ldquo;B&rdquo;, and it&rsquo;s for changing a selected text to Boldface. Most of the functions in the editor work like Microsoft Word.</p>\r\n\r\n<p>For image display, click on the Image icon and follow the screen instructions to upload the image. You can also copy and paste an image that is posted somewhere else on the Web. Here is how: (1) Right click on the image and select &ldquo;Copy Image&rdquo; and (2) Click in the editor box and right click to select &ldquo;Paste&rdquo;. The pasted image is just a link to the original one, and you can see the link by clicking on Source icon in the editor menu.</p>\r\n\r\n<p>Source lets you edit the HTML codes. It&rsquo;s handy for those who know HTML. Play with the other icons and use them to meet your editing needs.</p>\r\n', 'Y', '', NULL, 5),
(11, 12, 'File Management', '<p>A variety of files such as MS Office documents, PDF, and images can be uploaded and applied to Matters &gt; Cases, Exchange &gt; Messages, Finance &gt; Sales and Purchases, HR &gt; Direction, and other sections in the system. File upload can be either single upload or multiple upload, depending on the workflow. The button for single file upload is labeled as &ldquo;Select File&hellip;&rdquo;, while the button for multi-file uploads is labeled as &ldquo;Select Files&hellip;&rdquo;. To upload multiple files all at once, press the Ctrl key and click on each file in the &ldquo;Open&rdquo; window on your computer. Alternatively, you can upload one file at a time.</p>\r\n\r\n<p>After a file is uploaded, you can view, download, or delete it. The exception is Dashboard &gt; Bulletins where you can only view files uploaded from HR &gt; Direction. If you use the Desktop version, we recommend that you use Internet Explorer so that you can see MS Office documents linked from the browser. The other browsers do not provide such links and you would need to download the documents first before you can see them. This limitation is caused by Windows security. If you use the Web version, then you can view MS Office documents in any browser with ease without the need to download them to your computer prior to viewing them.</p>\r\n', 'Y', '', NULL, 6),
(12, 12, 'Data Backup', '<p>It&rsquo;s a good practice to back up the system database and files regularly. If you use the Web version, work with your Web host or server administrator to back up the database and all files stored in the system folder. Most hosting services provide an automated backup service on a daily basis. Chances are good that this backup service is already covered in your hosting fee. If you use the Desktop version, simply copy the entire system folder to a backup device, such as a USB flash drive.</p>\r\n\r\n<p>User uploaded files are stored in app/webroot/documents folder, while customizable themes are stored in app/View/Themed folder. For Onlinestore, digital goods are stored in app/webroot/documents/finance folder because the data is shared by both Finance and Onlinestore modules. Any image files uploaded through the HTML editor are stored in app/webroot/documents/$ckeditor folder and indexed using either Staff ID or Contact ID, depending on if they are uploaded by staff users or contact users.</p>\r\n', 'Y', '', NULL, 7),
(13, 12, 'Keyboard Shortcuts', '<p>In addition to mouse pointing and clicking, you can use the following keyboard shortcuts to navigate the system in the browser:</p>\r\n\r\n<ul>\r\n	<li>Ctrl+R or F5: Refresh the current page</li>\r\n	<li>Ctrl+Left Mouse Click on a link: Open the link in a new tab</li>\r\n	<li>Ctrl+W: Close the current tab</li>\r\n	<li>Ctrl+L: Highlight the URL bar</li>\r\n	<li>Ctrl and +: Zoom in</li>\r\n	<li>Ctrl and -: Zoom out</li>\r\n	<li>Ctrl+0: Return to the default zoom level</li>\r\n	<li>Spacebar: Move down one full screen</li>\r\n	<li>Home: Jump to the top of a Web page</li>\r\n	<li>End: Jump to the bottom of a Web page</li>\r\n</ul>\r\n\r\n<p>Avoid using the back button in your browser because it does not work well in the tab sections. The best approach is to click on the menu links all of the time.</p>\r\n', 'Y', '', NULL, 8),
(14, 12, 'Turning on SSL Encryption', '<p>SSL (Secure Sockets Layer) is the standard security technology for establishing an encrypted link between a Web server and a browser. The encryption ensures that all data passed between the Web server and user browsers remain private and integral. SSL is most useful if you use the Web version. The Desktop version does not need such protection because it&rsquo;s not open to the public.</p>\r\n\r\n<p>Implementing SSL is an effective method for preventing hackers from intercepting your system communication with users on the Internet. The system supports such use and no configuration is needed. Simply work with your Web host or server administrator to purchase a SSL certificate and deploy it on your domain. The system can then be accessed via &ldquo;https://&rdquo; url.</p>\r\n', 'Y', '', NULL, 9),
(15, 12, 'Using Favicon', '<p>If you have a favicon and want to apply to the system, you can do it by putting the&nbsp; favicon.ico file in app/webroot folder. Refresh your browser to see it. Any browser that supports favicon will display it.</p>\r\n', 'Y', '', NULL, 10),
(16, 13, 'Implementation Process', '<p>Implementing a new system for your business requires good planning and hard work. We recommend that you follow these steps:</p>\r\n\r\n<ol>\r\n	<li>Create an implementation team to coordinate and manage the implementation efforts, including working with our Support to help meet your business needs. Do some project planning and communicate with stakeholders regarding the implementation progress on a routine basis.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Perform workflow analysis to see which business processes are to be automated using the system and how the conversion is to take place. Some manual work can be eliminated while new work practices may need to be introduced. Some work roles and job positions may need to be changed. Your business may also need to add computer hardware and related support.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Have a few staff test use the system and document any issue encountered. Rank their impact to your implementation plan. Some issues must be fixed before go-live, while others can be ignored temporarily if not permanently. Workarounds can also be used to tackle some of these issues.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Assign a team member to provide end-user training to your staff. Some of them may only need access to Bulletins in Dashboard, while others may need to access the entire system. Use this quick guide to create some training materials for your staff users. Give them what they need based on their user roles. Train them on new workflows to ease up the transition.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Prepare to deal with system downtime. For example, how should your sales staff document their work if the system is down temporarily due to a computer or Internet problem? They may need to revert back to paper process and then transfer the data to the system when it&#39;s up and running.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Going live with a new system can be a challenging experience for some people. Choose a less busy week and cut your staff&#39;s workload for a few days. Expect some adjustments, slowness, and frustrations. Help your staff understand that the implementation will benefit everyone in the long run. Also prepare your implementation team to provide some hands-on support. Some businesses have found it helpful to do a dress rehearsal prior to the go-live day to iron out rough spots in user role access and new workflows.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="7">System and work-related issues can pop up at any time during and long after the implementation is completed. Assign a person to manage these issues. Triage them according to issue types. If they are system bugs, contact our Support for assistance. If they are workflow related, work with your staff to find a solution. If they are caused by Internet connection, work with the service provider to fix them.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="8">Get user feedback from your staff and find ways to improve and optimize their user experience continuously. Having some user policies in place can be very helpful as well. Review your training materials and workflows periodically and updated them from time to time.</li>\r\n</ol>\r\n', 'Y', '', NULL, 1),
(101, 21, 'Activity Management', '<p>Dashboard displays a summary of new items in the system according to a specific time period. For example, if you want to look at new items for one week, choose &ldquo;Show One Week&rdquo; option. The system remembers this display setting for you, while other staff users can have their own settings. Listed below is a full summary as seen by the System Admin and Allen Admin when you first installed the system. Other staff users do not see all of the sections.</p>\r\n\r\n<p><img alt="" src="/app/webroot/documents/%24ckeditor/images/activity-management.png" style="width: 675px; height: 436px;" /></p>\r\n\r\n<p>The summary view display is based on user role and installation of Public modules. For example, if a staff user is not allowed to access Finance, then the staff cannot see any Finance sections in the summary. Likewise, if a public module is not installed, then it&#39;s not displayed in the summary.</p>\r\n\r\n<p>The words &ldquo;New&rdquo; and &ldquo;None&rdquo; are linked to a corresponding section in the system. This means that you can click on the link to jump to the section. For example, you can click on the &ldquo;New&rdquo; link in Emails to go to Inbox section. If there are multiple landing points, such as &ldquo;My Own&rdquo; and &ldquo;Staff&rsquo;s&rdquo; sections in Bulletins, the link goes to the first section.</p>\r\n', 'Y', '', NULL, 1),
(102, 22, 'My Calendar, My Tasks, and My Documents', '<p>Use To Do section to manage individual calendar, tasks, and documents, including those assigned by others in Matters &gt; Cases. There are two possible scenarios:</p>\r\n\r\n<ol>\r\n	<li>Case-based &ndash; Anyone who has access to Matters &gt; Cases can assign an appointment, task, or document to you. They can also review your work and charges so that billing is done correctly. The case assignment cannot be changed in To Do section. Contact the case manager if it&rsquo;s wrongly assigned to you. If an appointment, task, or document is billable, be sure to change the status to &ldquo;Completed&rdquo; when the work is done. This status prompts the system to create a charge automatically. The charge can then be invoiced in Matters &gt; Billing.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Personal Use &ndash; An individual staff user can create a new calendar event, task, or document for his or her own use. It cannot be attached to any case in To Do section. In fact, the Case field is not displayed when adding a new item. Each item can still be associated with a contact if the staff user has access to Contacts module. If not, the Contact field is hidden. The Billable field is displayed in Encounter page of My Calendar so that you can bill a contact appointment. However, it&rsquo;s hidden in My Tasks and My Documents. For a scheduled event, you can choose to display it either as &ldquo;Public&rdquo; or &ldquo;Private&rdquo;. The default setting is &ldquo;Public&rdquo; which means that everyone can see it in Matters &gt; Schedule &gt; Calendar.</li>\r\n</ol>\r\n\r\n<p>The nice thing about To Do is that you can see and work with all your scheduled events, tasks, and documents in one place.</p>\r\n', 'Y', '', NULL, 1),
(103, 23, 'HR Functions', '<p>Bulletins section displays company notices and documents linked from HR &gt; Direction. Staff can read the information and download the documents, but no editing is allowed.</p>\r\n\r\n<p>Staff can also use Bulletins to manage their HR activities, including timesheets, time off, purchase requests, expense claims, job applications, and training. Submitted items for timesheets, time off, purchase requests, and expense claims are routed to the managers or supervisors for approval. They are also displayed in HR sections and accessible by HR staff. Job applications and training registrations do not require approval.</p>\r\n\r\n<p>For timesheets, time off, purchase requests, and expense claims, no editing is allowed once the staff submits them. However, if HR changes the status to &ldquo;Rejected&rdquo;, then the staff can edit and re-submit them. For job applications and training registrations, the staff can unapply a job or unregister a training event.</p>\r\n\r\n<p>A manager can see his/her own activities in timesheets, time off, purchase requests, expense claims, and training as well as all those from his/her subordinates. These two types of activities are displayed in two different tabs (My Own and Staff&rsquo;s) for easier management.</p>\r\n\r\n<p>How do you assign a manager or supervisor to a staff? Here are the steps:</p>\r\n\r\n<ol>\r\n	<li>Visit Jobs Titles in HR &gt; Direction section. Click open a job title and say yes to &ldquo;Manage People&rdquo; selection.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Go to HR &gt; Staff section and click open a staff&rsquo;s profile. Assign the job title to the staff. Now this staff is given people management responsibility. His/her name is listed in &ldquo;Report to&rdquo; dropdown in the profile page.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Click open another staff&rsquo;s profile. Go to &ldquo;Report to&rdquo; dropdown and select a name as the staff&rsquo;s manager. This manager is now responsible for approving the staff&rsquo;s HR activities.</li>\r\n</ol>\r\n\r\n<p>By default, all example staff report to Allen Admin. You can log into the system as any staff to test submit a timesheet, time-off request, expense request, or expense claim in My Own tab. Then log into the system again as Allen Admin to review and approve the submitted items listed in Staff&rsquo;s tab. According to the examples, Allen Admin reports to himself, so you can use him as a staff and a manager by switching between My Own and Staff&rsquo;s tabs.</p>\r\n\r\n<p>Go to HR module to review the submissions. HR staff has full editing rights. They can change the details of the submissions and override manager&rsquo;s approval if needed.</p>\r\n', 'Y', '', NULL, 1),
(104, 24, 'System Statistics', '<p>System Statistics display a summary of key activities in the system in numeric format. For example, it tells you how many records are listed in Contacts and gives you a breakdown of the numbers according to Type and Membership Status. This kind of information is useful for getting an insight on your business operations and how the system is used to support the operations.</p>\r\n\r\n<p>The statistics are categorized by module, namely Contacts, Matters, Exchange, HR, and Public. Click on each tab to view the details.</p>\r\n\r\n<p>No financial information is included here to restrict its access and to provide a better workflow for finance staff. Using the same user role settings, finance staff can access financial reports in Finance &gt; Reports.</p>\r\n', 'Y', '', NULL, 1),
(105, 24, 'Site Traffic', '<p>Site traffic reports are provided by Google Analytics, so you need to sign up with Google in order to use it. Note that Google Analytics require a domain name. This means that only the Web version can use this service.</p>\r\n\r\n<p>Follow the instructions in Visit Utilities &gt; Tools section of this quick guide to turn on the service and let the system gain access to your Google Analytics account. Then wait for a day or two to see the data coming in.</p>\r\n\r\n<p>The reports displayed in this section look the same as the ones shown in your Google Analytics account. The system displays these reports in Dashboard so that you don&rsquo;t need to log into your Google Analytics account separately. However, none of the data is stored in the system.</p>\r\n', 'Y', '', NULL, 2),
(201, 31, 'Contacts', '<p>The system uses &ldquo;contact&rdquo; to refer to such people as client, customer, supplier, vendor, lead, associate, job applicant, and friend. You can have multiple relationships with each contact. For example, a contact can be both a vendor and a customer.</p>\r\n\r\n<p>Contacts information is used in a number of places throughout the system, namely Matters, Exchange, Finance, HR, and Public sections in the admin area and My Account on the public frontend.</p>\r\n\r\n<p>When adding a new contact, search for the name first to make sure that it&rsquo;s not already on the list. This check helps to prevent the creation of duplicate records. There are times when two or more contacts may share the same name. The system uses work phone number to help you identify each one in autocomplete fields. This way, you can pull in the correct contact when you want it.</p>\r\n\r\n<p>Contact records consist of seven sections: Profile, Details, Social, Sales, Purchases, Deposits, and Expenses. They are described below.</p>\r\n\r\n<ol>\r\n	<li>Profile &ndash; This main section is for listing such contact information as name, company, phone numbers, email address, Web site, billing address, and shipping address. You can also document various buyer and seller related information ranging from company registration number to sales and purchases terms. The addresses are integrated with Google Maps. Get your own API Key and put in Utilities &gt; Tools &gt; API Settings page if you plan to use it long term.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Details &ndash; The Details section is where you find headshot and identification images, online access, reference information, and financial information.</li>\r\n</ol>\r\n\r\n<ul>\r\n	<li>A Webcam can be used to take photos of people and/or identification cards in the frames area. The images are automatically scaled and stored in the system. No Webcam setup is necessary. Just connect a Webcam to your computer and click on the Webcam icon in Details page when you want to use it. Alternatively, you can upload images manually by clicking on the &ldquo;Upload&rdquo; button.</li>\r\n</ul>\r\n\r\n<ul>\r\n	<li>A contact can have an online account and be required to pay a subscription-based membership fee. Any contact can log in from the public frontend with an account registration. You can reset the username and password of the contact in the Details section of the contact record. Visit Contacts &gt; Membership section to configure the membership settings. More information about membership setup and management can be found in the Utilities section of this quick guide.</li>\r\n	<li>Documents and forms can be attached in Reference Information area. The appointment reminders preference setting is for both manual and automated reminders sending use. Visit Matters &gt; Schedule &gt; Settings for more information on automating the sending of appointment reminders.</li>\r\n</ul>\r\n\r\n<ul>\r\n	<li>Detailed bank account and credit card information can be stored in Financial Information area. Just like much of the contact data, the financial information is encrypted for your protection. The second bank account has an extra field for SWIFT/BIC, which is good for bank wire transaction use.</li>\r\n</ul>\r\n\r\n<ol>\r\n	<li value="3">Social &ndash; Use the social section to store personal and professional information about a contact. For example, you can list introduction and have it inserted in an email by clicking on the contact name entered in To field. You can also put Facebook, LinkedIn, and Twitter links in there together with some miscellaneous notes about the person.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Sales &ndash; When you sell to a contact via Matters, Finance, and/or Public modules, selected sales transactions are also kept in the contact records. This way, you can look up sales history for each contact easily. What you see here is a complete listing of sales invoices, payments, debit/credit notes, and current balance.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Purchases &ndash; Likewise, when you buy from a vendor or supplier via Finance module, selected purchases are also kept in the contact records. You can look up purchases history for each contact, including purchase orders, payments, debit/credit notes, and current balance.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Deposits &ndash; Two types of deposits are documented for the contact. The first is Deposit Received from client or customer, and the second is Deposit Paid to vendor or supplier. Since the contact can be a client, customer, vendor, and/or supplier, the two types of deposits are kept separately in this section. They also have separate balances.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="7">Expenses &ndash; A summary listing of expenses from Finance &gt; Essentials &gt; Expenses and Payroll &gt; Expenses &gt; Expense Claims are displayed in this section. The expense claims are prepaid by staff and the transactions are recorded as soon as they are submitted to HR.</li>\r\n</ol>\r\n\r\n<p>By default, any staff who has access to Contacts &gt; Master List section can view and edit all of the contact records. However, you can remove the access permission for specific contact records by unselecting the assigned user roles in the Profile page. For example, if you don&rsquo;t want everyone to see your banker&rsquo;s record, you can limit its access to the manager user roles.</p>\r\n', 'Y', '', NULL, 1),
(202, 31, 'Staff Directory', '<p>The listing here provides basic staff information such as name, job title, department, phone number, and work email. The information is for reference use, and editing can only be done in HR &gt; Staff by a staff user who has access to it. &nbsp;</p>\r\n\r\n<p>Detailed staff records are stored separately in HR section and linked to user accounts in Utilities &gt; System Access. The reason for the separation is that staff records are private and confidential. Co-workers in a company are never allowed to view each other&rsquo;s information without permission.</p>\r\n', 'Y', '', NULL, 2),
(203, 31, 'Business Profile', '<p>A brief profile of your business can be listed in this section as a quick reference for any staff who needs such information on a regular basis. For example, a sales representative can copy and paste the profile information and send it to a new customer.</p>\r\n\r\n<p>The profile information can be edited in Utilities &gt; Organization &gt; Business Profile by any staff user who has access to it. &nbsp;Some of the information can also be hidden from display.</p>\r\n', 'Y', '', NULL, 3),
(204, 32, 'Data Import', '<p>Data Import is useful for transferring your contacts from Microsoft Outlook and Web services such as Google, Yahoo!, and Mail.com to the system. Some setup and configurations are required for using them.</p>\r\n\r\n<p>To import contact data from Microsoft Outlook, you will first need to export your Outlook contacts to a CSV file. Follow the steps below if you are not sure how to do it:</p>\r\n\r\n<ol>\r\n	<li>Open Microsoft Outlook program on your computer and elect &quot;Import and Export&quot; from the File menu.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">When the wizard opens, select &quot;Export to a file&quot;, and then click &quot;Next&quot;.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Select &quot;Comma separated values (Windows)&quot; and click &quot;Next&quot;.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Select the Contacts folder you would like to export and click &quot;Next&quot;.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Choose a filename (e.g. &ldquo;contacts.csv&rdquo;) and a place (e.g. &ldquo;Desktop&rdquo;) to save the file, then click &quot;Next&quot;.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Confirm your export. Make sure the checkbox next to &quot;Export...&quot; is checked, then click &quot;Finish&quot;.<br />\r\n	&nbsp;</li>\r\n	<li value="7">Check to see that you have the contact file saved on your computer. Proceed to upload this file and import the CSV data into the system.</li>\r\n</ol>\r\n\r\n<p>In order to import contacts from Google or Yahoo!, you need to configure Google OAuth and Yahoo OAuth settings in Utilities &gt; Tools &gt; API Settings. No configuration is needed for Mail.com. Go to 9.5 Tools section of this quick guide for the instructions.</p>\r\n\r\n<p>Duplicate data may be displayed after your import, especially if you import from multiple sources. The system is not able to merge contacts data at this time, so you should review and edit the contacts manually to clean up the data.</p>\r\n', 'Y', '', NULL, 1),
(205, 32, 'Data Export', '<p>Data Export provides a copy of your contacts in CSV format. Just click on Download Contacts button to do it.</p>\r\n\r\n<p>By default, only System Admin and those assigned General Manager user role can access this function. You can change the access settings in Utilities &gt; System Access section by editing User Roles and/or changing their assignments in User Accounts.</p>\r\n', 'Y', '', NULL, 2),
(206, 33, 'Membership Setup', '<p>Membership is for public frontend use. You can configure its options as follows:</p>\r\n\r\n<ol>\r\n	<li>Membership Packages &ndash; Edit the example packages and delete what you don&rsquo;t need. You can set a fee, define the membership timeframe, and allow module posting on the public frontend.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Signup &ndash; Define the signup information to display on the fronted, including signup message, background image, terms of use, and privacy policy. If you want to use the examples as is, just replace "Company X" with your own company name. The membership display can be hidden if you want everyone to sign up using the free membership package. As for Human Verification using Google reCaptcha, it''s better to turn it on to avoid spamming.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Login &ndash; Edit the login information and image. The menu options here are what contact users see in the account login area. You can show/hide, rename, and reorder the menu items according to your preferences. Membership payment instructions and payment confirmation messages can be customized as well.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Notifications &ndash; Email notifications are sent to contacts and Support Team after signing up and paying for membership. The notification contents can be edited according to your preferences.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Reminders &ndash; Use the automated reminders for collecting membership fee payment. Customize the content for each one and set up the cron job on your server. The system will check the membership status for each user according to the cron job schedule and send out the reminders accordingly.&nbsp;</li>\r\n</ol>\r\n', 'Y', '', NULL, 1),
(207, 33, 'Membership Management', '<p>The system confirms the account registration by sending the contact user an email verification link. The contact user must click on the link to activate his/her new account. Only then login to the account area is allowed.</p>\r\n\r\n<p>The membership status changes from &ldquo;Registered&rdquo; to &ldquo;Confirmed&rdquo; when the email address is verified in the email link to the new member. It then changes to &ldquo;Active&rdquo; after the first login. The membership will expire according to each membership package setting. The &ldquo;Suspended&rdquo; status is to be set manually.</p>\r\n\r\n<p>Contact user account information can be managed in Contacts &gt; Master List &gt; Contacts &gt; Details page. Go there if you want to reset password for a specific contact user or change his/her membership status.</p>\r\n\r\n<p>You have the option of turning on Facebook Connect to let new contact users sign up via their Facebook Account. Go to Utilities &gt; Tools &gt; API Settings to learn more about this service. A limited amount of personal information is copied over to Contacts record when signup is done using Facebook Connect.</p>\r\n', 'Y', '', NULL, 2),
(208, 33, 'Online Account Login Area', '<p>When contact users enrolled in any membership package log into the system from the public frontend, they see the following sections in My Account:</p>\r\n\r\n<ol>\r\n <li>Dashboard &ndash; A summary count of new activities for Transactions, Appointments, and Messages are displayed. The summary counts are linked to the three sections respectively.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Transactions &ndash; Purchases and Sales transactions are displayed in this section. The transactions include Invoices, Payments, and Adjustments. Contact users can make online payment by clicking on &quot;Pay Online&quot; button located at the bottom of an invoice. For those buying digital goods or photos from Onlinestore, the system displays a Downloads tab section so that they can download their purchases immediately after making payment. Note that the Purchases tab section is hidden if the contact is not a vendor or supplier.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Appointments &ndash; Contact user can request appointments by selecting the location, date, and provider. The requests are displayed in black in Matters &gt; Schedule &gt; Calendar. Once an appointment is approved, the black color is changed to the color assigned to the appointment type.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Messages &ndash; Instead of using Helpdesk module, contact users can communicate with your Support Team via internal messaging. Visit Exchange &gt; Messages section of this quick guide to learn more about how it works.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Site Postings &ndash; This is where contact users submit postings for the public modules. A tab section is displayed for each installed module. However, the tab section access depends on the setting in membership packages. If a contact user is enrolled in a membership package that does not allow access to a certain module, then the contact users do not see the tab section for that module.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Account Settings &ndash; As the name implies, contact users can edit their personal information and reset their password. They can also switch to a different membership package and pay for it using a credit card or Paypal.</li>\r\n</ol>\r\n', 'Y', '', NULL, 3),
(301, 41, 'Case Management', '<p>A case can be opened under one of these types: (1) General, (2) Issue, (3) Opportunity, and (4) Service. For example, if there is a problem reported by your customer or employee, you can open an Issue case for it. Opportunity is designed for use by sales and marketing people. It&rsquo;s a mini CRM module for managing sales relationships with your contacts. Service, on the other hand, is for managing paid activities that your business provides to your clients/customers.</p>\r\n\r\n<p>Each type of cases comes with its own data fields. You can switch the type in the examples to see what data fields are available for use. The status options are based on common practices for each type of cases.</p>\r\n\r\n<p>When you first add a new case, you see just the New Case tab. Click on &ldquo;Save&rdquo; button to save the case information and see the following tabs: Timeline, Appointments, Tasks, Documents, Exchange, and Charges/Quotes. If you click on &ldquo;Save &amp; Return&rdquo; button, the system saves the data and routes you back to the grid. Just click on the item in the grid to see all the tabs.</p>\r\n\r\n<p>Use the Gantt chart provided in Timeline tab to manage the work schedule. The chart lets you plan in advance by defining the tasks, resources, and time needed to complete the work. It also gives you a visual display of work activities against time. You can use it as a mini project management tool.</p>\r\n\r\n<p>If a case is billable, put in the billing information in each of the tasks, appointments, and documents. The system will generate the charges automatically and display a summary in Charges tab. You can also add expense items in Charges tab for billing use.</p>\r\n\r\n<p>The Quotes tab is displayed instead of Charges tab when the case type documentation is of Opportunity Format. Any quote data entered is displayed in Finance &gt; Sales &gt; Sales Listings section as well. This way, the transition from quote to order processing can be handled more easily.</p>\r\n', 'Y', '', NULL, 1),
(302, 41, 'Case Setup', '<p>Go through the setup steps below before you start using the case function:</p>\r\n\r\n<ol>\r\n	<li>Configure the billing codes in Matters &gt; Billing &gt; Codes if you intend to charge for any case-based activities. Also set up the Item List in Finance &gt; Items if you plan to provide Quotes in opportunity related cases.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Go to Utilities &gt; System Access &gt; User Groups to review and update the Providers user group. Click on the User Roles checkboxes to assign staff users with specific user roles to this user group. These staff users can then take on case, appointment, task, and document assignments in Matters module.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Visit Matters &gt; Cases &gt; Types to assign the Providers user group to each type. Also assign a billing code and name if the type is billable. If you don&#39;t want to assign the same user group to all types, create a new user group and select &quot;Staff Assignment in Matters&quot; to make it available for use in Types section.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Review the various settings and reminder options in Matters &gt; Schedule &gt; Settings. Do the configurations based on your preferences. By default, only email reminders can be used. Sign up with Twilio if you want to use their automated voice call and SMS/Text services. Then log into the system as System Admin to put your Twilio account information in Utilities &gt; Tools &gt; API Settings.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Log in as System Admin or Business Manager to adjust the Operation Day and Hours of your organization in Utilities &gt; Organization &gt; Locations. Appointment scheduling will not be allowed if you try to do it during a non-operation time, such as Sunday or during lunch break.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Last not but not least, ask the staff users assigned to the Providers user group to define their regular hours and off time in Options &gt; Work Schedule. While there, have them create some text macros in Options &gt; Text Automation for automating their note entries in Cases.</li>\r\n</ol>\r\n', 'Y', '', NULL, 2),
(303, 42, 'Schedule Application', '<p>Scheduling can be done in a number of areas in the system:</p>\r\n\r\n<ul>\r\n	<li>Matters &gt; Schedule &gt; Calendar and Encounters</li>\r\n	<li>Cases &gt; Appointments</li>\r\n	<li>Dashboard &gt; To Do &gt; Activities</li>\r\n	<li>HR &gt; Training</li>\r\n</ul>\r\n\r\n<p>The Calendar and Encounters sections are designed for use by front desk staff to manage appointments for everyone in the company.</p>\r\n\r\n<p>The appointments section in Cases is similar to Encounters, and it&#39;s put there for case management use.</p>\r\n\r\n<p>Individual staff users can manage their own work schedule in Dashboard &gt; To Do &gt; Activities. They have the option of showing or hiding activities scheduled for themselves.</p>\r\n\r\n<p>Lastly, HR &gt; Training is for setting up classes that can be registered by staff. You have the option of posting the classes to the calendar for all to see.</p>\r\n', 'Y', '', NULL, 1),
(304, 42, 'Calendar', '<p>Play with the calendar to understand how it works. Note that the Locations dropdown will not be displayed if there is only one location listed in Utilities &gt; Organization &gt; Locations. If your business provides services at your client&rsquo;s premises, simply add a location for such use. For example, name it &ldquo;Client&rsquo;s Site&rdquo;.</p>\r\n\r\n<p>The start time and end time of the calendar in Day and Week views are read from your location operation times in Utilities &gt; Organization &gt; Locations. When the location operation times differ from each other, the system uses the earliest and latest times from among the locations as the start time and end time.</p>\r\n\r\n<p>By default, Providers user group is used to list staff users that are available for appointment assignments. You can edit the user group in Utilities &gt; System Access &gt; User Groups or switch to a different one in Schedule &gt; Settings &gt; Types. The availability of a provider is controlled by his/her regular hours and off times in Options &gt; Work Schedule. However, location operation time will take precedence over the provider work hours. If a location is closed on Sunday, the provider cannot be scheduled.</p>\r\n\r\n<p>Apply Location, Staff, and/or Room filters on the top left area of the calendar to customize your view. When you select a specific location, only the available schedule and providers for that location are displayed. This helps you see the specific availability of a location, provider, or room. For example, it&rsquo;s common for someone to want to make an appointment with a specific provider. So instead of clicking on a time slot to see if the provider is available, you can select the provider first in the Provider filter to see all his/her available time slots.</p>\r\n', 'Y', '', NULL, 2),
(305, 42, 'Encounters', '<p>Encounters section display a complete list of all the appointments, meetings, classes, events, and other scheduled activities by date.</p>\r\n\r\n<p>The search function is useful for finding and listing all scheduled activities for a specific contact. Just type in the contact name to do the search.</p>\r\n\r\n<p>Click on &quot;Today&#39;s Schedule&quot; checkbox if you only want to look at the activities for today. The page refreshes and displays the filtered results.</p>\r\n\r\n<p>Each listing is linked from the dialog box in Calendar so that you can get to it quickly to do encounter documentation and billing. The documentation is powered by custom forms, which lets you collect all kinds of information. Click open a listing and try out the Appointment Summary form example to see how it works.</p>\r\n', 'Y', '', NULL, 3),
(306, 42, 'Requests', '<p>Your contact users can request appointments in the public frontend area by selecting a specific time slot. But first, assign the appropriate appointment types for online request use in Matters &gt; Schedule &gt; Settings &gt; Types tab. Give each type a billing code and link it to a user group. This way, your contact users can see the names of the provider and the fees prior to requesting a certain type of appointment.</p>\r\n\r\n<p>When an appointment request is submitted, it&#39;s displayed in Matters &gt; Schedule &gt; Requests. The request is displayed in black color while the status is pending. Assign a staff to review and approve these requests. Once confirmed, the black color changes to a color that is assigned to the appointment type. Your contact users will also receive a confirmation message. The appointment request will also drop from the Requests list so that you know which one is yet to be reviewed and approved.</p>\r\n', 'Y', '', NULL, 4),
(307, 42, 'Reminders', '<p>Appointment reminders are created automatically when appointments are confirmed. If the appointment status is changed to anything else, the unsent reminders are deleted automatically. The types of reminders used will depend on your contact preferences: Phone Call, Email, and/or SMS/Text. Visit Contacts &gt; Master List &gt; Contacts &gt; Details section to see the preference setting for each contact. By default, all three options are selected, and only Email and SMS/Text options can be unselected.</p>\r\n', 'Y', '', NULL, 5),
(308, 42, 'Settings', '<p>Go to Matters &gt; Schedule &gt; Settings to edit the types, rooms, status, and appointment reminders. You can default many of the values, including fees, to types. When you select a specific type during scheduling, the corresponding billing information is entered automatically for you.</p>\r\n\r\n<p>Room setup is done by location. You can edit both options in Utilities &gt; Organization &gt; Locations. The system provides you with three example locations to show you how they work in scheduling. If you use only one location, the Locations dropdown field is not displayed.</p>\r\n\r\n<p>Status can be anything you want to use. Note that &ldquo;Completed&rdquo; option is not editable because it&rsquo;s used by the system to do automated charging. You can edit all other options and create your own.</p>\r\n\r\n<p>By default, the system can send out appointment reminders by email. If you want to use automated Phone Call and SMS/Text to do the same, sign up with Twilio service and put your&nbsp; account information in Utilities &gt; Tools &gt; API Settings. Then set up a cron job on your server to automate the delivery.</p>\r\n', 'Y', '', NULL, 6),
(309, 43, 'Billing Function', '<p>Service charges documented in Cases can be invoiced in Billing section. You can also use it to make adjustment and record any payment received. The billing workflow is summarized as below:</p>\r\n\r\n<p>Charges =&gt;&nbsp;Invoice =&gt;&nbsp;Adjustment =&gt;&nbsp;Payment</p>\r\n\r\n<p>To invoice a contact, click Add New and then select a case and a date range to see all charges that meet those criteria. The charges can be a mix of appointments, tasks, and documents. Only the unpaid charges are displayed so that you do not need to worry about making any duplicate error.</p>\r\n\r\n<p>Appointment billing can also be done without using Cases. Simply visit Matters &gt; Schedule &gt; Encounters to document the charges for each appointment. Then the charges can be invoiced in Billing section just like those done in Cases. Choose &quot;Appointments Only&quot; option to see these items.</p>\r\n\r\n<p>You can email or fax the invoices to the contacts or have them view the invoices online. They have the option of making credit card payments if you have at least one merchant account set up in Utilities &gt; Organization &gt; Merchant Accounts. The system supports the use of 2Checkout.com, Authorized.net, and Paypal by default. Please contact Support if you want to use other merchant services.</p>\r\n', 'Y', '', NULL, 1),
(310, 43, 'Billing Management', '<p>Follow the steps below to set up billing and manage the transactions:</p>\r\n\r\n<ol>\r\n	<li>Visit Matters &gt; Billing &gt; Codes to put in the charge type, amount, and tax setting for each billing code. The charge type is either Hourly Rate, Fixed Fee, or No Fee.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Assign a billing code to each appointment, task, and document type in Matters &gt; Cases &gt; Types. This way, you can default the billing code entry by type. Skip this step if you prefer to assign the billing code to each item manually.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Check the Billable box when you work inside an appointment, a task, or a document to see the billing code and amount assigned to the type. You can change the billing code or amount manually if needed.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Apply the status in the appointment, task, or document and save it. When the status is &ldquo;Completed&rdquo;, a billable item is created automatically in Matters &gt; Cases &gt; Charges. Likewise, when you delete the data, that item is also removed from the Charges section. You can also add expense charges manually in Charges section and treat them as billable items.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Review the details of the billable items in Charges section. You can make change to them directly, and the data is synced with the same items listed in Appointments, Tasks, and Documents.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Go to Matters &gt; Billing to prepare invoices for specific cases and periods. For example, you can select all billable items for a case in the past month and put them on one invoice. Once a billable item is selected for an invoice, it cannot be selected again for other invoices. This safeguard helps you avoid making duplicate errors.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="7">Make adjustments in Matters &gt; Billing &gt; Adjustment if you want to make any change after invoicing. You can issue and print a credit/demo note based on the type of adjustments done. A debit note is like an invoice, and it&#39;s for getting more money from the buyer. A credit note, on the other hand, is for you to repay some money to the buyer or sets it off against a balance due from other transactions.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="8">Enter payment received in Matters &gt; Billing &gt; Payment. The default view is a page layout. However, if you receive multiple payments, click on &quot;Add New&quot; button at the bottom of the page to allow new entries. The page display changes to a grid format if there is more than one payment entry.</li>\r\n</ol>\r\n', 'Y', '', NULL, 2),
(311, 43, 'Accounting', '<p>The billing function is integrated with Finance module, which automates the accounting entries for invoices, adjustments, and payments. The transactions are recorded in Finance &gt; General &gt; Transaction Journal.</p>\r\n\r\n<p>If there is any sales tax or GST collected, you can view the total amounts in Finance &gt; Reports &gt; Taxes and then go to Finance &gt; Essentials &gt; Taxes to make payment to the tax authority.</p>\r\n\r\n<p>Any late payment is tracked in Finance &gt; Reports &gt; Aging Reports &gt; Account Receivable. The system shows a &quot;Write Off&quot; button in all &quot;past due&quot; invoices and debit notes. Click on the button if you want to write off the unpaid amount as a bad debt. The write-off can be reversed if any payment is received later. Just document the payment normally and let the system generate the reverse transactions for you.</p>\r\n\r\n<p>The payments and taxes collected from Matters module are listed in Finance &gt; Reports as sales revenue and liabilities, respectively. They are also included in all other financial reports when applicable.</p>\r\n', 'Y', '', NULL, 3),
(401, 51, 'Email Services', '<p>The system provides an email client for facilitating internal and external communications. The features include sending and receiving emails, file attachments, drag and drop between folders, and mailing lists.</p>\r\n\r\n<p>Some configurations are required before you can use the email services. First, visit Utilities &gt; Tools &gt; Email Settings to put in the server and user login information for Incoming and Outgoing Emails. The incoming emails require separate individual login, which is set by each staff user in Options &gt; Account Settings. The outgoing emails, however, shares the same user login account. This design works especially well when you want to use such bulk email service provider as Sendgrid to overcome the limitations imposed by your Web host or email service provider. For example, some Web hosts impose a quota of 250 emails per day for each mailbox. To use Sendgrid, simply enter the SMTP server and account login formation provided by them.</p>\r\n\r\n<p>Next, create email accounts for your staff users if they don&rsquo;t already have one. Consult your Web host or IT department if you need any help with creating these email accounts. Ask each staff user to visit Options &gt; Account Settings and put in their email account username and password. They can then start doing emails right away.</p>\r\n\r\n<p>An email can be composed by a staff user in Matters &gt; Cases, Exchange &gt; Emails,&nbsp; Finance &gt; Sales, Finance &gt; Purchases, Finance &gt; Essentials &gt; Expenses, and Public &gt; Online Sales. For example, you can email to a staff user directly in case management area. As another example, you can email an invoice to a customer in Finance &gt; Sales &gt; Invoice.</p>\r\n\r\n<p>If you email to any contact for networking purpose, you can click on the name or &quot;Do Intro&quot; link to bring in introduction content from the contact&rsquo;s social record in Contacts &gt; Master List &gt; Contacts &gt; Social. Note that the Case field in the email is for admin use only. The system needs this information to file the email in the case record.</p>\r\n\r\n<p>You can also send bulk emails to specific groups of people using mailing lists. Each staff user is responsible for creating and maintaining his/her own mailing lists. A list can be created in several ways to include any staff user and/or contact users as follows:</p>\r\n\r\n<ul>\r\n	<li>By User Role</li>\r\n	<li>By User Group</li>\r\n	<li>By Contact Membership</li>\r\n	<li>By Contact Relationship</li>\r\n	<li>By Manual Entry</li>\r\n</ul>\r\n\r\n<p>Bulk emails can be sent instantly or at a scheduled time. To use the scheduling feature, you must set up a cron job on your server using the cron job command listed in Utilities &gt; Tools &gt; Cron Jobs. Ask your Web host or server administrator for help if you don&rsquo;t know how to do it.</p>\r\n', 'Y', '', NULL, 1),
(402, 51, 'System Notifications', '<p>The system sends out notification emails to staff users and contact users when certain activities are performed by contact users in membership and public modules. For example, when someone purchases an item online, all staff users in Sales Team user group are notified of the purchase via a notification email. You can configure the notification contents by visiting Notifications section of membership and public modules. These notification emails are sent in the same way as manually composed emails, except that the sender information is masked as System Admin with a no-reply email address. You can change the default sender information in Utilities &gt; Tools &gt; Email Settings.</p>\r\n\r\n<p>Listed below is a summary of system notifications for membership and public modules:</p>\r\n\r\n<p><img alt="" src="/app/webroot/documents/%24ckeditor/images/system-notifications.png" style="width: 670px; height: 460px;" /></p>\r\n\r\n<p>Support (Team) and Sales (Team) are user groups and you can add or remove staff users by changing user role assignments in Utilities &gt; System Access &gt; User Groups. You can also turn off some of the notifications in the public modules if you don&rsquo;t want to use them.</p>\r\n', 'Y', '', NULL, 2),
(403, 52, 'Internal Messaging', '<p>All communications in the system are by direct emails except when they are done in Messages section, where an internal messaging function is used to keep the contents private and confidential. Messages sent by the staff users and contact users can only be read by logging into the system. A generic notification email is sent to contact users when they receive a new message. However, no email notification is sent to staff users because they can see the activities in Dashboard &gt; Summary as soon as they log into the system.</p>\r\n\r\n<p>The content of the generic notification email can be customized in Utilities &gt; Tools &gt; Email Settings. See New Message Notification field. Do not change the variables in [ ] brackets because they are needed by the system to fill in the data correctly.</p>\r\n\r\n<p>When a contact user sends a message in the public frontend login area, it&rsquo;s received by everyone in the Support Team user group. Any reply to the contact user is also Bcc&#39;ed to the entire user group. The contact user cannot see any staff user name unless there is a reply from a specific staff user. Any reply to the staff user is again sent to the entire Support Team. This way, everyone in the Support Team is informed of all the communication details.</p>\r\n\r\n<p>The status of a new message is defaulted to &ldquo;Open&rdquo; when it arrives in Message Inbox. Everyone in the Support Team can see this status. If there is anything that needs to be done to the message, change the status to &ldquo;Assigned&rdquo; to assign the task to yourself. This assignment lets everyone know that you are responsible for it. Change the status to &ldquo;Done&rdquo; when the task is completed. For example, if a contact user requests for more information about membership, you can mark the message as &ldquo;Assigned&rdquo; after you read it, and everyone else knows that you are taking care of it.</p>\r\n', 'Y', '', NULL, 1),
(404, 53, 'Documenting Phone Calls', '<p>Phone Calls section is for documenting incoming and outgoing phone calls. For Caller field options, choose Contact field if you know the person is on the contact list. If not, select Name field and type in the name manually. The call time is set to the time when you click on &quot;Document New&quot; button, however, you can change it by typing in a different time if the documentation is done after the call.</p>\r\n\r\n<p>Only the person doing the documentation can see the record. However, the person taking phone calls can inform another staff by sending him/her a quick message via the Copy Staff function. The copied staff is then able to see the same phone call documentation in the Phone Calls section. Either person can edit or delete the record. Change the status to &ldquo;Closed&rdquo; when the phone call has been taken care of.</p>\r\n', 'Y', '', NULL, 1),
(405, 53, 'Using Text Macros', '<p>Text macros are very handy when you are on the phone and trying to take note. For example, you can have a bunch of pre-created notes that you can pop in by typing a trigger word. Go to Options &gt; Text Automation to create these notes. Then use them to speed up your documentation in phone calls. These text macros can be used in Emails, Messages, SMS/Texts, and Letters as well.</p>\r\n', 'Y', '', NULL, 2),
(406, 54, 'Sending SMS/Texts', '<p>Use SMS/Texts to send a SMS or text message to anyone who has a mobile number, even if the person is not on the contact list yet. This feature requires the use of Twilio service. Sign up with them and choose the level of services you want. Then put your account information in Utilities &gt; Tools &gt; API Settings to activate the service in the system. No other configuration is needed.</p>\r\n\r\n<p>Use lists if you want to broadcast SMS or text messages to groups of people on a regular basis. Simple build the lists in List section, and then select one for use when you want to do the broadcasting.</p>\r\n\r\n<p>Currently, the system cannot receive SMS or text messages. So it&#39;s not for two-way communication.</p>\r\n', 'Y', '', NULL, 1),
(407, 55, 'Sending and Receiving Faxes', '<p>The system is integrated with InterFAX (www.interfax.net), an online fax service that lets you send and receive faxes directly from inside Exchange section. To use this service, simply sign up with them, and then put your account information in Utilities &gt; Tools &gt; API Settings to turn on the service. InterFAX currently offers fax numbers from 10+ countries. Contact them if your country is not on their list to see if they can get a local number for you. Their monthly fee for receiving fax includes a free fax number. Outbound fax charge is based on usage.</p>\r\n\r\n<p>Similar to Emails, the system checks every 5 minutes to see if there are any incoming faxes. You can also click on the &ldquo;Refresh&rdquo; button manually to get an instant update.</p>\r\n\r\n<p>To start faxing, simply type in a fax number, contact name(s), or use the list option. Be sure there is a +code if you fax to a foreign country. For example, the +code for UK is +44. This +code is included if you type in a contact name or use the list option. If it&rsquo;s not there, you can add it to the fax number field in Contacts section. The system inserts the +code automatically in Profile if the contact is from outside the country.</p>\r\n\r\n<p>You can type in fax content or attach multiple documents. If needed, document in Admin Notes for internal use. The notes are not included in the actual fax. You can send out the fax right away, save it as draft, or cancel it. When it&rsquo;s first sent, the status is &ldquo;Pending&rdquo;, and after refresh, it&#39;s changed to &quot;Sent.&quot;</p>\r\n\r\n<p>A summary of fax transactions can be viewed in your InterFAX account as well. Log in there to review your Inbound Queue and Outbound Queue if you suspect any receiving or sent error. Contact InterFAX support if any help is needed.</p>\r\n\r\n<p>&nbsp;</p>\r\n', 'Y', '', NULL, 1),
(408, 56, 'Writing Letters', '<p>There are times when you want to be more formal with your communication with others. Letters are great for that purpose. They can be printed and mailed. Alternatively, you can print them to PDF and email them as attachments. A PDF driver is required for printing to PDF. There are many free ones available, including doPDF, PrimoPDF, and CutePDF.</p>\r\n\r\n<p>Instead of creating every letter from scratch, create some letter templates in Options &gt; Text Automation to speed up data entry. For example, you can have a standard late payment template and pop it in to make as-needed changes before you send it to a late-paying customer. The nice thing about using letter templates is that you can automate the entries for Date, Contact Name, Contact Company, Contact Job Title, Contact Billing Address, My Signature, My Name, and My Job Title.</p>\r\n\r\n<p>Go to Options &gt; Text Automation &gt; Letter Templates to see what templates are available for your use. You can create your own or use those shared by others. For help, read the Letter Templates section of this quick guide. Some configurations by System Admin and individual staff are required before you can use the letter templates efficiently.</p>\r\n', 'Y', '', NULL, 1),
(501, 61, 'General Introduction', '<p>General section consists of Transaction Journal, Chart of Accounts, Payment Methods, Tax Rates, Currencies, and Settings. You can limit access to this section by editing user role in Utilities &gt; System Access. All Finance users can still use what you have set up; they just can&rsquo;t change the settings if they don&rsquo;t have access to General section. Remember to delete all financial example data before you start using Finance. You can easily do this by using &quot;Refresh Finance&quot; function in Utilities &gt; Tools &gt; System Maintenance.</p>\r\n', 'Y', '', NULL, 1),
(502, 61, 'Transaction Journal', '<p>Transaction Journal is a general journal designed based on generally accepted accounting principles (GAAP). It lists all of the financial transactions in the system, including those from Contacts, Matters, Finance, HR, and Public modules:</p>\r\n\r\n<ul>\r\n	<li>Membership subscriptions in Contacts</li>\r\n	<li>Billing transactions in Matters</li>\r\n	<li>Sales, Purchases, and Essentials transactions in Finance</li>\r\n	<li>Payroll and Expenses payments in HR</li>\r\n	<li>Advertising payments in Public &gt; Advertising</li>\r\n	<li>Event registration fees in Public &gt; Events</li>\r\n	<li>Helpdesk support fees in Public &gt; Helpdesk</li>\r\n	<li>Onlinestore sales payments in Public &gt; Onlinestore</li>\r\n</ul>\r\n\r\n<p>Not everyone is familiar or comfortable with doing double entries in a general journal. So the system automates all of the common accounting entries for you. For example, when you sell an item on credit and generate an invoice in Finance &gt; Sales, the transaction is automatically recorded in Transaction Journal. Likewise, when you bill a client for service in Matters &gt; Billing or do a payroll payment in HR &gt; Payroll, the transaction is automatically recorded in Finance &gt; General &gt; Transaction Journal. All recorded transactions are included in the financial reports provided by the system.</p>\r\n', 'Y', '', NULL, 2),
(503, 61, 'Chart of Accounts', '<p>A broad range of common accounts are included in the system. Select and use those that are applicable to your business. Most accounts can be edited, except for those tied to specific transactions in the system. You can also add new ones. An account can be classified as &ldquo;Assets, Liabilities, Equity, Revenue, or Expenses&rdquo; and be assigned a type that fits its purpose. For example, &ldquo;101: Bank Account&rdquo; is classified as &ldquo;Assets&rdquo; and the type is &ldquo;Current Asset&rdquo;. Here&rsquo;s a summary of the available options:</p>\r\n\r\n<ul>\r\n	<li>Assets &ndash; Current Asset, Fixed Asset, Intangible Asset, Long-Term Investment</li>\r\n	<li>Liabilities &ndash; Current Liability, Long-Term Liability</li>\r\n	<li>Equity &ndash; Equity, Payout, Withdrawal</li>\r\n	<li>Revenue &ndash; Contra Revenue, Operating Revenue, Other Revenue</li>\r\n	<li>Expenses &ndash; Direct Cost, Operating Expense, Other Expense</li>\r\n</ul>\r\n\r\n<p>Usage Area(s) is a feature for filtering and displaying accounts in various sections of the system. They are assigned to each account based on specific functions described below.</p>\r\n\r\n<ol>\r\n	<li>Transaction Journal &ndash; All accounts, except for Current Earnings, are assigned this usage area so that accounting transactions can be manually edited in the journal.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Item List &ndash; The accounts are organized according to Merchandise, Direct Cost, Fixed Asset, and Operating Expense designations. For example, when you list an item under Fixed Asset, you have the option to assign it to Computer Equipment, Office Equipment, Machinery Equipment, Motor Vehicles, or Leasehold Improvement account.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Payroll &ndash; Several expense accounts are defaulted for use: Labor (DC), Insurance, Payroll Tax Expense, Retirement Plan Contributions, and Wages &amp; Salaries. Labor is a direct cost, while the rest is operating expense.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Transfers &ndash; Three current asset accounts (Bank Account, Cash in Hand, and Paypal Account) are listed in Essentials &gt; Transfers together with a number of Equity, Other Revenue, and Other Expense accounts. You can move money between these accounts.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Payment Methods &ndash; By default, 101: Bank Account, 102: Cash on Hand, 103: Online Account are assigned this usage area. This means that they can be selected as the account for a specific payment method. The selection is done in Finance &gt; General &gt; Payment Methods.</li>\r\n</ol>\r\n\r\n<p>Enter the opening balance for all accounts classified as Assets, Liabilities, and Equity when you first start using the system. There is no need to do it for Revenue and Expenses accounts because their opening balance is always $0. The account balance, on the other hand, is calculated and updated by the system based on new transactions. When the current fiscal year is closed, the account balance becomes the opening balance for the new fiscal year.</p>\r\n\r\n<p>Change the status to &ldquo;Inactive&rdquo; if you don&rsquo;t want to use any account. This option helps to cut down the number of accounts to be tracked and reported.</p>\r\n', 'Y', '', NULL, 3),
(504, 61, 'Payment Methods', '<p>A number of payment methods can be used in sales and purchases transactions. For examples, Bank Transfer, Bank Wire, Cash, Check/Cheque, Credit Card, Debit Card, and Paypal. By default, Bank Transfer, Bank Wire, Check/Cheque, Credit Card, and Debit Card payments are assigned to &quot;101: Bank Account&quot;, while Cash payments are assigned to &quot;102: Cash on Hand&quot; account, and Paypal payments are assigned to &quot;103: Online Account&quot;.</p>\r\n\r\n<p>The list of payment methods is applied to Matters &gt; Billing, Finance &gt; Sales, Purchases, and Finance &gt; Essentials. For membership and public modules, the payment method is defaulted to &ldquo;103: Online Account&rdquo; in Utilities &gt; Organization &gt; Merchant Accounts.</p>\r\n', 'Y', '', NULL, 4),
(505, 61, 'Tax Rates', '<p>Tax Rates consists of two sections and are applied to all applicable sales and purchases transactions in the system and business income tax estimates in Finance &gt; Reports &gt; Taxes. Set them up according to your local requirements.</p>\r\n\r\n<ol>\r\n	<li>Sales and Purchases Tax Rates &ndash; The system can handle US sales tax and international goods and service tax (GST). US sales tax is based on a combination of state, county, and city taxes, while GST is usually one rate for everything.</li>\r\n</ol>\r\n\r\n<ul>\r\n	<li>US Sales Tax &ndash; Put in applicable tax rates or import them in CSV file format with three columns of data: State, City, Tax Rate, and Description. There are over 35,000 tax rates in the country, and you can obtain a copy of the database for free or with a fee from various providers, such as the state tax or revenue departments. Chances are good that you do not need the full database. The system assumes that the sales tax rates can be used for both sales and purchases. Update the tax rates periodically as they can change over time.</li>\r\n</ul>\r\n\r\n<p style="margin-left:.5in;">Services and digital goods are generally not taxed in most states, except for a small list of items. However, most physical goods are taxed. How much sales tax to collect or pay is determined by the state you live in and where the items are shipped to. It&rsquo;s either origin-based or destination-based. If you live in an origin-based sales tax state such as California, you would charge everyone in your state a tax rate that is based on your business location. On the other hand, if you are in a designation-based sales tax state such as New York, then you would charge everyone in your state a tax rate that is based on the ship-to location.</p>\r\n\r\n<p style="margin-left:.5in;">Generally speaking, you are not required to collect sales taxes from out-of-state buyers and those with reseller permits. The system will uncheck the Tax checkbox in Matters &gt; Billing, Finance &gt; Sales, and Public &gt; Online Sales if the ship-to state is different from all of your business locations. For Purchases, Use Tax is applied to out-of-state and foreign transactions if the items are taxable. If you are a reseller, you can present your permit to exempt you from paying sales tax when you buy Merchandise and Direct Cost items from vendors and suppliers. The system will uncheck the Tax checkbox in Finance &gt; Purchases if there is reseller permit information entered in Utilities &gt; Organization &gt; Business Profile.</p>\r\n\r\n<ul>\r\n	<li>International GST - For countries that use GST, the list of tax rates is much shorter, and you can enter them manually. For example, Malaysia uses 13 tax codes for purchase and 10 tax codes for supply. Note that you may not need to collect GST taxes in some countries if your business income is under a certain threshold. Check with your local regulations and follow them accordingly. Individual tax codes and rates must be applied to all the items you buy and sell, including tax-exempted items. Do the assignment of tax codes and rates in Finance &gt; Items &gt; Item List before you start using Finance module. Do the same in Matters &gt; Billing &gt; Codes before using Matters module. These settings automate GST documentation and reporting in the system.</li>\r\n</ul>\r\n\r\n<ol>\r\n	<li value="2">Business Income Tax Rates &ndash; You are required to pay estimated taxes for your business on a regular basis and a final payment at the end of the fiscal year. The tax rates here are used to compute the estimates displayed in Finance &gt; Reports &gt; Taxes.</li>\r\n</ol>\r\n\r\n<ul>\r\n	<li>US &ndash; There are different ways to prepare and file your business income tax, depending on whether you run the business as a sole proprietor or use a legal entity such as an LLC or corporation. If your business is an LLC and you are the sole owner, you can use Schedule C. However, if your business is a corporation or elect to treat your LLC as one, then you must prepare a separate corporate tax return on Form 1120. Choose your business type (Corporation or Sole Proprietor) and edit the tax rates accordingly. The tax rates for Sole Proprietor are similar to payroll tax rates and tax estimates are paid using Schedule SE (Form 1040). You can deduct the employer-equivalent portion of your SE tax in the adjusted gross income.</li>\r\n</ul>\r\n\r\n<ul>\r\n	<li>Other Countries &ndash; Tax filing for businesses in other countries are usually much simpler. Enter the tax rates based on your business income brackets. For example, put in 20% for $0 to $500,000 and 25% for anything above it.</li>\r\n</ul>\r\n', 'Y', '', NULL, 5),
(506, 61, 'Currencies', '<p>Set up all the currencies that you plan to use for sales and purchases transactions. For example, there is a Currency field in Sales Invoice where you can specify the currency you want to use. The exchange rate fluctuates daily so it&rsquo;s applied when you place a purchase order, invoice, make payment, and receive payment. Note that the currencies entered in this section also appear in Currency dropdown field displayed at Utilities &gt; Tools &gt; Common Settings, which is where you set the default currency for your business.</p>\r\n\r\n<p>If your business conducts trade in a foreign currency, the fluctuation in exchange rates can impact your bottom line if you do not invoice and collect payment on the same day. Any change of currency value after invoicing can result in unrealized currency gains and loses. These gains and loses become realized when a payment is made. The system tracks and reports on both realized and unrealized currency gains and loses.</p>\r\n\r\n<p>Think of realized gains and losses as &ldquo;good in the bank,&rdquo; and unrealized ones as &ldquo;only good on paper.&rdquo; Realized means the invoice has been paid and you&#39;re doing the math to account for actual exchange rate difference between the day it was issued and the day it was paid. Unrealized gains and losses are calculated before the invoice gets paid, and reflect what the gain or loss would be if the invoice/bill were paid today. This gain or loss is displayed in Financial Statements and is based on the rate difference between the invoice date and today&#39;s date. Today&#39;s rate is entered manually in Financial Statements before you generate the report.</p>\r\n\r\n<p>Just because you are dealing with foreign suppliers or customers does not mean you need to use their currency. If you can buy or sell everything in your own currency, then you do not need to worry about exchange rate fluctuations.</p>\r\n', 'Y', '', NULL, 6),
(507, 61, 'Settings', '<p>You can configure how certain things are done in Finance by choosing the options below and put a lock on them using System Admin login.</p>\r\n\r\n<ol>\r\n	<li>Fiscal Year &ndash; Enter the start and end dates of your fiscal year. These dates are used to manage the range of data in your financial reports. The default fiscal year is the calendar year (January 1 to December 31), but you can change it to any dates.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Year-end Closing &ndash; The fiscal year is closed automatically by the system after the year end. However, all the transactions are still editable. Log in as the System Admin to lock the transactions when you don&#39;t want them to be editable any more.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Accounting Basis &ndash; This option defines the method for keeping track of revenue and expenses. Small businesses with a certain revenue threshold can use either Cash or Accrual method, while the bigger companies must use the Accrual method.</li>\r\n</ol>\r\n\r\n<ul>\r\n	<li>The Cash accounting method records accounting events when they become tangible, for example, when a customer&#39;s check arrives or when money for a business-related expense is deducted from the bank account. Cash accounting registers income when money is received and registers expenses when money goes out the door. This method is more familiar to most people because it&#39;s how they track their personal finances. Likewise, income is taxable when it&#39;s received, and expenses are deductible when they are paid. Cash accounting is a straightforward and easily understood method of record-keeping for tax purposes.</li>\r\n</ul>\r\n\r\n<ul>\r\n	<li>The Accrual accounting method approaches accounting events in real time and transactions are counted even when no money is received or paid. For example, when you issue a sales invoice, the accrual method registers it as a sale, even though it may be weeks or months before you receive the full payment. Similarly, when you enter into an arrangement to make a purchase, the accrual system doesn&#39;t wait until you&#39;ve actually paid out the money to record it as an expense. This method helps present a more accurate picture of your business condition, but it can also result in a business owing taxes on income it has yet to receive.<br />\r\n	&nbsp;</li>\r\n</ul>\r\n\r\n<ol>\r\n	<li value="4">Tax Basis &ndash; For some countries such as Australia, either Cash or Accrual accounting method can be used before reaching a revenue threshold, while for others such as Malaysia, only Accrual method is allowed. For US, the tax basis always follows the accounting basis. Choose the appropriate setting for your business so that you pay the correct tax. Note that if your tax basis is accrual, the tax is recognized upon the issue of a sales invoice and may create a negative cash flow if the customer or client payment is not received in a timely manner.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">First Contact Account # &ndash; The account number for the first contact is defaulted as 101. You can change it to any number you want by logging in as the system admin. This account number is included on all printed sales and purchases documents.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">First Sales Listing # and First Purchases Listing # &ndash; You may not want to issue an invoice with a number 1 when you first start using the system. The number can be changed to a different number, for example, 101. Log in as the system admin to make the change and lock the number.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="7"># of Rows in Sales and Purchases &ndash; By default, three rows are displayed in Quote, Invoice, Return, etc. Yon can change the default number by entering a different number. You can also add more rows when you are inside sales and purchases tabs.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="8">Multi-currency Usage &ndash; This option is for those who buy and sell using different currencies. It allows you to enter an exchange rate for calculating the conversion between the default currency and the currency used in Finance transactions.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="9">Taxable Default &ndash; (US Only) By default, sales tax is applied to&nbsp;goods only in Finance &gt; Items &gt; Item List and Matters &gt; Billing &gt; Codes. However, you can apply the taxable setting to services, digital goods, and photos as well based on your specific needs.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="10">Sales Tax Method (US Only) &ndash; The system defaults the sales tax rate entered in Tax Rates section according to the tax method assigned to your state, where you sell to, and where you buy from. Orientation-based method is for those states that require you to collect sales tax based on your business location, while destination-based method is based on the buyer&rsquo;s location. There are also five states with no sales tax.<br />\r\n	&nbsp;</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="11">GST (Non-US) &ndash; GST is turned on by default for all non-US countries. Put in the GST Effective Date and First GST Filing Date. The information provided is used in GST reporting and return filing. Be sure to set up the tax rates and apply them to all items in Item List.</li>\r\n</ol>\r\n', 'Y', '', NULL, 7),
(508, 62, 'Sales Listings', '<p>Sales Listings grid displays credit sales transactions chronologically with the latest one listed at the top. Credit sales mean that you need to follow a multiple-step workflow and provide a term of payment such as Net 30.</p>\r\n\r\n<p>1. Workflows &ndash; The system assumes that a quote will lead to an order, which will prompt you to issue an invoice and do the shipping. Any return or adjustment is handled on a case by case basis. The credit sales workflow is as follows:</p>\r\n\r\n<p>Quote &nbsp;=&gt; &nbsp;Order &nbsp;=&gt; &nbsp;Invoice &nbsp;=&gt; &nbsp;Shipment &nbsp;=&gt; &nbsp;Return &nbsp;=&gt; &nbsp;Adjustment &nbsp;=&gt; &nbsp;Payment</p>\r\n\r\n<p>But in practice, the customer may not order everything that is quoted or may buy more than once using the same quote. The customer may also return some of the items or send in several partial payments. The system is designed to accommodate all these scenarios by giving you the flexibility to jump to any tab and letting you add multiple records in each tab. When there is more than one record in a tab, the page listing becomes a grid listing instead.</p>\r\n\r\n<p>2. Listing Number &ndash; The same listing number is used for all records in each sales transaction, for example, 101 for Quote #, Order #, Invoice #, Shipment #, Return #, Adjustment #, and Payment #. This logic helps you link all the activities together. An additional number is added to the listing number when there are multiple activities. For example, you can issue multiple invoices for the same order. This can happen if the order cannot be fulfilled all at once. If there are three invoices, the invoice numbers would be 101, 101-2, and 101-3, respectively.</p>\r\n\r\n<p>3. Item Data &ndash; Most of the information in the sales tab sections is auto populated by using data entered in Contacts and Item List. Putting all your merchandise items in Item List is required prior to sales so that various data can be applied automatically. The system also lets you copy data from previous tab section. For example, if there is data entered in Order, the data is automatically copied over to Invoice for you to review and save. If there are multiple orders, the system let you specify which order to copy when you attempt to create a new invoice.&nbsp;</p>\r\n\r\n<p>4. Sales Discounts &ndash; Three types of discounts are available for use in Sales, namely promotion discount, quantity discount, and total-based discount. These three types of discounts can be configured in Sales Discounts section.</p>\r\n\r\n<ul>\r\n	<li>A promotion discount can be assigned to an item or multiple items using a promotion code. The sales prices for qualified items are reduced according to the discount when the promotion code is entered in Finance &gt; Sales or Onlinestore &gt; Checkout area.</li>\r\n	<li>If any item is qualified for a quantity discount, the percentage is displayed in the items table under Disc (%) column, and the sales price is reduced accordingly.</li>\r\n	<li>Lastly, when the original sale prices reach a certain level, a total-based discount can be applied. This discount is applied to the Subtotal below the itemized table.</li>\r\n</ul>\r\n\r\n<p>As an example, let&rsquo;s say the sale price of a smart watch is $100, and the following discounts are offered: 10% promotion discount, 10% when you buy 10 of them, and another 10% discount when the sales total reaches $1,000. The discounts are applied in the following sequences:</p>\r\n\r\n<p><img alt="" src="/app/webroot/documents/%24ckeditor/images/Discounts%20Examples.png" style="width: 460px; height: 120px;" /><br />\r\n<br />\r\n5. Quote &ndash; Issue a quote for those customers who request it. In addition to printing, you can email and fax it directly from the system to your customers. The quote is sent as a PDF attachment in email.</p>\r\n\r\n<p>6. Order &ndash; Document any order received. The data can be easily copied from Quote. If there is no quote, then prepare the Order manually.<!--EndFragment--> ttachment in email.</p>\r\n\r\n<p>7. Invoice &ndash; Put&nbsp;in all required information in the invoice. Much of the information can be copied from the Order tab if it&#39;s available. Part of the accounting entries for a sales transaction is registered when an invoice is issued. Another part is registered when you ship the items. See Finance &gt; General &gt; Transaction Journal for the details. Document any sales deposit received in Payment tab right away. You can apply it to the current or a new invoice to decrease the customer payment. If the invoice is cancelled for any reason, a reverse transaction is recorded in the Transaction Journal. However, it&#39;s better to issue a credit note if you have already received any deposit/payment or have already shipped the items.&nbsp;</p>\r\n\r\n<p>8. Shipment &ndash; Configure the shipping rates in Shipping Services section so that you can automate the shipping fees calculation. The system decreases the item quantity in Item List according to the quantity stated in Shipment. When you ship any item to a customer, you incur shipping and handling expenses. The shipping expense amount is debited to 621: Shipping & Delivery Expenses account.</p>\r\n\r\n<p>9. Return &ndash; Any returned item can be disposed of in two ways: issue a credit or do an exchange. The system assumes that the returned item is put back to Merchandise Inventory so the item quantity in Item List is increased. If it&#39;s an exchange, the item quantity is decreased when the replacement is shipped. If the returned item cannot be re-stocked and must be returned to the item vendor/supplier, document the return in Finance &gt; Purchases &gt; Purchases Listings &gt; Return. You can also discard and claim loss in Item List.</p>\r\n\r\n<p>10. Adjustment &ndash; Any return or price change made after an invoice is issued can be addressed by issuing a credit or debit note in Adjustment. If it&#39;s a credit return, you can issue a credit note to have the amount deducted from the customer&rsquo;s account. This credit amount can be refunded or applied to other invoices as sales payment. On the other hand, you may issue a debit note because of price increase or error. It works like invoice in this situation, and the customer is expected to pay for it. Debit notes are tracked in Account Receivables just like the invoices.</p>\r\n\r\n<p>11. Payment &ndash; Document the various&nbsp;types of sales payment transactions: invoice payment, debit note payment, deposit received, and credit note&nbsp;refund. The system updates the invoice balance for you in the background.</p>\r\n\r\n<p>12. Write-off &ndash; If there is any problem in payment collection, you can write off an invoice or debit note as a bad debt expense using &quot;604: Bad Debts&quot; account. The system shows a &quot;Write Off&quot; button in all &quot;past due&quot; invoices and debit notes. Click on the button if you want to write off the unpaid amount as bad debt. If any payment is received after the write-off, just document the payment normally and let the system take care of the accounting transactions.</p>\r\n', 'Y', '', NULL, 1),
(509, 62, 'Sales Terms', '<p>Every sale involves a sale term, whether it&#39;s a cash or credit transaction. For example, &ldquo;Net 30&rdquo; means that a full payment is expected within 30 days after the delivery of goods and services. The sale term is printed on each invoice.</p>\r\n\r\n<p>The system comes with a number of common sales terms. You can assign one to each client or customer in Contacts &gt; Master List &gt; Contacts. When you enter a contact name in a sales invoice, the sales term for that contact is entered automatically for you. However, you can change it and use a different sales term for that particular invoice if needed.</p>\r\n', 'Y', '', NULL, 2),
(510, 62, 'Sales Discounts', '<p>Three types of discounts, namely Promotion Discount, Quantity Discount, and Total-based Discount can be configured in this section and applied to sales related transactions in Finance &gt; Sales and Onlinestore checkout area. The math is done automatically in the background, and only qualified items receive the discounts.</p>\r\n\r\n<ol>\r\n	<li>Promotion Discount &ndash; This type of discount is commonly offered during holiday seasons such as Christmas or New Year. You can apply one promotion code to multiple items. When a promo code is entered in Finance &gt; Sales or Onlinestore checkout area, the sale prices for all qualified items are updated according to the discount. For example, if the sale price of an item is $100, and the promotion discount is 10%, the new sale price is $90. The system allows multiple promotion codes to be used. If more than one promotion code is assigned to an item, then the last one entered is the one applied to that item.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Quantity Discount &ndash; This type of discount is based on quantity ordered. For example, you can offer a 10% discount if the customer orders 2 units of the same item. The discount is based on the sale price after deducting the promotion discount. If the same $100-item is ordered, then the new sale price is $90 x 2 - 10% = $162.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Total-based Discount &ndash; Based on the order total of qualified items, you can offer a discount to encourage the customers to buy more of certain items. For example, you can offer a 10% discount on X item when the total reaches $200. The original sale price total is used to qualify for this discount, while the discount itself is based on the new sale price after applying Promotion and Quantity discounts. Using our $100-item example above, the Total-based discount is applied to $162 and not $200. &nbsp;</li>\r\n</ol>\r\n', 'Y', '', NULL, 3),
(511, 62, 'Shipping Services', '<p>Any number of shipping services can be set up for use in sales-related transactions. The shipping charge for an order is calculated by using shipping destination, service type, packaging, total weight of merchandise items, and handling fee. This means that all the required information in this section must be entered in advance. Individual item dimensions and weight should also be entered in the Item List prior to selling so that they can be included in the shipping charge calculation in Finance &gt; Sales and Onlinestore transactions. To remove shipping charge for any merchandise item, you can either put in 0 weight or select &ldquo;No Charge&rdquo; for Shipping Method in the Options section of the Item List to exclude it from the shipping charge calculation. Services, digital goods, and photos do not have weight, and they do no need to be shipped.</p>\r\n\r\n<p>The system lets you access UPS shipping rates and tracking in real time. This usage requires that you register with My UPS, open a UPS account (if you don&#39;t already have one), and request an access key in your account area. All three can be done online in a few minutes. Then put the account information in Utilities &gt; Tools &gt; API Settings to turn on the services. Once activated, the system uses the ship from address, ship to address, service type, packing box dimensions, and total item weight listed in a sales invoice to obtain the UPS shipping rate for you. The amount is auto inserted into the shipping charge field in Finance &gt; Sales and Onlinestore checkout area.</p>\r\n\r\n<p>Alternatively, you can create your own custom rate tables for any shipping service. Enter the packaging box dimensions in My Packaging section. Then enter the initial weight, different rates based on zones, and service types in the first rate table. Then do the same for additional weight in the second rate table. This approach works well for those businesses with a small inventory and fixed shipping fees.</p>\r\n\r\n<p>The following automation rules are applied to packaging to determine shipping box size and number of boxes needed. The goal is to minimize shipping charges.</p>\r\n\r\n<ol>\r\n	<li>The lengths, widths, and heights of all items are added together to produce the total length, total width, and total height. Item spacing and wall spacing are included.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Each of these total dimensions is checked against the box&#39;s dimension. The checking starts with the smallest box based on volume. If the smallest box does not fit, the next larger box is checked. This process continues until the largest box is checked. This rule is based on the fact that shipping via bigger and fewer boxes is always cheaper than using smaller and more boxes.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">If the largest box still does not fit, the largest item is separated from the other items and an additional box is used. The checking is repeated for the separated items until all of them can be fitted into the correct number of boxes.</li>\r\n</ol>\r\n\r\n<p>The shipping charge is taxable in most GST countries. However, this is not the case in many US states, and there are rules to follow. For example, freight by truck and shipping via United States Postal Service are not taxable. Some states also require you to charge a sales tax on shipping if the shipping charge is part of the price of the item or if the shipping charge is more than the actual shipping fee. Check with your state regulations to see if you need to apply any sales tax to shipping. You can configure the taxable setting for each shipping service accordingly.</p>\r\n', 'Y', '', '', 4),
(512, 62, 'Shipping Terms', '<p>A few common shipping terms are included for your use. You are free to edit and add whatever terms you want to use. The shipping terms are displayed in Shipping Info field in Sales section and included in the printed documents. Most terms can be put in abbreviated formats as they are popularly used.</p>\r\n', 'Y', '', NULL, 5),
(513, 63, 'Purchases Listings', '<p>The listings grid displays credit purchases transactions chronologically with the latest one listed at the top. Most of the functions work like those in Sales Listings.</p>\r\n\r\n<ol>\r\n	<li>\r\n	<p>Workflow &ndash; Purchases based on credit imply that you can make payments according to the term of payment provided by your vendors and suppliers. The workflow for credit purchases is as follows:</p>\r\n\r\n	<p>Request &nbsp;=&gt;&nbsp;&nbsp;Quote &nbsp;=&gt;&nbsp;&nbsp;Order&nbsp; =&gt;&nbsp;&nbsp;Received &nbsp;=&gt;&nbsp;&nbsp;Return&nbsp; =&gt;&nbsp;&nbsp;Adjustment &nbsp;=&gt;&nbsp;&nbsp;Payment</p>\r\n	However, you do not need to perform every step. In addition, you may not order everything that is quoted or may buy more than once using the same quote. You may also return multiple times or make partial payments based on items received. The system is designed to accommodate all of these scenarios by letting you add new records in each tab. When there is more than one record, the page listing in each tab becomes a grid listing instead.</li>\r\n	<br />\r\n	<li>Listing Number &ndash; The same listing number is used for all records in each purchases transaction, for example, 101 for Request #, Quote #, Order #, Received #, Return #, Adjustment #, and Payment #. This logic helps you link all the activities together. In the case of multiple records in a tab, an additional number is added to the listing number. For example, the system lets you use the same quote to place multiple orders. If there are three orders, their order numbers would be 101, 101-2, and 101-3, respectively.<br />\r\n	&nbsp;</li>\r\n	<li>Item Data &ndash; Most of the information in the purchases tab sections can be copied from previous step based on data already entered. To maximize data entry automation, put all your merchandise, direct cost, fixed asset, and expense items in the Item List prior to using them. You can default their descriptions, prices, known discounts, and many other information. The system defaults the tax rate in the purchases tab sections if the data is available in Finance &gt; General &gt; Tax Rates. If not, enter what is given by the vendor or supplier. For US, Use Tax is applied instead of Sales Tax when you purchase from out-of-state or foreign suppliers and vendors.<br />\r\n	&nbsp;</li>\r\n	<li>Request &ndash; The request for quote is integrated with HR so that individual staff users can submit their purchase requests from Dashboard &gt; Bulletins. Once approved by a manager, the purchasing department can proceed to obtaining a quote or send in a purchase order to buy the requested items.<br />\r\n	&nbsp;</li>\r\n	<li>Quote &ndash; Use this form to request price quotation from a vendor or supplier. The item data can be easily copied over from Request if it&#39;s available. If not, type in the data manually and then use Print, Email, or Fax to send it to the vendor or supplier. Enter prices, shipping fees, and taxes when you receive the information.<br />\r\n	&nbsp;</li>\r\n	<li>Order &ndash; Put in all purchases information, including shipping fees and taxes if they are available. If not, you can add them later when provided by the vendor or supplier. The shipping fees that you pay to the vendor or supplier are recorded in 509: Purchases Shipping (DC) account.<br />\r\n	&nbsp;</li>\r\n	<li>Received &ndash; The accounting entries for purchases are recorded in Finance &gt; General &gt; Transaction Journal when goods are received. The system assumes that it&#39;s when your purchase order is fulfilled and vendor/supplier invoice is received. If the vendor or supplier asks for any prepayment or short-term deposit, document it in the Payment tab right away. This amount is then recorded in the vendor or supplier account and can be applied to any purchase order to reduce your payment amount.<br />\r\n	&nbsp;</li>\r\n	<li>Return &ndash; Damaged or wrong items can usually be returned for exchange or credit. Document the quantity and amount. The system decreases the item quantity in Item List and records the accounting transactions automatically. Also document any shipping expense that you pay for the return. The system records it in 509: Purchases Shipping (DC) account. If an item cannot be returned and must be discarded as a loss, find the item in Item List and use &quot;Discard and Claim Loss&quot; function to document the loss.&nbsp;<br />\r\n	&nbsp;</li>\r\n	<li>Adjustment &ndash; Any item return or price change is handled by issuing a debit/credit note in Adjustment section. You can also cancel the purchase order before receiving of goods and let the system reverse the accounting transactions. However, it&#39;s better to use Return and Adjustment to make changes if goods have already been received. Likewise, if there is a price change or return and a debit note is issued, you can apply the account debit amount to the current purchase order or a new one later on. Alternatively, you can ask for a refund.<br />\r\n	&nbsp;</li>\r\n	<li>Payment &ndash; Document the various types of purchases payment transactions: deposit paid, order payment, and debit note refund in this section. The system updates the order balance for you in the background.<br />\r\n	&nbsp;</li>\r\n	<li>Refuse to Pay &ndash; You can refuse to pay any amount in a purchase order when it&#39;s past due by clicking on &ldquo;Refuse to Pay&ldquo; button. The unpaid amount is treated as a revenue and is credited to &ldquo;406: Refused & Recovered Debts&ldquo; account. If you change your mind later, simply repay the debt and document the payment normally in Purchases &gt; Payments tab section. The system records all the accounting transactions for you automatically.</li>\r\n</ol>\r\n', 'Y', '', NULL, 1),
(514, 63, 'Purchases Terms', '<p>When you buy from a vendor or supplier on credit, you are granted a credit term for payment. You can assign this term to the vendor or supplier in Contacts &gt; Master List &gt; Contacts to automate the entry in Finance &gt; Purchases.</p>\r\n\r\n<p>A list of common purchases terms has been included for your use. For examples, Due on Receipt and Net 30. Feel free to edit the list as needed.</p>\r\n', 'Y', '', NULL, 2),
(515, 63, 'Shipping Services', '<p>Unlike Sales, details of shipping services are provided by your vendors and suppliers. However, you can request them be done in a certain way. For example, if you need the goods urgently, you can request express service. This section provides a list of shipping services for use in purchasing to speed up data entry. There is no pricing table since shipping fees are provided by your vendors and suppliers.</p>\r\n', 'Y', '', NULL, 3),
(516, 63, 'Shipping Terms', '<p>Set up common shipping terms provided by your vendors and suppliers. A few examples have been included, and you are free to edit them. The shipping terms are listed in Shipping Info field in Purchases section and the printed documents. Most terms can be put in abbreviated format because they are well understood.</p>\r\n', 'Y', '', NULL, 4),
(517, 64, 'Expenses', '<p>One of your financial obligations is to pay for operating expenses. Use this section to document the payments for various kinds of expenses as defined in Chart of Accounts.</p>\r\n\r\n<p>Before you start using this section, create a list of expenses in Item List. This way, you can choose from this list when entering an expense item. Click &ldquo;Add New&rdquo;, select &ldquo;Operating Expense&rdquo; as the designation, and then choose an account to use. For example, &ldquo;614: Office Expenses&rdquo; account can be used for all kinds of work supplies in the office. See below for the default list of operating expense accounts.</p>\r\n\r\n<p>601: Advertising</p>\r\n\r\n<p>602: Amortization</p>\r\n\r\n<p>603: Automobile Expenses</p>\r\n\r\n<p>604: Bad Debts</p>\r\n\r\n<p>605: Bank Service Charges</p>\r\n\r\n<p>606: Business Gifts</p>\r\n\r\n<p>607: Business Income Tax</p>\r\n\r\n<p>608: Continuing Education</p>\r\n\r\n<p>609: Custom Duty</p>\r\n\r\n<p>610: Depreciation</p>\r\n\r\n<p>611: Dues &amp; Subscriptions</p>\r\n\r\n<p>612: Insurance</p>\r\n\r\n<p>613: Legal &amp; Professional</p>\r\n\r\n<p>614: Office Expenses</p>\r\n\r\n<p>615: Outside Services</p>\r\n\r\n<p>621: Rent</p>\r\n\r\n<p>622: Repairs &amp; Maintenance</p>\r\n\r\n<p>623: Shipping &amp; Delivery Expenses</p>\r\n\r\n<p>624: Telephone, Internet, &amp; Cable</p>\r\n\r\n<p>625: Travel &amp; Entertainment</p>\r\n\r\n<p>626: Utilities</p>\r\n\r\n<p>627: GST Not Claimable (Non-US)</p>\r\n\r\n<p>Expenses are either one-time payments or recurring payments. For recurring payments, select &ldquo;Enable Recurring&rdquo; checkbox and complete the displayed fields: Start Date, End Date, and Frequency. See an example below.</p>\r\n\r\n<ul>\r\n	<li>Start Date: January 5, 2016</li>\r\n	<li>End Date: None</li>\r\n	<li>Frequency: Monthly</li>\r\n</ul>\r\n\r\n<p>This example means that the recurring is monthly and the due date is the 5<sup>th</sup> day of each month. When you set up the recurring, all records after the start date and up to one period in the future will be created and displayed in the grid. If you set up the above recurring example on February 10, 2016, the records for January 5, February 5, and March 5 are created right away. The record for April 5 is created after March 5.</p>\r\n', 'Y', '', '', 1),
(518, 64, 'Banking', '<p>The system lets you type in bank and credit card account data to reconcile any difference between the system recorded transactions and bank statements. Just copy the data from the monthly statements to the system manually. However, if you use any bank in the US, you can download the bank statement data by using Plaid service. To use Plaid, sign up through us in the account area of our site to get a &ldquo;bank code&rdquo; for each of your banks. Then copy it to Utilities &gt; Organization &gt; Bank Accounts area in the system to turn on the service. The bank data is downloaded directly from Plaid to your Web site (or desktop computer) and stored there.</p>\r\n\r\n<p>Go to Finance &gt; Essentials &gt; Banking to view and manage the data. Each row in the grid represents one month of data. The default period start date is the first day of the month, but you can change it in Utilities &gt; Organization &gt; Bank Accounts to any day of the month to match the statement period. Click on &quot;Match All&quot; button displayed in the top area of the display. The system checks each amount in the statement with a system recorded transaction to see if there is any match. If so, it displays a &quot;Matched&quot; status for the displayed amount. If it doesn&#39;t match exactly, the status is left as blank, which you can review and change.</p>\r\n\r\n<p>Beware of data entry errors and missed transactions. Data entry errors result in different amounts between the system and banking statements, while missed transactions result in bank statement data not found in the system. If you catch any of these errors, just go to the respective sections in the system to do the fixing. Then retry the matching to update the status for each item.</p>\r\n', 'Y', '', '', 2),
(519, 64, 'Transfers', '<p>Transfers section is for documenting the movement of money between your bank, cash on hand, and online accounts. You can also use it to record the following transactions:</p>\r\n\r\n<ul>\r\n	<li>When you add more Paid-up Capital to the business.</li>\r\n	<li>When you make Owner&#39;s Contribution to the business.</li>\r\n	<li>When you withdraw money from the business for personal use.</li>\r\n	<li>When you pay dividends to shareholders.</li>\r\n	<li>When you receive other revenue such as bank interests.</li>\r\n	<li>When you gain or lose money because of currency exchange rate differences.</li>\r\n</ul>\r\n\r\n<p>Add more accounts to Chart of Accounts if needed. Be sure to select &ldquo;Transfers&rdquo; in Usage Area(s) option so that they are available for use in Transfer section. Just like other sections, you can visit Finance &gt; General &gt; Transaction Journal for accounting details.</p>\r\n', 'Y', '', NULL, 3),
(520, 64, 'Deposits', '<p>Use this section to document security deposits that are kept over a long period of time. This type of payment is treated as an independent transaction that does not incur sales tax or GST. A good example is office rental deposit, which is kept by the landlord until the lease expires and is then returned to the tenant.</p>\r\n\r\n<p>Advance payment deposits, however, are best documented in the Finance &gt; Sales &gt; Payment and Finance &gt; Purchases &gt; Payment so that they can be applied to the corresponding invoices and purchase orders to reduce the total payments.</p>\r\n\r\n<p>There are four types of security deposit transactions:</p>\r\n\r\n<ul>\r\n	<li>Deposit Received from Contact</li>\r\n	<li>Deposit Returned to Contact</li>\r\n	<li>Deposit Paid to Contact</li>\r\n	<li>Deposit Repaid by Contact</li>\r\n</ul>\r\n\r\n<p>The first two transactions are recorded in &ldquo;202: Deposits &amp; Prepayments Received&rdquo; account, while the last two transactions use &ldquo;106: Deposits &amp; Prepayments Paid&rdquo; account.</p>\r\n', 'Y', '', '', 4),
(521, 64, 'Taxes', '<p>Payments for sales &amp; use tax (or GST) and business income tax are documented in this section. Record tax refunds received in here as well.</p>\r\n\r\n<ol>\r\n	<li>Sales &amp; Use Tax &ndash; The system calculates the amounts of taxes based on transactions recorded in &quot;203: Sales Tax Paid on Purchases&quot; and &quot;204: Sales Tax Collected from Sales&quot;. A detailed breakdown of these taxes is listed in Finance &gt; Reports &gt; Taxes. Get the numbers from there before you make a tax payment. The system assumes that a tax return is filed when you make a tax payment. You are responsible for complying with the tax authority with regards to when and how to do the filing.&nbsp;&nbsp;&nbsp;<br />\r\n	<br />\r\n	For those using GST, please refer to a separate GST Guide for details on various transactions. You can prepare tax return in either paper or electronic format for online submission. The return lists the details of your business transactions, GST paid and claimed, and other information. You can also generate a GAF file for auditing use.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Business Income Tax &ndash; Do an estimate of your business income tax for a specific time period based on your revenue and expenses and business entity. You are required to pay this estimated tax on a timely basis to avoid late penalties. Use Finance &gt; Reports &gt; Taxes to help you do the estimate. Note that the estimate provided by the system may not be complete because there are many factors involved and the system is not a tax filing software. Consult with a tax professional as needed. You can also refer to past year&#39;s tax filings as a guide.<br />\r\n	<br />\r\n	The tax payments are for both estimated tax and final tax filings. When you file the final tax return for the fiscal year, determine your payable income tax for the year and then deduct the paid taxes from it to get the final tax payable.<br />\r\n	<br />\r\n	Business Income Tax is an expense and is recorded in &quot;607:&nbsp;Business Income Tax&quot; account by the system. The accounting entries are viewable in Finance &gt; General &gt; Transaction Journal.</li>\r\n</ol>\r\n\r\n<p style="margin-left:.25in;">&nbsp;</p>\r\n', 'Y', '', '', 5),
(522, 65, 'Item List', '<p>Register your Merchandise, Direct Cost, Fixed Asset, and Operating Expense items in Item List prior to using Finance &gt; Sales, Purchases, Essentials, HR &gt; Sales, and Public &gt; Onlinestore. This requirement ensures that accounting entries are recorded correctly and automatically by the system.</p>\r\n\r\n<p>Note that Onlinestore catalog shares the same data table with Item List but only Merchandise items are displayed in the catalog because the other items are not for sale. If you make change for a merchandise item in Item List, the same change appears in Onlinestore, and vice versa.</p>\r\n\r\n<p>1. Data Entry &ndash; Complete all relevant fields in the item list record, including designation, account(s), average cost, sale price, descriptions, size, weight, images, and other options. These fields are found in three tabs, namely Item Name, Images, and Options. Make sure that the account fields are documented properly for each item. For example, a Merchandise item is associated with &ldquo;105: Merchandise Inventory&rdquo; and &ldquo;501: Materials (DC)&rdquo; accounts by default. A Direct Cost item can have its cost split between different accounts. A Fixed Asset or Operating Expense item can be assigned to one of the account options listed in the dropdown. For Fixed Asset, also select a depreciation method for each item and put in the required data.</p>\r\n\r\n<p>2. Data Application &ndash; The Item List is applied to the following sections according to item designation. For example, you can automate data entry for a Merchandise item in Finance &gt; Sales by typing in a few letters. See the table below for a complete listing.<br />\r\n<br />\r\n<img alt="" src="/app/webroot/documents/%24ckeditor/images/Data%20Application.png" style="width: 668px; height: 241px;" /></p>\r\n\r\n<p>3. Inventory Cost &ndash; The system uses &ldquo;average cost&rdquo; method to manage merchandise inventory movement. If you only buy from one source and the price does not change, then the average cost is the unit price of the purchase. But over time, you may see an increase in unit price or buy from multiple sources. When this happens, the average cost is a more accurate way of valuing your merchandise inventory. It&rsquo;s calculated by adding up the total purchase prices and dividing by the total number of units in stock. The average cost is used as the cost of goods sold when you sell any unit.</p>\r\n\r\n<p>4. Quantity Management &ndash; When you first start using the system, enter all merchandise items manually. Leave the quantity as 0 if you don&rsquo;t have any unit in stock. The quantity is registered when you purchase the item from a supplier. It&rsquo;s also registered when you sell it or if there is any purchases or sales return. The average cost is updated automatically by the system when there is a change in purchase price. If you do have stock quantity or want to adjust the inventory of an existing merchandise manually, you can edit the quantity and average cost in the item listing. The system uses &ldquo;307: Historical Balancing&rdquo; account to document the difference in inventory adjustment so that your balance sheet can be balanced.</p>\r\n\r\n<p>5. Copy Item &ndash; The system provides a &ldquo;Copy&rdquo; button to reduce data entry. For example, you may have different models or editions for an item. Simply click open an existing item listing and then click on &ldquo;Copy&rdquo; button to create a new record. All of the info, except for the Quantity, is copied over. Make change to this new record and then save it.</p>\r\n\r\n<p>6. Convert to Fixed Asset &ndash; A merchandise item can be converted to a fixed asset when needed. For example, you may be selling iPhones and want to let your staff use some of them. Go to the edit mode of the merchandise listing and click on &ldquo;Convert to Fixed Asset&rdquo; button. All the information, except for account and quantity, is copied over to the new record. Set the account and quantity and save the record. A fixed asset can be converted to a merchandise item as well. The conversion takes place when you want to sell used equipment, furniture, and other items. SGo to the edit mode of the fixed-asset listing and click on &ldquo;Convert to Merchandise&rdquo; button to make the change. In both scenarios, the system makes the accounting adjustments for you on the backend.</p>\r\n\r\n<p>7. Discard &amp; Claim Loss &ndash; There are times when some merchandise items must be discarded because they are damaged, not sellable, or lost. Go to the edit mode of each item, select the quantity, and then click on &quot;Discard &amp; Claim Loss&quot; to process. The system record the transaction as an expense in &quot;511: Inventory Adjustments (DC)&quot; account.</p>\r\n\r\n<p>8. Reviews and Complaints (Flag) &ndash; These contents are submitted by contact users from the public frontend and can be edited or deleted by the staff users. Contact users do not have access to the ratings, reviews, and complaints submitted by other users even if they list their own items for sales in your Onlinestore. You can turn off these features in Onlinestore Settings section if you do not want to use them.</p>\r\n\r\n<p>9. History &ndash; The history section displays a summary of sales, purchases, conversion, and adjustment activities for each item. Use it to track changes and demand of each item.</p>\r\n', 'Y', '', NULL, 1),
(523, 65, 'Categories', '<p>The categories you see in Items section are the same as the categories in Onlinestore module. So any change you make appears in both places. Categories are more useful on the public frontend, but you can also use them to group similar items in the Item List.</p>\r\n', 'Y', '', NULL, 2),
(524, 65, 'Statistics', '<p>Some basic statistics about the items designated as Merchandise, Direct Cost, Fixed Asset, and Operating Expense are presented in this section. For example, you can see a listing of most popular items and total values for each designation.</p>\r\n', 'Y', '', NULL, 3),
(525, 66, 'Reports Introduction', '<p>A number of financial reports are available for use as categorized below. Visit each section to view and print the reports that you want. All the reports are presented on one page. So just keep scrolling down the page to see all the contents.</p>\r\n\r\n<ul>\r\n	<li>Aging Reports: Sales, Purchases</li>\r\n <li>Sales: Invoices, Adjustments, Bad Debts</li>\r\n  <li>Purchases: Orders, Adjustments, Refused Debts</li>\r\n	<li>Journals: General,&nbsp;Sales, Purchases, Expenses, Deposits, Transfers, Taxes, Payroll</li>\r\n	<li>Ledgers: General, Asset, Liability, Equity, Revenue, Expense, Trial Balance</li>\r\n	<li>Taxes: Sales &amp; Use Tax or GST, Business Income Tax, Payroll Taxes</li>\r\n	<li>Financial Statements: Balance Sheet, Income Statement, Cash Flow Statement</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(526, 66, 'Aging Reports', '<p>Sales Aging Report &ndash; This report lists unpaid sales invoices together with any debit and credit notes for a selected period of time. The aging report is the main tool used by the finance department to determine which invoices and debit notes are overdue for payment. The items in the report are linked to sales listings to facilitate the collection process. Several late payment date ranges are used: Current, 30 days old or less, 31 to 60 days old, 61 to 90 days old, 91 to 180 days, and those older than 180 days. The payment status is based on the payment term for each contact.</p>\r\n\r\n<p>Purchases Aging Report &ndash; This report lists unpaid purchase orders and credit notes for a selected period of time. It allows you to view the balances that you owe to other companies for supplies, expenses, and services received by your organization. The items in the report are linked to purchases listings so that you can refer to them more easily. The same late payment date ranges are used: Current, 30 days old or less, 31 to 60 days old, 61 to 90 days old, 91 to 180 days, and those older than 180 days. The payment term for each contact can vary from one another.</p>\r\n', 'Y', '', '', 2),
(527, 66, 'Sales', '<p>Invoices Report &ndash; This report lists all sales invoices issued for a selected period of time, whether they are paid or not. However, cancelled invoices and those marked as &ldquo;bad debts&rdquo; are excluded. The grand total shows you the overall sales for each period and can be useful for comparison purposes. You also have the option of viewing the listings separately for Matters, Finance, and Public modules.</p>\r\n\r\n<p>Adjustments Report &ndash; This report lists all debit and credit notes issued in sales listings for a selected period of time regardless of their payment and application status. However, they are excluded if the corresponding invoices are cancelled or marked as bad debts. You can view the debit and credit notes together or separately.</p>\r\n\r\n<p>Bad Debts Report &ndash; This report lists all invoices marked as bad debts for a selected period of time. A common practice for many businesses (and those following GST guidelines) is to define a specific time period for past due before marking an invoice as bad debt. If a bad debt is recovered, its status is updated in this report. You can view the bad debt relief and bad debt recovered listings together or separately.</p>\r\n', 'Y', '', '', 7),
(528, 66, 'Purchases', '<p>Orders Report &ndash; This report lists all purchase orders issued for a selected period of time, whether they are paid or not. However, cancelled orders and those marked as &ldquo;refused debts&rdquo; are excluded. The grand total shows you the overall purchases for each period and can be useful for comparison purposes.</p>\r\n\r\n<p>Adjustments Report &ndash; This report lists all debit and credit notes issued in purchases listings for a selected period of time regardless of their payment and application status. However, they are excluded if the corresponding purchase orders are cancelled or marked as refused debts. You can view the debit and credit notes together or separately.</p>\r\n\r\n<p>Refused Debts Report &ndash; This report lists all purchase orders marked as refused debts for a selected period of time. A common practice for many businesses (and those following GST guidelines) is to define a specific time period for past due before marking a purchase order as a refused debt. If you repay a refused debt, its status is updated in this report. You can view the refused debt and repaid debt listings together or separately.</p>\r\n', 'Y', '', '', 8),
(529, 66, 'Journals', '<p>General Journal &ndash; The general journal, also known as the book of original entry, is the master journal that all company transactions or journal entries are recorded in. It lists the same transactions captured in Finance &gt; General &gt; Transactional Journal. Each transaction is done by debiting one set of accounts and crediting another set of accounts with the various transaction amounts. The total amount debited and the total amount credited are always equal, thereby maintaining the accounting equation (Assets - Liabilities = Owners&#39; or Shareholders&#39; Equity).</p>\r\n\r\n<p>Sales, Purchases, Expenses, Deposits, Transfers, Taxes, Payroll Journals &ndash; These &nbsp;journals display the same transactions as found in General Journal but are grouped separately according to specific functions in the system. Sales Journal, for example, lists all the sales transactions in the system, including those from Matters &gt; Billing, Finance &gt; Sales, and Public &gt; Online Sales Some of the journal transactions are also displayed in the contact records and can be viewed by the contacts on the public frontend.</p>\r\n', 'Y', '', NULL, 3),
(530, 66, 'Ledgers', '<p>General Ledger &ndash; The general ledger consists of all the individual accounts needed to record the asset, liability, equity, revenue, expense, gain, and loss transactions of a business. Detailed transactions are posted to these accounts when they are recorded in the journals, which are used to prepare the Balance Sheet and Income Statement. While the journal is organized as a chronological record of transactions, the ledger is organized by account. The default opening balance for each ledger account listed in Finance &gt; &nbsp;General &gt; Chart of Accounts is $0 when you first start using the system. You can change the 0 number to match what you have in your business at the beginning of the fiscal year. Thereafter, the system tracks and manages the balance for you.</p>\r\n\r\n<p>Asset, Liability, Equity, Revenue, and Expense Ledgers &ndash; These ledgers provide you with specific financial information grouped according to the five classes of accounts. An example of such a ledger is Asset ledger. It displays the same information found in General Ledger but filtered to just what you want to see in asset-related transactions.</p>\r\n\r\n<p>Trial Balance &ndash; A trial balance is an internal document that lists the balances in each of the&nbsp; ledger accounts. The debit balance amounts are listed in a column with the heading &quot;Debit Balances&quot;, and the credit balance amounts are listed in another column with the heading &quot;Credit Balances.&quot; The total of each of these balances should be the same. The trial balance is frequently used as an auditing tool for catching math or posting errors. It shows ledger account balances prior to making any needed adjustments. The trial balance can be produced for any date for auditing use.</p>\r\n', 'Y', '', NULL, 4),
(531, 66, 'Taxes', '<p>The reports in this section are for sales & use taxes (or GST), business income taxes, and payroll taxes. Sales & use taxes are used in the US, while GST is used by 160+ countries in the world. Which one you see and use in the system depends on the default country setting in Utilities &gt; Tools &gt; Common Settings. The main purpose of creating these reports is to help you prepare for tax returns.</p>\r\n\r\n<ol>\r\n	<li>Sales &amp; Use Tax report &ndash; A summary of sales tax collected and use tax to be paid are displayed by city. The sales tax reported here is from your sales, while the use tax is from your taxable purchases, which can incur when your suppliers or vendors do not collect sales tax from you. For example, when you buy out of state or when you convert a tax-exempted sales item to asset. The system lets you adjust the tax status in Finance &gt; Purchases &gt; Purchases Listings &gt; Orders. Make sure you select &ldquo;Use Tax&rdquo; for any purchase that requires such use.<br />\r\n	<br />\r\n	GST report &ndash; This report lists dates, accounts, amounts, and taxes, including Input Taxes, Output Taxes, Zero-Rated Taxes, and Non-Claimable Taxes in separate sections. The data from this report can be submitted to a government agency using a specified format. For Malaysia, the report is presented as GST-03 return form in bar-delimited-file format and can be submitted electronically on a monthly or quarterly basis. The file is generated in Finance &gt; Essentials &gt; Taxes. A copy of GST Audit File (GAF) is also provided for auditing use.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Business Income Tax report &ndash; The system provides an estimate of business income tax based on revenue and expenses generated for a selected period of time. Review the report and make sure that all relevant data is documented in the system. The information provided here can be used to make estimated and final tax payments in Finance &gt; Essentials &gt; Taxes.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Payroll Tax report &ndash; Payroll related taxes are summarized in this report. The data comes from HR &gt; Payroll &gt; Earnings &gt; Statements. The report here shows a breakdown of payroll taxes for each pay period. Staff with the same pay period are grouped together. Use the information provide to make sure that all payroll taxes are paid on time as required by your local regulations. Document your payroll tax payments in HR &gt; Payroll &gt; Earnings &gt; Tax Payments.</li>\r\n</ol>\r\n', 'Y', '', NULL, 5),
(532, 66, 'Financial Statements', '<p>Balance Sheet &ndash; A balance sheet describes the financial position of a business at a specific point in time. It provides a snapshot of the assets, liabilities, and owner&#39;s equity of the business. You can generate this report at any time and use it to review your business performance. The math used is based on generally accepted accounting principles (GAPP). When you close the current fiscal year in Finance &gt; General &gt; Settings, the balance of the current year earnings account is transferred to retained earnings account for the new fiscal year.</p>\r\n\r\n<p>Income Statement &ndash; An income statement is also known as a profit and loss statement. It covers a period of time, such as a year or quarter. This statement shows how profitable your business is during the stated time period. The system automatically calculates the revenues and expenses based on the recorded transactions. The income statement accounts (revenues, expenses, gains, losses) represent the year-to-date amounts for the current fiscal year. When the fiscal year is closed automatically by the system after year end, the income statement accounts are reset to zero balances.</p>\r\n\r\n<p>Cash Flow Statement &ndash; This financial statement reports the cash generated and used during a selected period of time. It shows the flow of cash in and out of the business. The cash flow statement organizes and reports the cash generated and used in the following categories: operating, investing, and financing. Analyzing cash flow is useful in determining the short-term viability of a business, particularly its ability to pay bills. &nbsp;</p>\r\n\r\n<p>&nbsp;</p>\r\n', 'Y', '', NULL, 6),
(601, 71, 'Notices', '<p>Notices are a formal channel of communication between your business and your staff. They are good for announcing planned activities, changes in workflows, and many other topics. You can display specific notices in Dashboard &gt; Bulletins for staff use. Notices are displayed chronologically with the newest at the top.</p>\r\n', 'Y', '', NULL, 1),
(602, 71, 'Documents', '<p>Documents listed in this section can be accessed in Dashboard &gt; Bulletins by your staff. Any type of documents can be attached, including policies, forms, instructions, procedures, reports, etc. The department option lets staff know that if a specific document applies to them or not.</p>\r\n', 'Y', '', NULL, 2),
(603, 71, 'Structures', '<p>The system provides an easy-to-use graphic tool to help you define your organization structures in a graphic format with multiple levels of relationships between people, departments, functions, and so on. The principal item is put at the top, followed by others, according to their ranks.</p>\r\n\r\n<p>Start charting by labeling the first box that you see in Add New page. When you want to add a new box, hover over the parent box to see the + icon. Click on it to add child boxes and edit the corresponding labels. You can also move a box to another location by using your mouse. For example, if you want to put box B under box A, drag and drop it onto box A, and the box is then listed below box A.</p>\r\n', 'Y', '', NULL, 3),
(604, 71, 'Departments', '<p>Many businesses use departments for grouping people and functions with specific responsibilities. Set them up if you do use them. The department names are used in staff profiles and job postings, while the rest of the information (Manager, Staff, and Phone Number) is used in Departments section only.</p>\r\n', 'Y', '', NULL, 4),
(605, 71, 'Job Titles', '<p>This section is for listing all the job titles that are used or available in your organization. It&rsquo;s a good practice to assign one to each staff, whether the person is an employee or a contractor. It helps to define the basic responsibilities and department assignment for the person. Select &ldquo;Yes&rdquo; if the job title has people management responsibility. Any staff whose job title carries this responsibility is listed in &ldquo;Report to&rdquo; dropdown found in the Staff Profile and can approve timesheets, time-off requests, purchase requests, and expense claims of his/her subordinates in Dashboard &gt; Bulletins.</p>\r\n', 'Y', '', NULL, 5),
(606, 72, 'Staff', '<p>Manage all of your staff records in this section, including their profiles, work and benefit details, experiences, timesheets, time off, earnings, purchases, expenses, training, and job reviews.</p>\r\n\r\n<p>The staff profile table is integrated with user accounts table. Adding a new record in HR &gt; Staff prompts the system to add a new record in Utilities &gt; System Access &gt; User Accounts. The default status for the new user account is &ldquo;Inactive&rdquo;. Only staff users with access to User Accounts can activate the user account for any staff. When you delete a record in HR &gt; Staff, the user account is also deleted. However, if you delete a user account, the corresponding staff profile is not affected.</p>\r\n', 'Y', '', NULL, 1),
(607, 72, 'Hiring', '<p>Hiring section is for managing job postings and applications. It&rsquo;s integrated with Jobs module on the public frontend, which is open to the public and accessible from the Web and mobile devices. Some of the features include:</p>\r\n\r\n<ul>\r\n	<li>A job posting can be displayed in Dashboard &gt; Bulletins and/or on the Public Frontend.</li>\r\n	<li>Staff can apply for jobs posted in Dashboard &gt; Bulletins without manager approval.</li>\r\n	<li>Anyone can apply for a job on the Public Frontend without an online account.</li>\r\n	<li>You can manage job applications for each posting by documenting the interviews and hiring decisions inside the administrative section of the posting.</li>\r\n</ul>\r\n', 'Y', '', NULL, 2),
(608, 72, 'Benefits Packages', '<p>Different benefits packages can be prepared for assignment in individual staff records. A benefits package includes annual salary or hourly wage, pay frequency, workweek hours, overtime pay, holidays, vacation time, sick leaves, allowance, bonus, commission, earnings distribution, health insurance payment, and retirement plan contribution.</p>\r\n\r\n<p>The package data is used in staff earning calculations. A good example is the workweek hours. For most countries, a workweek consists of 40 hours. Any time over 40 is defined as overtime and may require overtime pay. The workweek hours (less unpaid leave) are also used in bonus and commission calculations. For earnings distribution, determine if the target staff is directly associated with the production of goods and services. If so, estimate the work time ratio and change the percentage accordingly. If not, keep 100% as Operating Expense.</p>\r\n\r\n<p>The easy way to use benefits packages is to choose an existing example, edit it, and then assign it to one or more staff in HR &gt; Staff &gt; Benefits. After the assignment, you can customize each field data for the person.</p>\r\n', 'Y', '', NULL, 3),
(609, 73, 'Earnings Statements', '<p>Staff earnings are posted in this Payroll section and in individual staff records. Each staff earning is defined by a specific timesheet period: weekly, biweekly, semimonthly, or monthly. This means that a timesheet must be completed, reviewed, and approved before you can issue the statement and make staff, insurance, retirement plan, and tax payments.</p>\r\n\r\n<p>To issue a new statement, click &ldquo;Add New&rdquo;, put in a staff name, and then select a timesheet from the Period dropdown. Each timesheet can be selected only once to prevent duplicate payment error. The system uses either annual salary or hourly rate to calculate the base pay as defined in each staff&rsquo;s benefits record. The base pay per period for someone with an annual salary is as follows:</p>\r\n\r\n<ul>\r\n	<li>Weekly: Base Pay for current period = Annual Salary / 52</li>\r\n	<li>Biweekly: Base Pay for current period = Annual Salary / 26</li>\r\n	<li>Semimonthly: Base Pay for current period = Annual Salary / 24</li>\r\n	<li>Monthly: Base Pay for current period = Annual Salary / 12</li>\r\n</ul>\r\n\r\n<p>The base pay for someone with an hourly rate is simply the hourly rate multiples by the number of payable hours entered in the timesheet.</p>\r\n\r\n<p>What you see in the statement is a table of three columns. The first column displays the staff&#39;s earnings; the second column shows the deductions for health insurance premiums, retirement plan contributions, and income taxes; and the third column lists the earning distribution and employer contributions to staff&rsquo;s insurance, retirement plan, and income taxes.</p>\r\n\r\n<ol>\r\n	<li>For column 1 (Earnings), the gross pay calculation is based on the staff&rsquo;s benefits record and various types of hours entered in the selected timesheet: Regular, Overtime, Holiday, Vacation, and Sick Leave. The amounts for Allowance, Bonus, and Commission, can be pre-entered in the staff&#39;s benefits record or manually in this section.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">For column 2 (Deductions), Unpaid Leave amount is calculated based on the unpaid hours entered for the pay period. Health insurance, retirement plan contributions, and various taxes are computed using the corresponding insurance rates and tax rates tables for the current year. Any applicable exemptions and allowances are applied.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">For column 3 (Employer Use), make sure that the work hours are identified as either operating expense or direct cost. By default, the earning distribution is 100% operating expense in the benefits packages. But for those staff involved in the production of goods and services, you can change the ratio in their Staff &gt; Benefits records or adjust here. The section after Earnings Distribution is the employer portions of applicable Health Insurance, Retirement Contribution, Worker Comp Insurance, Unemployment Insurance, Employment Training Tax, Social Security Tax, and Medicare Tax.</li>\r\n</ol>\r\n\r\n<p>If there is any expense reimbursement assigned to the pay period, the amount is displayed after the table. It&#39;s non-taxable and added to the pay to produce the Net Pay.</p>\r\n', 'Y', '', NULL, 1),
(610, 73, 'Earnings Payments', '<p>There are four payment tab sections listed in Earnings:</p>\r\n\r\n<ul>\r\n	<li>Staff Payments</li>\r\n	<li>Insurance Payments</li>\r\n	<li>Retirement Plan Payments</li>\r\n	<li>Tax Payments</li>\r\n</ul>\r\n\r\n<p>The reason for separating the payments is to group the different types of payments together and to manage their different pay frequencies. For example, your payroll schedule maybe biweekly, but your insurance premium payments, retirement plan payments, and tax payments may have a monthly or quarterly payment schedule. The separation of payments gives you the flexibility to deal with different payment schedules more easily.</p>\r\n', 'Y', '', NULL, 2),
(611, 73, 'Earnings Accounting', '<p>Payroll accounting is managed by the system in the background. There is no need to do any configuration. The following accounts are used by the system to record the various accounting transactions in the background. You can edit some of the information in Chart of Accounts.</p>\r\n\r\n<p>?205: Payroll Staff Payable (Liabilities, Current Liability)</p>\r\n\r\n<p>206: Payroll Expense Claims Payable (Liabilities, Current Liability)</p>\r\n\r\n<p>207: Payroll Insurance Payable (Liabilities, Current Liability)</p>\r\n\r\n<p>208: Payroll Retirement Plan Contributions Payable (Liabilities, Current Liability)</p>\r\n\r\n<p>209: Payroll Taxes Payable (Liabilities, Current Liability)</p>\r\n\r\n<p>504: Payroll Labor (DC) (Expenses, Direct Cost)</p>\r\n\r\n<p>505: Payroll Insurance (DC) (Expenses, Direct Cost)</p>\r\n\r\n<p>506: Payroll Retirement Plan Contributions (DC) (Expenses, Direct Cost)</p>\r\n\r\n<p>507: Payroll Taxes (DC) (Expenses, Direct Cost)&nbsp;</p>\r\n\r\n<p>616: Payroll Wages &amp; Salaries (Expenses, Operating Expense)</p>\r\n\r\n<p>617: Payroll Insurance (Expenses, Operating Expense)</p>\r\n\r\n<p>618: Payroll Retirement Plan Contributions (Expenses, Operating Expense)</p>\r\n\r\n<p>619: Payroll Taxes (Expenses, Operating Expense)&nbsp; &nbsp;</p>\r\n\r\n<p>6xx: Other operating expenses</p>\r\n\r\n<p>A summary of the accounting transactions is as follows:</p>\r\n\r\n<ol>\r\n	<li>Gross Pay &ndash; The default value for gross pay earnings distribution is 100% operating expense, which assumes that all staff activities are for your business operations. However, you can change the Earnings Distribution ratio in &ldquo;Employer Use&rdquo; column if some of the work hours are used for the production of goods and services. For example, if a staff does 50% administrative work and 50% product assembly work, then put 50% for Operating Expense and 50% for Direct Cost under Earnings Distribution. The system uses &ldquo;616: Payroll Wages and Salaries&rdquo; to record staff earnings for Operating Expense and &ldquo;504: Payroll Labor (DC)&rdquo; to record staff earnings for Direct Cost.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Insurance Premiums &ndash; &ldquo;617: Payroll Insurance&rdquo; expense account is used to record the various types of insurance premiums paid by your business, including health insurance, worker comp insurance, unemployment insurance, and state disability insurance. Your business can ask your staff to pay for a portion of the health insurance. Use Insurance Rates section to adjust and apply the various amounts.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Retirement Plan Contributions &ndash; In addition to government programs, many businesses provide additional retirement plan benefits to their employees. For example, if a staff contributes 5% of his/her gross income to a retirement plan, your business may also contribute a matching amount of 5%. &ldquo;618: Payroll Retirement Plan Contributions&rdquo; account is used to record all retirement plan contributions made by your business, the employer. The percentages are defined in Benefits packages and can be customized for each staff in his/her record.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Payroll Taxes &ndash; Most payroll taxes are paid by the staff based on their taxable income. For US, tax withholding is only for employees, while contactors are responsible for paying their own taxes. For Malaysia, there is no SOCSO and Zakat withholding for those working under a work visa. Your business is responsible for a portion of the payroll taxes: Social Security Tax, Medicare Tax, and Employment Training Tax. &ldquo;619: Payroll Taxes&rdquo; account is used to record all the payroll taxes paid by your business.</li>\r\n</ol>\r\n\r\n<p>Payroll transactions are posted to their corresponding payable accounts automatically. HR can authorize payments and document them in HR &gt; Payroll &gt; Earnings according to their own separate payment schedules. For example, you can pay your staff either weekly, biweekly, semimonthly, or monthly. But for other types of payments (insurance, retirement plan, and tax), you can pay them monthly, quarterly, semi-annually, or annually.</p>\r\n', 'Y', '', NULL, 3),
(612, 73, 'Timesheets', '<p>Any staff can enter a timesheet in Dashboard &gt; Bulletins. The period is defaulted according to the individual staff&rsquo;s pay frequency as defined in his/her Benefits record. For example, if the staff is paid weekly, then the period is for 7 days.</p>\r\n\r\n<p>There are six columns for time entry, namely Regular, Overtime, Holiday, Vacation, Sick Leave, and Unpaid Leave. Set a policy so that your staff knows how to enter the time. For example, you can ask everyone to put a maximum of 8 hours in Regular column and any additional hours in Overtime column. If a staff is exempted from overtime pay, then no data entry is allowed in Overtime column. If a staff has not earned enough vacation time or sick leave time, then the staff can take unpaid leave, which means less pay for the staff.</p>\r\n\r\n<p>The vacation time and sick leave earned do not depend on the number of work hours reported in a timesheet. The system simply adds a fixed number of hours according to a staff&rsquo;s benefits and pay frequency. For example, if a staff has 12 vacation days in a year and the pay frequency is monthly, the staff would earn 12 / 12 = 1 day of vacation for each pay period.</p>\r\n\r\n<p>When the timesheet is submitted, the staff&rsquo;s manager or supervisor can review and approve it in &ldquo;Staff&rsquo;s&rdquo; tab. The same timesheet is displayed in HR &gt; Payroll and HR &gt; Staff.</p>\r\n\r\n<p>Staff&rsquo;s manager or HR should check the timesheet entries to make sure that all data is entered correctly. Only HR is allowed to make adjustment for Vacation Time and Sick Leave balances. Once approved, the timesheet can be selected and processed in HR &gt; Earnings &gt; Statements.</p>\r\n', 'Y', '', NULL, 4),
(613, 73, 'Time Off', '<p>Whenever a staff plans to take a leave of any kind, s/he can submit a request prior to doing it. The request is recorded in My Own tab in Dashboard &gt; Bulletins, which is reviewed and approved by the manager or supervisor in Staff&rsquo;s tab in Dashboard &gt; Bulletins &gt; Time Off.</p>\r\n\r\n<p>The actual off time is recorded in the timesheet manually. HR is responsible for checking the staff&rsquo;s benefits to see if the off time is covered or if some portions of the wages need to be deducted from regular pay.</p>\r\n\r\n<p>To make a time-off request, simply put in the off time in Date(s) and Duration fields. Then use the mini table below them to work out the details.</p>\r\n\r\n<ol>\r\n	<li>Available &ndash; This section in the table lets the staff see current and future vacation time balances and sick leave balances. The timeframe is based on pay frequency. By default, the timeframe is &ldquo;Current&rdquo;, and the two balances are read from the most recently &ldquo;submitted&rdquo; timesheet. This approach ensures that the balances are based on vacation time and sick leave already earned. To see future balances up to 1 year in advance, simply change the timeframe option in the dropdown.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Plan &ndash; This section is for documenting how the off time is to be used. The staff can choose Vacation, Sick Leave, and/or Unpaid Leave based on what is available.</li>\r\n</ol>\r\n\r\n<p>Time Off is best used for documenting planned vacation or sick leave that lasts than one day. It&rsquo;s not so good for a few hours of leave taken during normal work days.</p>\r\n', 'Y', '', NULL, 5),
(614, 73, 'Insurance Rates', '<p>Most US businesses provide some health insurance benefits to their employee staff. They are also required by law to pay for certain types of insurance: workers&#39; compensation insurance, unemployment insurance, and depending on where the business is located, disability insurance. Businesses in other countries may or may not be required to provide any of these insurance benefits to their staff.</p>\r\n\r\n<p>The system uses a simplified method for you to enter the various insurance rates and apply them to each applicable staff. For health insurance, you can enter multiple plans, and split the premiums with your staff. State disability insurance premium is paid by your staff, while workers comp insurance and unemployment insurance premiums must be fully paid by your business. The insurance rates entered are applied to Earnings &gt; Statements and results in deductions of pay.</p>\r\n', 'Y', '', NULL, 6),
(615, 73, 'Tax Rates', '<p>Enter the payroll withholding tax rates and exemptions for each tax year. For US, enter the rates for Federal Income Tax, Social Security Tax, Medicare Tax, State Income tax, Local Income Tax, and Employment Training Tax. The system assumes that all the supplemental wages (overtime pay, bonus, commission, and allowance) are paid together with the regular wages so separate tax rates, such as 25% withholding for bonus, are not needed. This approach is less confusing to your staff as well.</p>\r\n\r\n<p>For Malaysia, enter the various rates and amounts for Income Tax, SOCSO, Personal Relief, One-off Relief, and Zakat. For India, enter Income Tax rates and Professional Tax rates. Contact Support if you have specific needs for other countries.</p>\r\n\r\n<p>The tax rates are applied to the earning statements automatically, and the resulting tax withholdings are displayed in the earnings statements. These withholdings are deducted from the staff&rsquo;s gross pay. Your business (the employer) is responsible for paying them to the various government agencies.</p>\r\n', 'Y', '', NULL, 7),
(616, 74, 'Common Usage', '<p>Purchase Requests and Expense Claims are routinely used for the purchase of items designated as Fixed Asset or Operating Expense. For example, a staff can submit a purchase request to purchase such items such offices supplies, airfares, work tools and equipment, laptop computers, uniforms, etc. Once approved, the Purchasing department can order and pay for such items. The staff does not need to know where to buy them so the Contact and Company fields are optional for them to use. The Purchasing department is responsible for entering these information.</p>\r\n\r\n<p>Expense Claims, on the other hand, are for routine reimbursement of expenses paid by staff. These expenses may include automobile mileages, business meals, office supplies, hotel stay, and other common items. Some organizations set a policy to require a purchase approval if the expense is more than a certain amount. For example, a staff may purchase any expense item without approval if the price for each item is less than $50 and the total of all items does not exceed a month limit of $300. If the amount is exceeded, then the staff must follow the purchase request procedure to get an approval before utilizing the expense.</p>\r\n', 'Y', '', NULL, 1),
(617, 74, 'Purchase Request Process', '<p>A purchase request is initiated in Dashboard &gt; Bulletins. A staff completes the form and submits it to his/her manager for review and approval. Once submitted, the staff is not allowed to make any change. The manager sees the submitted request in the same bulletins area and can either put it on hold, reject it, or approve it. If it&rsquo;s put on hold, the staff can make changes and resubmit it.</p>\r\n\r\n<p>Purchasing staff sees the submitted purchase request in Finance &gt; Purchases, while HR staff sees it in HR &gt; Expenses. Generally speaking, HR Staff does not need to process it unless they are the one doing the approval. Once the request is approved, Purchasing department proceeds to order the items. The ordering, receiving, and payment steps are the same as other purchased items.</p>\r\n', 'Y', '', NULL, 2),
(618, 74, 'Expense Claim Process', '<p>A staff initiates an expense claim in Dashboard &gt; Bulletins and submits it to his/her manager for approval. Once submitted, the staff is not allowed to make any change. The manager sees the submitted expense claim in the same bulletins area and can either put it on hold, reject it, or approve it. If it&rsquo;s put on hold, the staff can make changes and resubmit it. The manager should make sure that all supporting receipts are attached.</p>\r\n\r\n<p>HR staff sees the submitted claim in HR &gt; Expenses and makes sure that the correct time period is selected. HR staff can do the approval if it&rsquo;s not already done by the manager. To reimburse the expenses in the assigned time period, HR staff simply issue a new statement and select the time period. The approved expense claim amount is automatically populated in the &ldquo;Expense Reimbursed&rdquo; field and included in the Net Pay to staff.</p>\r\n', 'Y', '', NULL, 3),
(619, 74, 'Accounting', '<p>The accounting entries for purchase requests and expense claims are handled by the system on the backend. The key is to list common expense items in Item List and assign the corresponding fixed asset or operating expense accounts to them correctly. Since it&#39;s not possible to list all items that can be purchased by your staff, create a few items with generic names. For example, use &quot;Office Supply&quot; to cover all sorts of items used in the office.</p>\r\n', 'Y', '', NULL, 4),
(620, 75, 'Training Function', '<p>HR includes a training module for managing courses, classes, registrations, and employee training records. It can be used for both internal and external training activities. Follow the steps below to operate your training function:</p>\r\n\r\n<ol>\r\n	<li>Set up the types and courses in HR &gt; Training. Enter such relevant information as course title, description, trainer(s), and training materials. The description can include cost fees, hours, and other information.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Schedule each class based on the training demands. The training schedules share the same workflow as Matters &gt; Schedule, which means that scheduled classes can be made visible in the calendar if you choose to display it there. However, only staff users with HR access can edit or delete the record in the calendar.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Inform your staff that training classes are available for registration in Dashboard &gt; Bulletins &gt; Training. Ask them do their own registrations.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Ask the staff to submit&nbsp;a purchase request if there is any registration fee associated with a class. Alternatively, the staff can pay for the fee and claim it as an expense later.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Have someone coordinate the training registrations and do the communications with the instructors and students. The registration information is listed in HR &gt; Training under each class offered.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Change the registration status to &ldquo;Attended&rdquo; when the students complete the training. All registered courses are listed in the Staff&rsquo;s training records.</li>\r\n</ol>\r\n', 'Y', '', NULL, 1),
(701, 81, 'Public Themes', '<p>The system comes with several pre-packaged themes for your use. You can use them as is or make layout changes to the selected theme template. Go to the public frontend to review the look and feel. Remember to refresh the page if it&rsquo;s already opened in the browser before you make the changes.</p>\r\n\r\n<p>All theme template files are stored in app/View/Themed folder and identified by their name. To make changes to any theme, go inside its entire folder and review each file to make changes. When done, copy or FTP the files back to your site.</p>\r\n\r\n<p>A plugin is a line of &ldquo;element&rdquo; codes that can be inserted into a HTML template for displaying data on the public frontend. Some examples of plugins are account login, main menu, side menu, search, content, and footer. Go to Public &gt; Appearance &gt; Public Themes to review how they are applied to each theme template. For example, check out the display location of the side menu. By default, the side menu is display on the left. If you want to move it the right, simply switch the side-menu plugin code and the content plugin code locations in the template.</p>\r\n', 'Y', '', NULL, 1),
(702, 81, 'Using Your Own Theme', '<p>Here are the steps for applying your own theme:</p>\r\n\r\n<ol>\r\n	<li>Get your theme design ready for use on a Web site. Do this by selecting a HTML file with its own style sheets, fonts, and images.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Make two copies of your HTML file and rename them as &quot;index.ctp&quot; and &quot;myaccount-page.ctp&quot;, respectively. index.ctp file is for use by the 12 public modules, which include a side menu. myaccount_page.ctp file is for use by the login and information pages.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Remove any section that you want to be replaced by the system plugins. For example, you can keep the header and footer sections and apply only the side-menu and content plugins. Then add the link to each module in the header menu manually.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Make sure that the paths to pages, images, and CSS files in &quot;index.ctp&quot; and &quot;myaccount-page.ctp&quot; are done using &ldquo;http://&rdquo; or &ldquo;https://&rdquo; links.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Create a new folder in app/View/Themed folder and name it using one word. Also create a subfolder called &ldquo;Layouts&rdquo; inside this folder. Then put &quot;index.ctp&quot; and &quot;myaccount-page.ctp&quot; files inside the subfolder. Follow &quot;MyDesign&quot; theme folder structure if you are not sure.<br />\r\n	&nbsp;</li>\r\n	<li value="6">Put the style sheets, fonts, and images in the folders as defined in &quot;index.ctp&quot; and &quot;myaccount-page.ctp&quot; files. For example, the style sheets can be put in a folder called &ldquo;css&rdquo;. Do not put these folders inside the &quot;/app&quot; and &quot;/lib&quot; system folders. See below for an example display of the different folders.<br />\r\n	<br />\r\n	/app<br />\r\n	/css<br />\r\n	/fonts<br />\r\n	/images<br />\r\n	/lib<br />\r\n	.htaccess<br />\r\n	index.php<br />\r\n	localhost-startup.html<br />\r\n	phpinfo.php<br />\r\n	web-startup.html<br />\r\n	&nbsp;</li>\r\n	<li value="7">Go to Public &gt; Appearance &gt; Public Themes to see how plugins are used in the theme templates. Do the same for your own design in Custom Theme area.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="8">Apply each plugin by clicking on the plugin name on the left side of the HTML editor. Save your work and review the results on the public frontend.</li>\r\n</ol>\r\n', 'Y', '', NULL, 2),
(703, 81, 'Plugin Contents', '<p>Based on the selected public theme and applied plugins, you can customize some of the contents generated by the plugins. For example, you can upload a logo and change the Category Options display to a Tree Style. The settings provided in this section let you change what is displayed on the public frontend.</p>\r\n\r\n<p>Note that the side-menu display is also controlled by the settings in each module. Go to Settings page of each module in the Public menu to make the changes that you want. For example, you can hide History and Links display in Blog module.</p>\r\n\r\n<p>The admin footer consists of a copyright notice, Terms of Use, and Privacy Policy. The same footer is displayed on the public frontend when you apply the footer plugin as in Theme 1, 2, and 3. The copyright notice can be linked to your home page or a page created in Public &gt; Appearance &gt; Flexible Pages. Terms of Use and Privacy Policy contents are managed in Contacts &gt; Membership &gt; Signup. They can be viewed by clicking on their respective links in Signup agreement area and the footer.</p>\r\n', 'Y', '', NULL, 3),
(704, 81, 'Display Style', '<p>Display Style consists of themes and customizable plugin style elements for use in the public frontend. First select the theme that you want to use if you haven&rsquo;t done so in Public Themes section. Then make change to the plugin style elements, namely header section, account login, side menu and body, links, buttons, and footer according to your preferences. To make change to anything not included here, you would need to edit the files in app/View/Themed/Themename folder.</p>\r\n\r\n<p>What about adding a new font style to Theme 1, 2, or 3? First convert the TTF file to WOFF format using any of the free font conversion services on the Internet, then put the WOFF file in app/webroot/fonts folder. You can also find free or paid WOFF fonts in Google. To remove a font style, simply delete the corresponding WOFF file in app/webroot/fonts folder. Be sure to refresh Display Style (by pressing F5 or CTL+R keys on the keyboard) so that you can see the font changes applied in there.</p>\r\n\r\n<p>For a custom theme, you can edit the plugin CSS classes directly in the text editor. By default, the plugin CSS follows the blue color scheme. Be sure to put in the correct file path to the custom theme fonts and background images. An example of correct file path is &quot;http://www.mysite.com/images/file.png&quot;. Use &quot;https&quot; if you have SSL implemented on the site. The plugin CSS includes a section for My Account area (public frontend login area). Customize it as well so that it matches the look and feel of your custom theme.</p>\r\n', 'Y', '', '', 4),
(705, 81, 'Main Menu', '<p>The main menu is set up as a bar menu by default. The style can be changed to a dropdown or tab menu in Public &gt; Appearance &gt; Main Menu. For dropdown menu, you can add additional submenus to it.</p>\r\n\r\n<p>There are three linking options, namely Module, Page, and External. Module means any installed public module. Page refers to the pages created in Flexible Pages section. External is for linking to any page outside of the system.</p>\r\n', 'Y', '', NULL, 6),
(706, 81, 'Module Options', '<p>Use Module Options to customize the link name, title tag, and meta tags for Login section and each of the modules that you have installed. If you leave the fields empty, then the system would use the global title and meta tags as defined in Public &gt; Appearance &gt; Plugin Contents.</p>\r\n\r\n<p>More module settings can be found in the Settings page of each module. Go there to set your preferences.</p>\r\n', 'Y', '', NULL, 5),
(707, 81, 'Flexible Pages', '<p>Flexible Pages allow you to create and link specific pages to the main menu, footer, or anywhere else on the public frontend using the HTML editor. Its possible to create a simple Web site using this feature alone.</p>\r\n\r\n<p>You can also link a custom form to a page for capturing data provided by contact and public users. Contact Us form is a good example. Visit Utilities &gt; Custom Forms to create more forms.</p>\r\n', 'Y', '', NULL, 7),
(708, 82, 'Sales from Membership and Public Modules', '<p>As the name implies, all sales transactions in this section come from the public frontend, including membership, Advertising, Events, Helpdesk, and Onlinestore modules. An invoice is generated automatically when an online payment is made by a contact user and can be viewed in the account login area. The workflow for online sales is as follows:</p>\r\n\r\n<p>Invoice &nbsp;=&gt;&nbsp;&nbsp;Payment &nbsp;=&gt;&nbsp;&nbsp;Shipment &nbsp;=&gt;&nbsp;&nbsp;Return &nbsp;=&gt;&nbsp;&nbsp;Adjustment</p>\r\n\r\n<p>Most modules, except for Onlinestore, do not require Shipment and Return tabs because they&nbsp;have&nbsp;nothing to ship or return. The tabs work in the same way as those in Finance &gt; Sales, including synced listing numbers and item list application. All applicable accounting entries are recorded automatically in Finance &gt; General &gt; Transaction Journal.</p>\r\n\r\n<p>Visit each of the modules for more information on how to set the fees or charges. For example, membership fee is set in Contacts &gt; Membership &gt; Membership Packages, while pricing for items in Advertising, Events, Helpdesk, and Onlinestore are set in their respective admin areas.</p>\r\n\r\n<p>You must configure at least one merchant account in Utilities &gt; Organization &gt; Merchant Accounts in order to receive credit cart and Paypal payments from the contact users. You have the option of using 2Checkout.com, Authorize.net, and/or Paypal. The default account for all merchant transactions is &ldquo;103: Online Account&rdquo;. If more than one merchant account is configured, then the contact users can choose among them for payment.</p>\r\n', 'Y', '', NULL, 1),
(709, 83, 'Module Description', '<p>Offering an advertising service is a good way to monetize your site traffic on the public frontend. Advertising module lets you provide a banner-based advertising program. You can allow specific ads to display and decide the amount to charge. You get 100% of the ad fees. The ads buyers also gain by having more control over the target audience and benefit from your site contents.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Host a simple and effective banner-based ads program on your site.</li>\r\n	<li>Use any or all of the integrated merchant services to charge for ad placement.</li>\r\n	<li>Control where the ads are displayed on your site.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new ad posting.</li>\r\n	<li>Send banner approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(710, 83, 'Ad Campaign Management', '<p>Both staff and contact users can post banner ads. You can charge a membership fee for posting and/or additional ad fees as configured in Public &gt; Advertising &gt; Ads Pricing. If you do not want to charge any membership fee, then simply set the amount as $0.00 in Contacts &gt; Membership &gt; Membership Packages. Note that recurring payment is only possible with membership at this time. The additional fee payment used in Advertising module is a one-time charge only. All payment transactions are registered in Finance &gt; General &gt; Transaction Journal and become part of your sales revenue.</p>\r\n\r\n<p>Banner ad display on the public frontend is done by module. The ad is displayed in all pages of a selected module. There are two banner placement options: vertical and horizontal. The system provides two plugins for use in the theme files. A good place to deploy the vertical banner plugin is a third column, while a good place for the horizontal banner is either right above the body content or below it.</p>\r\n\r\n<p>The system allows multiple banners be displayed at each location. So if there are multiple banner ad campaigns, the banners are rotated and displayed evenly. For example, if there are two campaigns and 10 page impressions, each ad would receive 5 impressions. Impressions and click statistics are reported in the edit page of each campaign.</p>\r\n', 'Y', '', NULL, 2),
(711, 84, 'Module Description', '<p>Blogging is a popular activity on the Internet. The topics can range from gossips to solving technical problems. Many successful companies say blogging helps them network, boost sales, and secure new business opportunities at a fraction of the cost of traditional media. It&#39;s human nature to want to read about opinions, ideas, and thoughts of other people. Hosting a blog on your site can be quite effective in promoting your business to certain types of audience.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Write your blog articles using a HTML editor.</li>\r\n	<li>Schedule blog article publishing dates in advance.</li>\r\n	<li>Use Google News feed to create blog articles automatically.</li>\r\n	<li>Post blog articles to a Facebook Wall, Group, and/or Page automatically.</li>\r\n	<li>Archive blog articles by month and link to selected Web sites in side menu.</li>\r\n	<li>Allow contact users to comment and post their own blogs.</li>\r\n	<li>Display featured postings in top positions.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new posting.</li>\r\n	<li>Send blog approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(712, 84, 'Blog Management', '<p>All blogs posted are displayed immediately. However, if you set the posting time of a blog to a future date, the blog is not displayed on the public frontend until the future date has arrived. You have the option of showing the entire blog content or limit it to a certain number of words with a link to an external site. Linking helps you avoid copyright issue when the blog content is not your own work.</p>\r\n\r\n<p>A blog posted by a contact user can be edited and managed by any staff user who has access to Public &gt; Blog module. The system provides an example Site Moderator user role for your use. This user role is assigned to Support user group so that it can receive public module posting notifications.</p>\r\n', 'Y', '', NULL, 2),
(713, 84, 'Autofeed', '<p>Autofeed is a sleek feature that captures news feeds from Google News on a continuous, scheduled basis. First, put in some keywords or phrases in the autofeed fields and assign them to specific categories. Second, go to Utilities &gt; Tools &gt; Cron Jobs to copy the cron job command for Blog and use it to set up a cron job on your server. Ask your server administrator or hosting support for help if you are not sure how to get the cron job to work. If you have CPanel access, then you can set it up on your own.</p>\r\n', 'Y', '', NULL, 3),
(714, 84, 'Autopost', '<p>Autopost uses a cron job to post your blog articles to Facebook Timeline, Groups, and Pages that you manage on a regular schedule. This feature saves you from the mundane work of logging into your Facebook account and doing manual posting one at a time. Choose the &ldquo;Immediate&rdquo; option if you want to include groups that you join but don&rsquo;t manage.</p>\r\n', 'Y', '', '', 4),
(715, 85, 'Module Description', '<p>Classified ads provide a marketplace for buying and selling things on the Internet. Sellers can post their ads for free or for a small fee. Buyers, on the other hand, can find bargains and specialty items that are not available elsewhere. Commonly listed items include used goods, housing, jobs, personal ads, and various services. Classified ads work especially well with a geography-specific audience. They allow buyers and sellers to meet for various opportunities. This module is not for all businesses. Use it if it can benefit your business and your clients/customers.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Display many different types of classified ads with easy navigation.</li>\r\n	<li>Allow buyers and sellers to communicate directly via messages.</li>\r\n	<li>List each item with image, description, pricing, and other information.</li>\r\n	<li>Set the listings to require approval or auto-approval.</li>\r\n	<li>Allow site users to flag inappropriate ads.</li>\r\n	<li>Display featured postings in top positions.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new posting.</li>\r\n	<li>Send ad approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(716, 85, 'Ad Management', '<p>Ad posting is done by location and category. Set them up in the module administration area. Also configure Listing Expiration in Settings page. The default is 365 days, and you can change it to whatever days you like. Listings are hidden from display after they expire.</p>\r\n\r\n<p>Images in the ad can be posted in the HTML content field or uploaded separately as individual files. File upload works better for displaying multiple images in gallery format.</p>\r\n', 'Y', '', NULL, 2),
(717, 86, 'Module Description', '<p>To the world you are one person, but to one person on the Internet you may be the world. The Internet has made it easy for you to create a world of information for your target audience. As more and more contents are put on the Internet, it becomes increasingly difficult for people to find what they want via search engines. This is where your site can offer help. There is no doubt you are the subject expert on the topics presented by your business and that you know of others offering similar topics. Why not do your clients/customers a favor by listing all such information in a directory format if it fits into your business plan? In return, you can also get the linked sites to refer your site to their own clients/customers. It can be a winning strategy for all.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Create a yellow-page directory with link descriptions, maps, and other information.</li>\r\n	<li>Edit link details, rating, reviews, and other information.</li>\r\n	<li>Generate directory usage statistics.</li>\r\n	<li>Allow contact users to submit their own sites for listing.</li>\r\n	<li>Display featured postings in top positions.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new posting.</li>\r\n	<li>Send listing approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(718, 86, 'Listing Management', '<p>Directory listings are posted by location and category. The module lets you set the number of columns and number of listings per page. Some of the data fields such as address and fax number can be turned on/off. You have the flexibility to show/hide Description, Map, Link, Rating, Comment on the public frontend. There is also an expiration date for the listings. When a listing expired, it&#39;s hidden from the public view.</p>\r\n\r\n<p>The system uses an example Google Maps&nbsp;API Key, which is shared by many sites. Replace it with your own key by following the instructions listed in Utilities &gt; Tools &gt; API Settings.</p>\r\n', 'Y', '', NULL, 2),
(719, 87, 'Module Description', '<p>If your business offers any public events such as seminars, special sales, community outreach, or open house activities, consider using Events module to help you manage them. Use it to list your events and let those interested do their own registration online. Credit card payment service is included so you can collect fees from participants easily. The events are displayed in either a list or calendar view format. The calendar view can be further filtered by Day, Week, and Month. Detailed event information is linked directly from the Calendar, which encourage users to sign up for the event. Google Maps can be embedded in any event listing to provide direction to the event location.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Post upcoming events and activities on the public frontend.</li>\r\n	<li>Enter event description using a HTML editor.</li>\r\n	<li>Set up recurring events.</li>\r\n	<li>Allow anyone to self register and pay for an event using credit card.</li>\r\n	<li>Display map location based on listing address.</li>\r\n	<li>Allow contact users to submit their own events for posting.</li>\r\n	<li>Display featured postings in top positions.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new posting.</li>\r\n	<li>Send listing approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(720, 87, 'Listing Management', '<p>There are two display options for the Events homepage: Chronological View and Calendar View (Day, Week, or Month). For chronological view, the events can be displayed from latest to oldest or the other way round. Explore other configurable items in Settings page. Time zone, for example, is a handy setting that can be used to show the event time zone. However, each poster can use a different time zone for each event.</p>\r\n\r\n<p>When someone registers for an event, his/her name is listed in Registrations section of the event listing. If the event is posted by a contact user, the user can see the registrations as well. Event registration is optional. You can turn it off manually in an event listing or globally by changing the Default Registration option in Settings page to &ldquo;Not Required&rdquo;.</p>\r\n\r\n<p>The registration form is configurable. Choose and pick the data fields and payment method you want to use. As required by other modules, credit card payment is done via one of the merchant services in Utilities &gt; Organization &gt; Merchant Accounts. All payment transactions are registered in Finance &gt; General &gt; Transaction Journal and become part of your sales revenue.</p>\r\n', 'Y', '', NULL, 2),
(721, 88, 'Module Description', '<p>Consider offering a forum on your site for your site users to share opinions and communicate with each other. A forum can be used at any time since it does not require the participants to be online simultaneously. It&#39;s relatively easy to jump into the middle of a discussion topic and &ldquo;pick up the thread&rdquo; to continue the discussion. Having a popular discussion topic, whether it&#39;s based on a current news event or popular interest, can result in repeat traffic from people who are passionate about the topic. Just visit any popular forums, and you can find active participation by a number of people. For some businesses, a forum is also your support assistant. Use it to provide online support services.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Host a multi-topic discussion forum on your site.</li>\r\n	<li>Create themed forums with multiple categories.</li>\r\n	<li>Allow an unlimited number of topics in each forum.</li>\r\n	<li>Allow members to post replies and start new topics.</li>\r\n	<li>Display statistical details for forum usage.</li>\r\n	<li>Post text, photos, and/or hyperlinks as forum content.</li>\r\n	<li>Display featured postings in top positions.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new posting.</li>\r\n	<li>Send posting approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(722, 88, 'Posting Management', '<p>Forum module uses categories just like other modules. The main categories, however, are actually Forum section headers, and they are not designed for posting. Please create subcategories for posting use.</p>\r\n\r\n<p>Postings approval for members can be automated by changing Auto Posting Approval setting to &ldquo;On&rdquo;. Notifications continue to work the same for either setting.</p>\r\n\r\n<p>One neat feature about Forum is that you can set a time period for New Posting Alert. The default is 30 days. This means that any posting made within the 30 days inside a forum section keeps the icon highlighted and tells everyone that the forum has one or more new postings.</p>\r\n\r\n<p>Each page load is counted as a forum visit. You can show/hide the count by changing the setting. Generally speaking, it&rsquo;s good to show count when there is a lot of traffic, and not so good if the traffic is low.</p>\r\n', 'Y', '', NULL, 2),
(723, 89, 'Module Description', '<p>Hosting a helpdesk at your site is a great way to deliver customer services. It serves as a central point for managing information requests, sales questions, and technical support. Helpdesk comes with an issue-tracking system, which allows your customers to track their requests online. It also enables you to analyze common issues and to prevent them from recurring. Customer support is not always about fixing problems. Many of them seek additional information about your products and services. Helpdesk can help you generate more sales from these people. In addition, it can be used as a contact form to collect lead information. The contact information is automatically added to Contacts module if it&#39;s not already on the list.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Allow anyone to submit support request or contact info anytime.</li>\r\n	<li>Prevent automated form spamming with Captcha.</li>\r\n	<li>Keep track of communications more easily.</li>\r\n	<li>Use FAQ and scripted answers to respond to common questions.</li>\r\n	<li>Charge for custom work via a payment plan.</li>\r\n	<li>Track job status to maximize productivity.</li>\r\n	<li>Notify your Support staff when there is a new request.</li>\r\n	<li>Send ticket status notifications to those seeking help.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(724, 89, 'Ticket Management', '<p>A Helpdesk ticket can be opened by either a site visitor, contact user, or staff user. If the contact user is logged into the public frontend, the name, email address, and phone numbers are automatically populated by the system. If it&#39;s not the case, then the email address entered is checked against Contacts database to see if it needs to be added. Any contact added in this way is assigned a &quot;Lead&quot; relationship. System notifications are sent according to the setup in Public &gt; Helpdesk &gt; Notifications when a ticket is opened or updated on the public frontend. However, no notifications are sent when it&rsquo;s opened by a staff user in the admin area but subsequent ticket updates do trigger the notifications.</p>\r\n', 'Y', '', NULL, 2),
(725, 89, 'Payment Services', '<p>Helpdesk provides a payment option which you can use to charge for support services. If you want to use this option, put in your 2Checkout, Authorize.net, and/or Paypal account information in Utilities &gt; Organization &gt; Merchant Accounts. Multiple merchants can be used. For example, if you use Paypal and 2Checkout, both of their payment icons are displayed and the frontend user can pick either one to use. You can initiate a payment request inside a ticket. The payment can also be divided into multiple installments. Payment transactions are registered in Finance &gt; General &gt; Transaction Journal and become part of your sales revenue.</p>\r\n', 'Y', '', NULL, 3),
(726, 90, 'Module Description', '<p>Do you need to hire employees, contractors, or interns to work in your business from time to time? If so, then you can use Jobs module to manage the hiring process. Start with posting your current openings. This allows the applicants to view and apply for the jobs they want. The job postings can be displayed internally in the Dashboard &gt; Bulletins area and/or made public on the frontend. Interested persons can submit their resumes to you online. The application submitted is captured in Contacts and HR section in the admin area. You can then set up interviews and document the outcomes. When an applicant is hired, his/her contact information can be copied to staff profile. Jobs module is fully integrated with the HR module, which means that you can manage the process of interviewing to hiring to payroll with ease.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Post and manage job postings on your site like a pro.</li>\r\n	<li>Allow anyone to apply to your job postings.</li>\r\n	<li>Search jobs easily in a common search box.</li>\r\n	<li>Manage job postings with simple point-and-click actions.</li>\r\n	<li>Display featured postings in top positions.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new application.</li>\r\n	<li>Send posting approval and rejection notifications to job applicants.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(727, 90, 'Job Posting and Application Management', '<p>A new job can be posted in HR or Job module for displayed internally in Dashboard &gt; Bulletins or on the public frontend. When the job is displayed in the Bulletins, any staff user who has access can apply to the job.</p>\r\n\r\n<p>When the job is displayed on the public frontend, any contact user or site user can apply to it. This module allows anyone to apply without a membership account. The advantage of applying as a member is that the existing profile information can be copied into the application form automatically.</p>\r\n\r\n<p>Staff users can review submitted applications by clicking open each job posting in the admin area. The listing lets you document multiple interviews and application status for each applicant. There is also a separate Applications section in the admin area for cross referencing use.</p>\r\n\r\n<p>A contact user can post his/her own job in My Account &gt; Site Postings &gt; Jobs as a membership option. This feature is good for those who run a community site. The contact user is able to view and manage the applications submitted to his/her job posting.</p>\r\n', 'Y', '', NULL, 2),
(728, 91, 'Module Description', '<p>Managing multimedia online is no longer a luxury but a necessity for many businesses. For example, photos and videos can be used to dramatize the functionality of a product or service. They are so much better in getting your information across to your site users. If a picture is worth 1,000 words, then a multimedia is worth a million words. Media module is one of the most flexible multimedia publishing applications. It comes with powerful publishing features that are integrated with Youtube. You can embed YouTube videos using the links provided by Youtube or upload your own images and videos of any size. Related media can be linked to each media and display on the side for users to explore their interests. Keyword-based Youtube videos can be directly displayed on your site through its API with no manual posting involved.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Publish a variety of photos and videos online using Flowplayer or link to Youtube.</li>\r\n	<li>Use bulk upload to speed up photo publishing process.</li>\r\n	<li>Let members to comment and post their own media.</li>\r\n	<li>Use Youtube autofeed features to build your video library automatically.</li>\r\n	<li>Display featured postings in top positions.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new posting.</li>\r\n	<li>Send listing approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(729, 91, 'Content Management', '<p>Media module lets you post Youtube videos and your own photos and videos. To post a Youtube video, go to the video at Youtube site and click on &quot;Share&quot; and then the Embed link. Next, right click in the data field and copy the embed code. Finally, return to Media module and paste the code in Embed Code field. See an example embed code below:</p>\r\n\r\n<p align="left">&lt;iframe width=&quot;420&quot; height=&quot;315&quot; src=&quot;https://www.youtube.com/embed/9bZkp7q19f0&quot; frameborder=&quot;0&quot; allowfullscreen&gt;&lt;/iframe&gt;</p>\r\n\r\n<p>The module comes with an Autofeed feature for posting Youtube videos using keywords. Set up the cron job on your server and let it automate the postings for you.</p>\r\n\r\n<p>If you choose to upload your own photos and videos to your site, use these supported file formats: (1) jpeg, png, gif for photos and (2) FLV, MP4, and F4V for videos. Check with your hosting support or server administraotr to see what limit has been put on file uploading. GoDaddy, for example, set the default limit as 32 MB per file but let you change it to 128 MB per file. Uploaded videos are displayed using Flowplayer video player (www.flowplayer.org). The HTML5 version that comes with the system is free and has Flowplayer name in the screen. You can rebrand it using your own name by purchasing a license from Flowplayer directly and ask our Support to apply it for you.</p>\r\n', 'Y', '', NULL, 2),
(730, 92, 'Module Description', '<p>Attracting new clients/customers can cost six times more than retaining existing ones, according a number of research findings. That means a good way to get more business is to convert one-time clients/customers into repeat clients/customers. We all wish that our business is the one they remember and buy from continuously. But in reality, there are many other businesses and activities competing for their time and attention. Using newsletters or ezine is a proven way to bring them back to your business. Newsletters module automates the delivery of newsletters and ezine articles to your clients/customers. Using a standard subscription list method, readers are invited to opt in. Upon subscription confirmation, they start receiving your publications on a periodic basis and can unsubscribe easily by clicking on a link at the bottom of the newsletter. Whether it&#39;s about a special event or a new product, you can keep them well informed.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Create HTML or text-based newsletters and ezine articles.</li>\r\n	<li>Let readers sign up multiple publications at the same time.</li>\r\n	<li>Provide opt-in subscription to avoid spamming complaint.</li>\r\n	<li>Allow subscribers to unsubscribe easily by clicking on a link.</li>\r\n	<li>Embed pictures, video scripts, and links.</li>\r\n	<li>Manage the delivery schedule of the publications.</li>\r\n	<li>Customize email messages that you send to readers.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new posting.</li>\r\n	<li>Send publication approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(731, 92, 'Publication Management', '<p>First, check with your server host regarding their email quota. For example, GoDaddy allows 250 SMTP relays per mailbox, per day. If you plan to send out newsletters to a large number of subscribers, considering using SendGrid bulk mailing service. The system is already integrated with SendGrid and all you need to do is sign up with SendGrid and put your SMTP account information in Utilities &gt; Tools &gt; Common Settings. SendGrid lets you send out an unlimited number of emails at a very reasonable rate.</p>\r\n\r\n<p>Next, study the example publications to understand how to set up one. You can modify and use one of the examples. The key information to provide includes description, sender name, sender email, and unsubscribing instructions. Normally, you do not expect your contact users to contribute newsletter contents, but the option is there if you want to do it.</p>\r\n\r\n<p>Finally, go to the Newsletters tab to create your newsletter articles. Give it a title and assign a delivery schedule to it. There are two options: Day and Date. Day option is based on individual subscription schedule. Day 1 is the day an individual subscribes to the newsletter publication. Date, on the other hand, is based on a calendar date. Use the HTML editor to write and edit your newsletter content. When the writing is done and before you let the cron job do the mailing, put in a test email address to see how it looks when received. Cron job command for newsletter mailing is listed in Utilities &gt; Tools &gt; Cron Jobs. Work with your server administration or hosting support to set it up on your server.</p>\r\n', 'Y', '', NULL, 2),
(732, 93, 'Module Description', '<p>Onlinestore is the ecommerce solution for individuals and small businesses who want to sell their products and services online. The typical shopping cart on the market today requires lots of custom configuration and design work. Fortunately, this is not the case with Onlinestore as it can be set up in minutes. Its comprehensive features help you focus on getting the sales and getting paid quickly. Out of the box, credit card payments are integrated with 2Checkout.com, Authorize.net, and Paypal. Other merchants can be added by using our customization services.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Create a catalog with unlimited number of merchandise items.</li>\r\n	<li>List each item with image, description, pricing, shipping, and other options.</li>\r\n	<li>Offer several types of sales discounts for qualified items.</li>\r\n	<li>Provide an easy-to-use shopping cart.</li>\r\n	<li>Let contact users post their own items for sales in your store for a subscription fee.</li>\r\n	<li>Opt to open a helpdesk ticket automatically upon payment confirmation.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when there is a new posting.</li>\r\n	<li>Send listing approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(733, 93, 'Store Setup', '<p>Visit Onlinestore admin area to configure the display and functions of your store. Choose Normal mode in Settings section unless you want a simpler display provided by Express mode. The Express mode works best for stores that sell a limited number of items. Decide if you want to open a helpdesk ticket automatically and default the option based on type.</p>\r\n\r\n<p>Use the other settings to manage your store display and to automate data entry. For example, you can set the number of listings per page and the number of columns per page. If you have any sales related conditions, put them in Contacts &gt; Membership &gt; Signup &gt; Terms of Use. Contact users see the terms of use before placing an order and must agree to them in order to submit the order.</p>\r\n\r\n<p>Next, go through Discounts, Shipping Services, and Notifications sections to configure the various options. If you already have Discounts and Shipping Services set up in Finance &gt; Sales, then you can skip them in Onlinestore because they share the same data.</p>\r\n\r\n<p>Onlinestore lets your contact users post their own items that are linked to their own stores (similar to the ads-based display at Amazon.com). There are no sales reported for these contact user items because the sales transactions take place somewhere else. The number of items a contact user can post is based on his/her membership package enrollment. For example, you can charge them a monthly fee and limit their postings to a certain number. Contact user postings can be seen in Onlinestore &gt; Catalog but not in Finance &gt; Items &gt; Item List. This mall feature is not for everyone, and it can be turned off by disallowing module access to Onlinestore in Contacts &gt; Membership &gt; Membership Packages section. When the setting is off, contact users cannot post to Onlinestore.</p>\r\n', 'Y', '', NULL, 2),
(734, 93, 'Catalog Management', '<p>Onlinestore store catalog is integrated with Item List in Finance &gt; Items. Most of the information is the same. However, only merchandise items are displayed in this catalog because the others are not for sales. Visit Finance &gt; Items in this quick guide to learn more about the common features for item listings. Also review and update Tax Rates&nbsp; Finance &gt; General so that the correct sales tax or GST is applied.</p>\r\n\r\n<p>There are several options in listing your items. You can list them as single item or as a bundle of items. Use the type to group them as either product, service, digital, or image. Each type is handled differently in the background. For example, most service sales are not taxable in the US, while service, digital, and image sales do not require shipping. Visit Finance &gt; Items for more information.</p>\r\n\r\n<p>As for delivery of goods, image and digital types can be done using file download. So there are file upload fields for your use. Uploaded digital goods are stored securely in app/webroot/documents/finance/items/download folder. After payment, download links are displayed in the order details page in Transactions section, where the buyers can access the digital goods.</p>\r\n', 'Y', '', NULL, 3),
(735, 93, 'Accounting', '<p>All sales transactions are automatically posted to their respective accounts and available for review in Public &gt; Online Sales. Go there to make adjustment if there is any return or changes in payment. The accounting entries are managed by the system on the backend, and the online sales revenue is included in all financial reports.</p>\r\n', 'Y', '', NULL, 4),
(736, 94, 'Module Description', '<p>Surveys are a popular feature on many sites because users want to express their opinions and they want to know what others think. Surveys module lets you create and host an unlimited number of surveys at your site. A survey can be set up using a campaign with multiple questions and answers. Any contact or frontend user can participate in the survey. The survey results are linked to the survey and can be viewed publicly. There is also an anti-spam feature to prevent repeat surveys.</p>\r\n\r\n<p>Key features:</p>\r\n\r\n<ul>\r\n	<li>Run multiple survey campaigns online.</li>\r\n	<li>Create campaigns with multiple questions and answers.</li>\r\n	<li>Present survey results in statistical and graphical formats.</li>\r\n	<li>Change survey display according to your own preferences.</li>\r\n	<li>Display surveys as a module or send out individual survey links by emails.</li>\r\n	<li>Encourage social sharing via Facebook, Twitter, and Linkedin.</li>\r\n	<li>Notify your Support staff when a survey is completed.</li>\r\n	<li>Send submission approval and rejection notifications to posters.</li>\r\n</ul>\r\n', 'Y', '', NULL, 1),
(737, 94, 'Survey Management', '<p>Start by preparing questions and answers that you plan to use in any survey. They can be applied to multiple surveys. The answers can be in either multiple choice or text format. You probably want to use a combination of both. Show the description field if there is a need to display instruction or more information about the survey question.</p>\r\n\r\n<p>Next, create a campaign and give it a name. Decide on the number of questions and use the dropdown to link the prepared questions to each one. For each campaign, you can set an Expiration Date and time limit. Expiration means that the survey is hidden from the public view. Time limit is good for preventing repeat taking of the survey by the same user within a set period of time. You can set it to 1 hour or as long as you want. The survey results can be set to be viewed publicly or required a login.</p>\r\n', 'Y', '', NULL, 2),
(801, 101, 'Business Profile', '<p>Complete the business profile so that the staff users can refer to it in Contacts &gt; Master List when needed. Some of the information can be hidden if you do not want everyone to see it.</p>\r\n\r\n<p>Enter your company registration number and reseller permit number if available. They are applied to Finance module.</p>\r\n', 'Y', '', NULL, 1),
(802, 101, 'Locations', '<p>You can set up multiple locations for your business, and each location can be configured for use in appointment scheduling and financial transactions. The locations are useful in determining the shipping fees and tax amounts in sales and purchases.</p>\r\n\r\n<p>Operation time settings are used in appointment scheduling to determine if a selected time slot is available or not. The time settings include operation days, morning hours, afternoon hours, evening hours, and closed days.</p>\r\n', 'Y', '', NULL, 2),
(803, 101, 'Merchant Accounts', '<p>Merchant Accounts give you the ability to collect credit card and Paypal payments for balances in Matters, Finance, Membership, and Public modules. This online payment function is turned on in all applicable areas by default.</p>\r\n\r\n<p>The system comes integrated with 2Checkout.com, Authorized.net, and Paypal. You can use any or all of them. First, sign up with them, then enter your account information for each one in this section. If you use more than one merchant, multiple payment icons are displayed during checkout and your online buyers can choose among them. Other merchants can be added to the system as well. Please contact Support for more information.</p>\r\n\r\n<p>Paypal&rsquo;s features are well supported by the system. For example, Paypal Identity Token allows an online buyer return to your site after making a payment at Paypal site. To use this feature, Paypal requires you to sign up for a business account with them. Do the signup and then follow the steps below to apply Paypal Identity Token to the system:</p>\r\n\r\n<ol>\r\n	<li>Log into your Paypal account and click on &quot;Profile&quot; icon near &quot;Log out&quot; button. &nbsp;</li>\r\n	<li>Click on &ldquo;Profile and settings&rdquo; link in the dialog box that appears on the screen.</li>\r\n	<li>Click on &ldquo;selling tools&rdquo; link in &ldquo;My profile&rdquo; side menu on the left.</li>\r\n	<li>Find &ldquo;Website preferences&rdquo; in the page body and click on &ldquo;Update&rdquo; link.</li>\r\n	<li>Turn on &ldquo;Auto Return for Website Payments&rdquo;. Put in the &ldquo;Return URL&rdquo; (to your site). Turn on &ldquo;Payment Data Transfer&rdquo;.</li>\r\n	<li>Copy the Identity Token listed below &ldquo;Payment Data Transfer&rdquo; and paste it in the corresponding field in Merchant Accounts section.</li>\r\n</ol>\r\n', 'Y', '', NULL, 3),
(804, 101, 'Bank Accounts', '<p>The system uses an integrated service provided by Plaid to download bank statements and store the data in the system for you. Contact our Support to pay for the subscription and to receive the access codes for turning on the service. Also put in the bank name and online account login information so that Plaid can make the bank connection for you. You have the option of using two banks. All accounts with a bank are displayed by default, however, the display can be disabled manually for each one.</p>\r\n\r\n<p>The downloaded bank statements are displayed in Finance &gt; Essentials &gt; Banking section. Go there to view the data and do your accounting reconciliation.</p>\r\n', 'Y', '', '', 4),
(805, 102, 'Financial Activities', '<p>An audit trail (aka audit log) is a security-relevant chronological record that provides documentary evidence of the sequence of activities in the system. For example, a change in a sales invoice would be recorded so that you know what is changed by whom and when. The process that creates an audit trail is automatic and cannot be stopped or changed by anyone. All financial activities in Matters, Finance, and Public modules are tracked in this section.</p>\r\n', 'Y', '', NULL, 1),
(806, 102, 'Login History', '<p>Login History tracks the login time and IP addresses of staff and contact users. The history is useful for access monitoring and security control.</p>\r\n\r\n<p>Internet Explorer browser provides a &quot;user agent string&quot; that identifies itself as &quot;Mozilla&quot; followed by some information about the operating system it&rsquo;s running on. When you see &ldquo;Internet Explorer&rdquo; in Login History, it&rsquo;s a result of conversion by the system so that you don&rsquo;t get confused by the Mozilla name.</p>\r\n', 'Y', '', NULL, 2),
(807, 103, 'Form Management', '<p>The system comes with a drag-and-drop form builder to help you capture information submitted by staff and contact users. You can create many different types of forms and apply them to the following areas:</p>\r\n\r\n<ul>\r\n	<li>Appointments in Matters &gt; Cases and Dashboard &gt; To Do</li>\r\n	<li>Documents in &gt; Cases and Dashboard &gt; To Do</li>\r\n	<li>Pages in Public &gt; Appearance &gt; Flexible Pages (for display on the public frontend)</li>\r\n</ul>\r\n\r\n<p>To create a new form, go to Utilities &gt; Custom Forms and follow the steps below:</p>\r\n\r\n<ol>\r\n	<li>Put in the form name.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Select where you want the form to be used. You can pick more than one usage area.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Click on any form field option in the menu box to add it to the form. For example, if you click on Address field option, 4 address fields appear in the form.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Click on the field option in the form to make changes. You can edit, delete, and duplicate the field. You can also move the field up and down.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Save your work. Then go the respective usage area(s) to test use the form.</li>\r\n</ol>\r\n', 'Y', '', NULL, 1),
(808, 104, 'User Accounts', '<p>Several example accounts for staff users are included in the system. However, you cannot see the &quot;System Admin&quot; account because it&rsquo;s hidden to protect it from being changed or deleted. By default, all the example user accounts are given the same password as System Admin. Log into the system using the example users to help you understand how system access can be assigned based on specific job functions.</p>\r\n\r\n<p>Note that these example users are also listed as Staff in HR section. The system assumes that anyone with admin access is a staff. Therefore, a good practice is to create the staff profile first before you activate his/her user account. When you add a staff profile in HR &gt; Staff, the user account is created automatically with a deactivated status. All you need to do next is to find the staff name in the user accounts grid and click on it to set his/her user role, username, and password. Then change the status to &ldquo;Active&rdquo;.&nbsp;</p>\r\n\r\n<p>If you choose to create a new user account first, you have the option of not displaying the user in HR &gt; Staff. This feature is useful when the user does not need to have a staff profile.</p>\r\n\r\n<p>A user password&nbsp;will expire in 90 days after its creation. The user will be prompted to enter a new password when s/he attempts to log in. The benefit of this feature is to limit the damage caused by a password leak to the lifetime of the password. In other words, any leaked password can be used only for a short period of time. Technically, the system allows the user to reuse a password. It&rsquo;s up to your business to set policy with regards to how to reset the password.</p>\r\n\r\n<p>When someone has stopped using the system or no longer working, simple change the account status to &quot;Inactive&quot;. It&#39;s best not to delete the account. This way the system can preserve a record for the person.</p>\r\n', 'Y', '', NULL, 1),
(809, 104, 'User Roles', '<p>Access to the admin area is based on user roles. Therefore, each staff user must be assigned a user role. We provide seven example user roles for your reference and use. You can modify them according to your needs.</p>\r\n\r\n<ol>\r\n	<li>Consultant &ndash; The main function of this user role is for administrating the activities in Matters module. Staff users assigned this role have access to Dashboard, Contacts, Matters, Exchange, Options, and Help sections.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Finance Manager &ndash; This user role is mostly for managing the Finance module in the system. It provides full access to all sections in Finance, unlike Sales Services and Purchasing Functions, which have less access.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">General Manager &ndash; This user role has full access to the system and can perform changes everywhere, except for Utilities &gt; Tools. Only System Admin can save changes in Utilities &gt; Tools.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">HR Administrator &ndash; Anyone given this user role can manage all functions in HR module. Of course, you can edit or create a new role to limit access if needed.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Purchasing Administrator &ndash; This user role has limited access to Finance module. Staff users assigned to this role can only use the Purchases section.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">Sales Administrator &ndash; This user role has limited access to Finance module. Staff users assigned to this role can only use the Sales section.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="7">Site Moderator &ndash; The primary purpose of this user role is to moderate postings made by contact users on the public frontend. Staff users with this role can also access Dashboard, Messages, Options, and Help, just like other user roles.</li>\r\n</ol>\r\n', 'Y', '', NULL, 2),
(810, 104, 'User Groups', '<p>User Roles control access points in the system by showing/hiding menu sections. However, they are not sufficient in some workflows. For example, you may want to send a targeted message to multiple user roles. This is when a user group can be used to manage access to these user roles.</p>\r\n\r\n<p>There are five user-group based access points in the system:</p>\r\n\r\n<ol>\r\n	<li>Staff Assignment in Matters &ndash; Multiple user groups can be created for managing the assignee list used in Tasks, Appointments, and Documents sections in Matters.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">List Assignment in Exchange &ndash; Multiple user groups can be created for use in any of the email, message, and SMS/Text lists.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Public Messages Administration &ndash; One user group can be created to manage messaging communications between contact users and support staff in the public frontend area.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">Public Module Sales Notifications &ndash; One user group can be created to receive online payment notifications from Membership, Finance, Advertising, Helpdesk, and Onlinestore.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">Public Module Posting Notifications &ndash; One user group can be created for receiving posting notifications when contact users post on the public frontend. This way the group members are informed of such postings and do not need to check manually all the time.</li>\r\n</ol>\r\n', 'Y', '', NULL, 3),
(811, 105, 'Common Settings', '<p>Log in as System Admin to put in the common settings below. They are used in many places of the system.</p>\r\n\r\n<ol>\r\n	<li>System Login Logo and System Menu Logo are text-based. You can replace the default text with your own text, such as your company name.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Edit System Footer by renaming Company X to your business name or change any of the text. The information is for display in the admin area only.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Local Time &amp; Format, Default Country, and Currency settings are used globally in the system. Set them according to your preferences.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">If you plan to print any letters, invoices, or official documents, you can use the letterhead settings to format the layout. Upload an image for your business logo and set its position using the dropdown options. Set the main business address by selecting a location. Individual staff user, however, can switch to a different location in Options &gt; Account Settings. Next, choose the default paper size for your letterhead and adjust the print margins. Lastly, default the paper size for printing.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="5">The system utilizes file caching to optimize page loading speed. You can turn on Public HTML Caching to make it even faster to load on the public frontend.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="6">By default, the system will log out by itself in 30 minutes if there is no user activity on the screen. However, the timer will reset itself if there is any mouse click or key pressed before the 30 minutes run out. What happens when auto-logout is triggered? First, the data entered on the screen is saved. Second, the system remembers the screen you are on and will let you see it right away when you log back in. The remembering of screen will not work if the browser has been shut down. You can set the timer between 5 and 60 minutes to activate the auto-logout function. Auto-logout works the same way in the admin area and on the public frontend, except that contact users will not be redirected to the account login screen when the system logs out. The reason is that they may be browsing the public module pages and do not want to be distracted.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="7">Switch the System Debug Mode from &ldquo;Development&rdquo; to &ldquo;Production&rdquo; when you are ready to go live with the system. This option skips error checking and makes the system run faster.</li>\r\n</ol>\r\n', 'Y', '', NULL, 1),
(812, 105, 'Email Settings', '<p>Put in the server and user login information for Incoming and Outgoing Emails. For incoming emails, each staff must also have a separate email login account. Enter the individual email login username and password in Options &gt; Account Settings. For outgoing emails, everyone can share the same email login account. You can also use such bulk email service as Sendgrid, instead of your own.</p>\r\n\r\n<p>System Notifications have two parts. Sender Name and Sender Address are used in all system notifications sent from Membership and Public modules, while New Message Notification is used by Exchange &gt; Messages to alert contact users when there is a new message waiting for them in the system.</p>\r\n', 'Y', '', NULL, 2),
(813, 105, 'API Settings', '<p>The system works with a number of third-party services to offer you the following features: Facebook Connect, Google reCAPTCHA, Google Analytics, Google Maps, InterFAX, Twilio, and contact import via Google OAuth and Yahoo OAuth.</p>\r\n\r\n<p>You will need to sign up with these services before you can use them. Put in their respective account information in API Settings page to turn on these services.</p>\r\n\r\n<p>1. How do I configure Facebook Connect for use at my Web site?</p>\r\n\r\n<ul>\r\n	<li>Sign up with Facebook Developers service</li>\r\n	<li>Click on My Apps on the top menu and proceed to add a new app.</li>\r\n	<li>Follow the instructions to create a new App ID and return to Dashboard.</li>\r\n	<li>Click on Settings on the side menu.</li>\r\n	<li>Click on Platform and select Website as the platform</li>\r\n	<li>Put in your domain in App Domains field.</li>\r\n	<li>Enter the URL where the system can be accessed and save the changes.</li>\r\n	<li>Copy App ID and App secret to the corresponding fields in API Settings page.</li>\r\n</ul>\r\n\r\n<p>2. What about Google reCAPTCHA setup?</p>\r\n\r\n<ul>\r\n	<li>Sign up with Google reCAPTCHA.</li>\r\n	<li>Register a new site and put in the domain where the system is accessed.</li>\r\n	<li>Copy Site Key and Secret Key to the corresponding fields in API Settings page.</li>\r\n</ul>\r\n\r\n<p>3. What are the steps to gain Google Analytics access? &nbsp;</p>\r\n\r\n<ul>\r\n	<li>Log into Google Developers Console using your Google account.</li>\r\n	<li>Click on &ldquo;API Manager&rdquo; on the side menu. Proceed to create a project.</li>\r\n	<li>Select and enable &ldquo;Analytics API&rdquo; by doing a quick search.</li>\r\n	<li>Click on &ldquo;Credentials&rdquo; on the side menu to add a Service Account Key.</li>\r\n	<li>Put in a name, service account ID, and select P12 as key type to create the key.</li>\r\n	<li>Download P12 file and copy the email address provided on the screen in a safe place.</li>\r\n	<li>Sign into Google Analytics. Click on &ldquo;Admin&rdquo; on the top menu.</li>\r\n	<li>Set up an account for your Web site if it&rsquo;s not already done.</li>\r\n	<li>Click on &ldquo;User Management&rdquo; under Account and put in the service account email address. Give &ldquo;Read &amp; Analyze&rdquo; permissions to this email address.</li>\r\n	<li>Go to &ldquo;Property Settings&rdquo; under Property section to find Tracking ID.</li>\r\n	<li>Click open &ldquo;View Settings&rdquo; under View to find View ID.</li>\r\n	<li>Go to API Settings page in Utilities &gt; Tools to put in the service account email address, P12 file, Tracking ID, and View ID.</li>\r\n</ul>\r\n\r\n<p>4. How do I use Google Maps API Key for Contacts, Directory, and Events modules?</p>\r\n\r\n<ul>\r\n	<li>Log into the Maps section of your Google Developers account.</li>\r\n	<li>Go to Web section and select &ldquo;Google Maps Embed API&rdquo; for unlimited free usage.</li>\r\n	<li>Click on &ldquo;Get a key&rdquo; button and go to Google Developers Console.</li>\r\n	<li>Create a new project or select an existing one to register the Map application.</li>\r\n	<li>Copy the API Key to the corresponding field in API Settings page and save it.</li>\r\n</ul>\r\n\r\n<p>5. What do I need to do in order to use InterFAX services?</p>\r\n\r\n<ul>\r\n	<li>Visit www.interfax.net site to review their services.</li>\r\n	<li>Register an account and pay for fax receiving and sending.</li>\r\n	<li>Copy your username and password to the corresponding fields in API Settings page.</li>\r\n</ul>\r\n\r\n<p>6. What about setting up Twilio services?</p>\r\n\r\n<ul>\r\n	<li>Visit Twilio site and review their Voice and SMS Text messaging services.</li>\r\n	<li>Select a plan and sign up.</li>\r\n	<li>Find and put Account SID, Auth Token, VOIP Number in API Settings page.</li>\r\n</ul>\r\n\r\n<p>7. How do I Configure Google OAuth for contact import use?</p>\r\n\r\n<ul>\r\n	<li>Log into Google Developers Console using your Google Account.</li>\r\n	<li>Click on &ldquo;Create a new project&rdquo; to proceed to the project Home page.</li>\r\n	<li>Click on &ldquo;Credentials&rdquo; under &ldquo;APIs &amp; auth&rdquo; section in the left menu.</li>\r\n	<li>Go to &ldquo;Add credentials&rdquo; and then select &ldquo;OAuth 2.0 client ID&rdquo; and &ldquo;Web application&rdquo;.</li>\r\n	<li>Configure consent screen if needed by putting in your Gmail email and a product name.</li>\r\n	<li>Put in your Gmail address and Redirect URIs provided by the system.</li>\r\n	<li>Copy Client ID and Client secret to the corresponding fields in API Settings page.</li>\r\n</ul>\r\n\r\n<p>8. What do I need to do to import contacts using Yahoo! OAuth?</p>\r\n\r\n<ul>\r\n	<li>Sign in to Yahoo Developer Network using your Yahoo! account.</li>\r\n	<li>Go to &quot;My Projects,&quot; click on &quot;New Project,&quot; and choose Standard application.</li>\r\n	<li>Complete the New API Key form and Choose &quot;This App Requires Access to Private User Data&rdquo;.</li>\r\n	<li>Click &quot;Get API Key&rdquo; to continue.</li>\r\n	<li>Copy the API Key (Consumer Key) and API Secret (Consumer Secret) to the corresponding fields in API Settings page.</li>\r\n</ul>\r\n', 'Y', '', NULL, 3),
(814, 105, 'Cron Jobs', '<p>What you see here is a listing of cron job commands that are used by the system to perform various tasks on a scheduled basis. For example, the Appointment Reminders cron job command is used to send out appointment reminders, and you can set it to run once a day or on whatever schedule you like.</p>\r\n\r\n<p>Work with your server administrator to turn on each cron job command on your server. If you use the system on the Web and you have access to CPanel, you can visit the Advanced section in CPanel to put in the command and set its run frequency.</p>\r\n', 'Y', '', NULL, 4),
(815, 105, 'Public & Supplemental Modules', '<p>All available modules are included when you install the system. Log in as the System Admin to uninstall any module that you don&rsquo;t want to use.</p>\r\n\r\n<p>When you uninstall a module, all the data and files are deleted. So back up your module tables and any uploaded documents and images in app/documents/modulename folder before you uninstall the module. To restore the data, you would import the module tables manually and upload backup files to app/documents/modulename folder.</p>\r\n\r\n<p>If you want to keep the data, hide the module in the public frontend menu instead of uninstalling it. Go to Public &gt; Appearance &gt; Main Menu to make the change. If you use your own template, then simply remove the module link from the template menu.</p>\r\n\r\n<p>You can rename any module in Public &gt; Appearance &gt; Module Options. The name change is applied to both the admin area and public frontend.</p>\r\n', 'Y', '', NULL, 5),
(816, 105, 'System Maintenance', '<p>By design, the functions provided in this section can only be used by System Admin. Other staff users can be granted access to this section but they cannot use the disabled submit buttons.</p>\r\n\r\n<ol>\r\n	<li>Database Backup &ndash; Instead of accessing the database via CPanel or phpMyAdmin to do backup, you can download a copy here with ease. We recommend that you back up user-uploaded files as well by using FTP if you use the Web version or Windows Explorer if you use the Desktop version. User-uploaded files are stored in app/webroot/documents folder, while customized theme files are stored in app/View/Themed folder.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="2">Financial Data Removal &ndash; Remove all example data in the system before you start using the Finance module. The sections affected are Matters &gt; Billing, Finance &gt; Sales, Finance &gt; Purchases, Finance &gt; Essentials, Finance &gt; Items, HR &gt; Payroll &gt; Earnings, Finance &gt; Expenses, and Public &gt; Online Sales. The refresh also resets the data table IDs to 1.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="3">Data Model Cache Refresh &ndash; If you work on the database manually, say by using phpMyAdmin, you may see errors in the user interface. When this happens and refreshing the browser (using F5 or CTL+R) does not help, you can try deleting the data model cache in the system and let new ones be generated. The cache files are stored in app/tmp/cache/models folder.</li>\r\n</ol>\r\n\r\n<ol>\r\n	<li value="4">System Reinstallation &ndash; Use this function to change the installed status and route you to the System Installation page. Note that this is a drastic action and that you must back up the database in advance to avoid losing the data permanently. User uploaded files in app/webroot/documents folder are not affected, however, the links between the data and files cease to exist when the data is deleted.</li>\r\n</ol>\r\n', 'Y', '', NULL, 6),
(901, 111, 'Updating Personal and Login Information', '<p>Individual staff users can update their account information in this section. For example, you can select a business location as the default business address, upload a signature image, enter your email user login information, and reset your password. The new password will take effect the next time you log into the system.</p>\r\n', 'Y', '', NULL, 1),
(902, 112, 'Color Scheme and Display Options', '<p>Go to Options &gt; Screen Display &gt; Master Style to set your own color scheme and other style preferences. The settings are customized for each staff user so you can pick a blue scheme, while another person can pick a black scheme.</p>\r\n\r\n<p>If you change your mind after making changes, simply click on Use Default button to bring back the original settings.</p>\r\n\r\n<p>Note that the settings here are for the admin area. If you want to customize the look and feel of the public frontend, go to Public &gt; Appearance.</p>\r\n', 'Y', '', NULL, 1),
(903, 112, 'Custom Menu', '<p>The system menu order can be customized as well. Go to the Custom Menus section in Options &gt; Screen Display to drag and drop each menu item to where you want it.</p>\r\n\r\n<p>Do the same for the public module submenu. Just drop and drag each item to where you want it.</p>\r\n', 'Y', '', NULL, 2),
(904, 113, 'Regular Hours and Time Off', '<p>Set your work schedule for appointment use in Matters section. First, define your regular hours based on work location. You can use the default operation hours of a location by selecting it in the dropdown. Alternatively, you can put in your own hours, however, do not use any hours outside of the location operation hours. Second, check off the dates in Time Off section when you expect to take leaves.</p>\r\n\r\n<p>Go to the calendar in Matters &gt; schedule to test out your work schedule. Select a location, type, and time slot to open &ldquo;Manage Appointment&rdquo; dialog box. See if you can find your name in &ldquo;Assigned to&rdquo; multi-selection dropdown. If not, make sure that you are assigned the appropriate user role and be a part of Providers user group.</p>\r\n\r\n<p>If you are scheduling yourself for a task, put your name in Contact field and/or &ldquo;Assigned to&rdquo; field. This step helps others identify the owner of the task.</p>\r\n', 'Y', '', NULL, 1),
(905, 114, 'Text Macros', '<p>Text Macros provide a quick mean to enter repetitive data in Textarea and HTML Editor anywhere in the system. The idea is to use a trigger word to auto expand a block of prepared text. For example, you can type in &ldquo;=asap&rdquo;, space it, and let the system expand it to &ldquo;as soon as possible&rdquo; automatically. The &ldquo;=&rdquo; character tells the system when to activate the auto text entry.</p>\r\n\r\n<p>The auto expanded text appears as regular text format in Textarea field and as HTML text format in HTML editor. This means that a HTML text macro can lose some of its formatting styles if it&#39;s applied in a Textarea field. A good place for using text macros is in case management. You can create a bunch of progress note templates for use with your clients.</p>\r\n\r\n<p>You can share your text macros with other staff users or hide them from their view. The shared text macros can only be edited or deleted by their creators.</p>\r\n', 'Y', '', NULL, 1),
(906, 114, 'Letter Templates', '<p>Some of the letters that you write are frequently repeated for the same or different contacts. For example, you may send out a late payment reminder letter to several late-paying customers every month. A letter template would be very handy as you can use it to automate the letter writing process.</p>\r\n\r\n<p>To create a letter template, go to Options &gt; Text Automation &gt; Letter Templates and click on Add New. Type in the content and use the side menu links to insert such variables as Date, Contact Name, Contact Company, Contact Job Title, Contact Billing Address, My Signature, My Name, and My Job Title. They appear in [ ] format when inserted in the letter templates.</p>\r\n\r\n<p>My Signature is an image field, which requires each staff to upload an image file in Options &gt; Account Settings. You can do the signature on paper, scan it, save it in png or jpg format, and then upload it. Set your address as well so that it can be applied to the letter templates.</p>\r\n\r\n<p>The look and feel of the letter templates can be formatted using your business logo and address. Work with System Admin to upload your letterhead logo image and set the default address in Utilities &gt; Tools &gt; Common Settings. You can specify where the logo and address are positioned in the letterhead. Once set, the letterhead styles are applied to the letter templates as well as other printed documents in the system.</p>\r\n\r\n<p>Use the Preview Template function to see how a letter look like when printed using the default paper size as set in Utilities &gt; Tools &gt; Common Settings. Note that the [variable] fields do not display real data until you apply the letter template in Exchange &gt; Letters. Test it there to see the final result. &nbsp;</p>\r\n\r\n<p>You can share your letter templates with other staff users or hide them from their view. The shared letter templates can only be edited or deleted by their creators.</p>\r\n', 'Y', '', NULL, 2),
(1001, 121, 'Quick Guide, System Info, Public Frontend', '<p>The system provides a Quick Guide in text and PDF formats under Help menu. You can use either one to meet your needs. Only System Admin user can edit Topics and Sections and do the configuration in Settings. Other users do not have access to these sections.</p>\r\n\r\n<p>System Info section displays the current software version, service pack, copyright notice, and the registration status of the various modules in the system. Save your license key here to activate the registration.</p>\r\n\r\n<p>Click on the Public Frontend submenu if you want to jump to the public frontend, where the public modules are deployed. By definition, the public frontend is for use by anyone who has access to your Web site.</p>\r\n', 'Y', '', NULL, 1),
(1002, 122, 'Login Problem', '<p>Check to make sure that you have typed in the correct username and password with no spacing. Username is not case sensitive, while password is case sensitive. Be extra careful if you copy and paste the values from somewhere else. If needed, you can retrieve the login information by clicking on Help in the login box to have it emailed to you. The system does not tell you if a user account exists or not for security reason.</p>\r\n\r\n<p>To avoid lockout, keep your username and password in a safe place. Also put in your email address in Utilities &gt; Account Settings so that the login information can be retrieved by email when needed. System Admin and those who have access to Utilities &gt; System Access section can reset the passwords for staff users. As for contact users, visit Contacts &gt; Master List &gt; Contacts &gt; Details to do the password reset.</p>\r\n', 'Y', '', NULL, 1),
(1003, 122, 'Forgot to Log Out', '<p>Fortunately, this is not an issue under normal conditions because the system comes with auto-save and auto-logout functions. This means that the system will save the data that you have entered on a screen and log out by itself if no keyboard and mouse activity is detected after a certain period of time.</p>\r\n\r\n<p>The default timeout for all users is 30 minutes, and you can adjust the timer in Utilities &gt; Tools &gt; Common Settings.</p>\r\n', 'Y', '', NULL, 2),
(1004, 122, 'Slow Page Loading', '<p>The speed of page loading can be hindered by many factors. Check to see why you are having a problem. If it&rsquo;s caused by your ISP, switch to a different package or provider to see if it makes a difference. If it&rsquo;s caused by hosting on a slow server, then invest in a faster one. VPS hosting or dedicated hosting is better than shared hosting because consistent resources are assigned to your account.</p>\r\n\r\n<p>Some anti-virus programs come with a browser extension or plugin option which can slow down page loading, especially when you use the Desktop version. Add exception to it or consider not using the extension or plugin. We have good experience with Webroot SecureAnywhere and Malwarebytes Anti-Malware.</p>\r\n\r\n<p>The system uses model caching to speed up page loading everywhere. You can make it load even faster on the public frontend by caching HTML pages. Go to Utilities &gt; Tools &gt; Common Settings to turn on this setting. The cached pages are refreshed every 15 minutes. However, any editorial change made to a cached page is updated right away. HTML caching in the admin area is not as useful since the number of users is small when compared to the public frontend users.</p>\r\n\r\n<p>Another solution is to turn off the system debug mode by changing it from &ldquo;Development&rdquo; to &ldquo;Production&rdquo; mode in Utilities &gt; Tools &gt; Common Settings. The system runs faster when debugging is put on hold.</p>\r\n', 'Y', '', NULL, 3),
(1005, 122, 'Wrong Text Format in HTML Editor', '<p>When you copy and paste content from a Microsoft Word document or Web page, the formatting codes are also copied. However, the font style and size may be in conflict with the system&#39;s style sheet. You can avoid this issue by using &quot;Paste as plain text&quot; function in the editor. Look for a T-clipboard icon on the right side of the editor menu.</p>\r\n\r\n<p>Some adjustment of line spacing is to be expected. Press Enter key if you want to move text to next paragraph. Press Shift-Enter keys if you want add a blank line.</p>\r\n', 'Y', '', NULL, 4),
(1006, 122, 'Email Not Working', '<p>If you put the system on the Web and do not use the email client in Exchange &gt; Emails, then the system does not require any configuration. It uses PHP Mail by default to send out emails and system notifications. PHP Mail is adequate for light emails usage, while SMTP works better for bigger volume of emails. However, if you use the Desktop version, then you must enter SMTP settings in Utilities &gt; Tools &gt; Common Settings in order to send out any email or system notification.</p>\r\n\r\n<p>To use the email client in Exchange, you must first set up individual email accounts for each staff. Consult with your Web host or IT department if you need help with creating the email accounts. You must also enter incoming and outgoing emails server information in Utilities &gt; Tools &gt; Email Settings and have each staff enter their email login information in Options &gt; Account Settings section separately.</p>\r\n\r\n<p>If there is any problem in receiving or sending email, use MS Outlook or Webmail provided by your Web host to see if the same problem exists. This test helps you find out if it&rsquo;s caused by the system or something else.</p>\r\n\r\n<p>Most hosting services limit the number of emails sent from your business account using an hourly or daily quota. You may be able to purchase additional packages to overcome the limitation. An alternative solution is to sign up with SendGrid cloud-based bulk email service, and change the STMP settings to the ones provided by SendGrid. You can then send out a large volume of emails easily for a small monthly fee. SendGrid also lets you track the receiving and reading of emails, which can be useful for marketing purpose.</p>\r\n', 'Y', '', NULL, 5),
(1007, 122, 'Items Not Found in Finance and HR Modules', '<p>The Item List in Finance &gt; Items lets you designate each item as either Merchandise, Fixed Asset, Direct Cost, or Operating Expense. The designation is used to filter item selection in the item autocomplete field in Finance and HR modules as follows:</p>\r\n\r\n<ul>\r\n	<li>Finance &gt; Sales: Only Merchandise items can be selected in the Item field.</li>\r\n	<li>Finance &gt; Purchases: All items can be selected.</li>\r\n	<li>Finance &gt; Essentials &gt; Expenses: Only Operating Expense items can be selected.</li>\r\n	<li>HR &gt; Expenses &gt; Purchase Request: All items can be selected.</li>\r\n	<li>HR &gt; Expenses &gt; Expense Claims: Only Operating Expense items can be selected.</li>\r\n</ul>\r\n\r\n<p>The filter logics are based on common business transactions, and they help to prevent data entry error.</p>\r\n', 'Y', '', NULL, 6),
(1008, 122, 'Accounting Challenges', '<p>Confused by accounting terminologies? Not sure how to set up Chart of Accounts? If you don&#39;t understand the financial reports or don&#39;t know how to configure some of the settings in Finance module, work with an accountant or bookkeeper to create an accounting plan for your business. You can also ask the person to audit the financial transactions periodically and to assist with your business tax filings.</p>\r\n', 'Y', '', NULL, 7),
(1009, 122, 'System Needs Work', '<p>If the system does not meet 100% of your needs, don&rsquo;t be discouraged. Contact us for custom solutions to make it work better for you. Generally speaking, you can request us to change how certain features work or add new ones to the system.</p>\r\n\r\n<p>Our rate is very competitive, and we will be happy to give you an estimate and delivery timeframe after analyzing your requirements. All custom work is bound by &quot;Terms of Use&quot; as posted on our Web site.</p>\r\n', 'Y', '', '', 8),
(1010, 123, 'How to Upgrade', '<p>We release service packs and new versions periodically to enhance the system and to fix bugs. You are not obligated to do any upgrade except when needed in some specific situations. Upgrading the system using a service pack is always free, while a major version upgrade (e.g. 2.0 to 3.0) requires a new license key.</p>\r\n\r\n<p>To upgrade your system, open your browser and type in &ldquo;systemupgrade&rdquo; after the domain URL (e.g. &quot;localhost/systemupgrade&quot; or &quot;www.mysite.com/systemupgrade&quot;). Log in as System Admin and follow the instructions posted there.</p>\r\n', 'Y', '', NULL, 1),
(1011, 123, 'Technical Support', '<p>Technical support&nbsp;is provided via our online helpdesk, and it&rsquo;s free of charge for a period of 12 months after a license purchase for the Web version. The free Desktop version does not come with any support, however, you can pay for the support separately. Any custom work or license upgrade would extend the support period for another 12 months. The free support services include system installation, troubleshooting, and bug fixing. We may charge you a fee to fix issues if your version has been customized or if you cannot wait for the release of new versions. Any customization work is charged separately because we need to put in additional resources to meet your needs.</p>\r\n\r\n<p>You can open a support ticket at our site or work through the reseller who has sold you the license key. For the Desktop version, we may need to access your computer remotely using TeamViewer or a similar application, and the access is done with your presence at a scheduled time. For the Web version, we may need to access your site cPanel, and your presence is not needed.</p>\r\n', 'Y', '', NULL, 2);


ALTER TABLE `finance_currencies` ADD `code` VARCHAR(3) NOT NULL AFTER `currency_id`;

CREATE TABLE IF NOT EXISTS `organization_bank_accounts` (
  `bank_account_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` varchar(250) NOT NULL,
  `secret` varchar(250) NOT NULL,
  `environment` varchar(10) NOT NULL,
  `banks` text NOT NULL,
  PRIMARY KEY (`bank_account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `finance_banking` (
  `banking_id` int(11) NOT NULL AUTO_INCREMENT,
  `source` varchar(20) NOT NULL,
  `plaid_account_id` varchar(250) NOT NULL,
  `plaid_account_type` varchar(20) NOT NULL,
  `bank_name` varchar(200) NOT NULL,
  `period_from` date NOT NULL,
  `period_to` date NOT NULL,
  `account` varchar(200) NOT NULL,
  `beginning_balance` double(10,2) NOT NULL,
  `ending_balance` double(10,2) NOT NULL,
  PRIMARY KEY (`banking_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `finance_banking_transactions` (
  `banking_transaction_id` int(11) NOT NULL AUTO_INCREMENT,
  `banking_id` int(11) NOT NULL DEFAULT '0',
  `plaid_account_id` varchar(250) NOT NULL,
  `plaid_transaction_id` varchar(100) NOT NULL,
  `transaction_id` int(11) NOT NULL DEFAULT '0',
  `method_id` int(11) NOT NULL DEFAULT '0',
  `transaction_ids` text NOT NULL,
  `date` date NOT NULL,
  `description` varchar(250) NOT NULL,
  `amount` double(10,2) NOT NULL,
  `balance` double(10,2) NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`banking_transaction_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

ALTER TABLE `common_settings` ADD `ups_username` VARCHAR(150) NOT NULL AFTER `yahoo_oauth_client_secret`;
ALTER TABLE `common_settings` ADD `ups_password` VARCHAR(150) NOT NULL AFTER `ups_username`;
ALTER TABLE `common_settings` ADD `ups_access_key` VARCHAR(150) NOT NULL AFTER `ups_password`;

ALTER TABLE `finance_sales_shipping` ADD `use_ups` CHAR(1) NOT NULL DEFAULT 'N' AFTER `shipping_service`;
ALTER TABLE `finance_sales_shipping` ADD `ups_services` TEXT NOT NULL AFTER `use_ups`;
ALTER TABLE `finance_sales_shipping` ADD `ups_packaging` TEXT NOT NULL AFTER `ups_services`;
ALTER TABLE `finance_sales_shipping` ADD `packaging` TEXT NOT NULL AFTER `tax_rate_id`;
ALTER TABLE `finance_sales_shipping` ADD `item_spacing` text NOT NULL AFTER `packaging`;
ALTER TABLE `finance_sales_shipping` ADD `wall_spacing` TEXT NOT NULL AFTER `item_spacing`;
ALTER TABLE `finance_sales_shipping` CHANGE `shipping_service` `shipping_provider` VARCHAR(100) NOT NULL;
ALTER TABLE `finance_sales_shipping` ADD `use_service` CHAR(1) NOT NULL DEFAULT 'Y' AFTER `default_service`;
ALTER TABLE `finance_sales_shipping` ADD `tracking_url` VARCHAR(300) NOT NULL AFTER `shipping_provider`;

ALTER TABLE `finance_sales_invoices` ADD `shipping_packaging` TEXT NOT NULL AFTER `shipping_method`; 
ALTER TABLE `finance_sales_quotes` ADD `shipping_packaging` TEXT NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_orders` ADD `shipping_packaging` TEXT NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_shipments` ADD `shipping_packaging` TEXT NOT NULL AFTER `shipping_method`; 
ALTER TABLE `onlinestore_shoppingcarts` ADD `packages` TEXT NOT NULL AFTER `handlingrate`;

ALTER TABLE `license` ADD `version_display` varchar(15) AFTER `status`;

ALTER TABLE `finance_sales_invoices` ADD `bad_debt_details` varchar(100) NOT NULL DEFAULT '[]' AFTER `write_off_date`;
ALTER TABLE `finance_sales_adjustments` ADD `bad_debt_details` varchar(100) NOT NULL DEFAULT '[]' AFTER `write_off_date`;
ALTER TABLE `finance_purchases_adjustments` ADD `bad_debt_details` varchar(100) NOT NULL DEFAULT '[]' AFTER `write_off_date`;

ALTER TABLE `finance_purchases_orders` ADD `bad_debt_relief` CHAR(1) NOT NULL DEFAULT 'N' AFTER `total`;
ALTER TABLE `finance_purchases_orders` ADD `write_off_date` DATE NULL DEFAULT NULL AFTER `bad_debt_relief`;
ALTER TABLE `finance_purchases_orders` ADD `bad_debt_details` VARCHAR(100) NOT NULL DEFAULT '[]' AFTER `write_off_date`;
ALTER TABLE `finance_purchases_orders` ADD `recovered_date` DATE NULL DEFAULT NULL AFTER `bad_debt_details`;

ALTER TABLE `finance_sales_shipping` CHANGE `default_service` `show_first` CHAR(1) NOT NULL DEFAULT 'N';

ALTER TABLE `finance_sales_shipment_expenses` CHANGE `amount` `total` DOUBLE(10,2) NOT NULL;
ALTER TABLE `finance_sales_shipment_expenses` ADD `shipping` DOUBLE(10,2) NOT NULL AFTER `to_account`;
ALTER TABLE `finance_sales_shipment_expenses` ADD `sales_tax` DOUBLE(10,2) NOT NULL AFTER `shipping`;
ALTER TABLE `finance_sales_shipment_expenses` ADD `rate_id` INT(11) NOT NULL DEFAULT '0' AFTER `sales_tax`;
ALTER TABLE `finance_sales_shipment_expenses` ADD `tax_rate` DOUBLE(10,3) NOT NULL AFTER `rate_id`;

ALTER TABLE `finance_purchases_return_expenses` CHANGE `amount` `total` DOUBLE(10,2) NOT NULL;
ALTER TABLE `finance_purchases_return_expenses` ADD `shipping` DOUBLE(10,2) NOT NULL AFTER `to_account`;
ALTER TABLE `finance_purchases_return_expenses` ADD `sales_tax` DOUBLE(10,2) NOT NULL AFTER `shipping`;
ALTER TABLE `finance_purchases_return_expenses` ADD `rate_id` INT(11) NOT NULL DEFAULT '0' AFTER `sales_tax`;
ALTER TABLE `finance_purchases_return_expenses` ADD `tax_rate` DOUBLE(10,3) NOT NULL AFTER `rate_id`;

ALTER TABLE `finance_purchases_received` ADD `import_form_type` VARCHAR(25) NOT NULL AFTER `items`;
ALTER TABLE `finance_purchases_received` ADD `import_form_number` VARCHAR(150) NOT NULL AFTER `import_form_type`;
ALTER TABLE `finance_purchases_received` ADD `import_file_attachment` TEXT NOT NULL AFTER `import_form_number`;
ALTER TABLE `finance_purchases_received` ADD `import_custom_duty_rate` DOUBLE(10,2) NOT NULL AFTER `import_file_attachment`;
ALTER TABLE `finance_purchases_received` ADD `import_custom_duty_value` DOUBLE(10,2) NOT NULL AFTER `import_custom_duty_rate`;
ALTER TABLE `finance_purchases_received` ADD `import_tax_code` INT(11) NOT NULL DEFAULT '0' AFTER `import_custom_duty_value`;
ALTER TABLE `finance_purchases_received` ADD `import_gst` DOUBLE(10,2) NOT NULL AFTER `import_tax_code`;
ALTER TABLE `finance_purchases_received` ADD `import_payment_method` TEXT NOT NULL AFTER `import_gst`;

ALTER TABLE `finance_expenses` ADD `extra_option` varchar(20) NOT NULL DEFAULT 'recurring' AFTER `receipt`;
ALTER TABLE `finance_expenses` ADD `gift_items` TEXT NOT NULL AFTER `extra_option`;
ALTER TABLE `finance_expenses` ADD `tax_collection` CHAR(1) NOT NULL DEFAULT 'N' AFTER `company`;

ALTER TABLE `finance_account_transactions` ADD `bad_debt_relief` CHAR(1) NOT NULL DEFAULT 'Y' AFTER `user_id`;
ALTER TABLE `finance_account_transactions` ADD `bad_debt_recovery` CHAR(1) NOT NULL DEFAULT 'Y' AFTER `bad_debt_relief`;
ALTER TABLE `finance_account_transactions` ADD `refused_debt` CHAR(1) NOT NULL DEFAULT 'Y' AFTER `bad_debt_recovery`;
ALTER TABLE `finance_account_transactions` ADD `repaid_debt` CHAR(1) NOT NULL DEFAULT 'Y' AFTER `refused_debt`;

ALTER TABLE `finance_taxes` ADD `action` VARCHAR(20) NOT NULL AFTER `type`;
ALTER TABLE `finance_taxes` ADD `tax_return` VARCHAR(30) NOT NULL AFTER `to_account`;
ALTER TABLE `finance_taxes` ADD `payment` VARCHAR(30) NOT NULL AFTER `tax_return`;
ALTER TABLE `finance_taxes` ADD `paid_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_taxes` ADD `payment_date` DATE NULL DEFAULT NULL AFTER `payment`;
ALTER TABLE `finance_taxes` ADD `gst03_content` TEXT NOT NULL AFTER `status`;
ALTER TABLE `finance_taxes` ADD `gaf_content` TEXT NOT NULL AFTER `gst03_content`;

UPDATE `finance_chart_of_accounts` SET `name` = 'Sales Tax Paid on Purchases' WHERE `finance_chart_of_accounts`.`account_id` = 203;
UPDATE `finance_chart_of_accounts` SET `name` = 'Sales Tax Collected from Sales' WHERE `finance_chart_of_accounts`.`account_id` = 204;
UPDATE `finance_chart_of_accounts` SET `account_number` = '626', `account_id` = 626 WHERE `finance_chart_of_accounts`.`account_id` = 624;
UPDATE `finance_chart_of_accounts` SET `account_number` = '625', `account_id` = 625 WHERE `finance_chart_of_accounts`.`account_id` = 623;
UPDATE `finance_chart_of_accounts` SET `account_number` = '624', `account_id` = 624 WHERE `finance_chart_of_accounts`.`account_id` = 622;
UPDATE `finance_chart_of_accounts` SET `account_number` = '623', `account_id` = 623 WHERE `finance_chart_of_accounts`.`account_id` = 621;
UPDATE `finance_chart_of_accounts` SET `account_number` = '622', `account_id` = 622 WHERE `finance_chart_of_accounts`.`account_id` = 620;
UPDATE `finance_chart_of_accounts` SET `account_number` = '621', `account_id` = 621 WHERE `finance_chart_of_accounts`.`account_id` = 619;
UPDATE `finance_chart_of_accounts` SET `account_number` = '620', `account_id` = 620 WHERE `finance_chart_of_accounts`.`account_id` = 618;
UPDATE `finance_chart_of_accounts` SET `account_number` = '619', `account_id` = 619 WHERE `finance_chart_of_accounts`.`account_id` = 617;
UPDATE `finance_chart_of_accounts` SET `account_number` = '618', `account_id` = 618 WHERE `finance_chart_of_accounts`.`account_id` = 616;
UPDATE `finance_chart_of_accounts` SET `account_number` = '617', `account_id` = 617 WHERE `finance_chart_of_accounts`.`account_id` = 615;
UPDATE `finance_chart_of_accounts` SET `account_number` = '616', `account_id` = 616 WHERE `finance_chart_of_accounts`.`account_id` = 614;
UPDATE `finance_chart_of_accounts` SET `account_number` = '615', `account_id` = 615 WHERE `finance_chart_of_accounts`.`account_id` = 613;
UPDATE `finance_chart_of_accounts` SET `account_number` = '614', `account_id` = 614 WHERE `finance_chart_of_accounts`.`account_id` = 612;
UPDATE `finance_chart_of_accounts` SET `account_number` = '613', `account_id` = 613 WHERE `finance_chart_of_accounts`.`account_id` = 611;
UPDATE `finance_chart_of_accounts` SET `account_number` = '612', `account_id` = 612 WHERE `finance_chart_of_accounts`.`account_id` = 610;
UPDATE `finance_chart_of_accounts` SET `account_number` = '611', `account_id` = 611 WHERE `finance_chart_of_accounts`.`account_id` = 609;
UPDATE `finance_chart_of_accounts` SET `account_number` = '610', `account_id` = 610 WHERE `finance_chart_of_accounts`.`account_id` = 608;
UPDATE `finance_chart_of_accounts` SET `account_number` = '608', `account_id` = 608 WHERE `finance_chart_of_accounts`.`account_id` = 607;
UPDATE `finance_chart_of_accounts` SET `account_number` = '607', `account_id` = 607 WHERE `finance_chart_of_accounts`.`account_id` = 606;

INSERT INTO `finance_chart_of_accounts` (`account_id`, `account_number`, `name`, `class`, `type`, `description`, `usage_journal`, `usage_item_list`, `usage_payroll`, `usage_transfers`, `usage_payment_method`, `normal_balance`, `prepared_opening_balance`, `processed_opening_balance`, `prepared_balance`, `processed_balance`, `status`, `locked`) VALUES
(119, 119, 'GST Input Tax', 'Assets', 'Current Asset', 'GST that your business paid to vendors and suppliers.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[267.6]', '[36.6]', 'Active', 'Y'),
(120, 120, 'GST Adjustment for AP Refused Debts', 'Assets', 'Current Asset', 'GST adjustment for account payable because your business refused to pay for certain purchases.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(213, 213, 'GST Output Tax', 'Liabilities', 'Current Liability', 'GST collected from your customers and clients and will need to be paid to the tax authority.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[-190.15]', '[-79.8]', 'Active', 'Y'),
(214, 214, 'GST Control', 'Liabilities', 'Current Liability', 'GST balance that is payable or claimable for a specific time period based on the amounts documented in input tax, output, and adjustment tax accounts.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(215, 215, 'GST Adjustment for AR Bad Debts', 'Liabilities', 'Current Liability', 'GST adjustment for account receivable because of bad debts by your customers and clients.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(406, 406, 'Refused & Recovered Debts', 'Revenue', 'Operating Revenue', 'Refused debts are what you refused to pay to vendors and suppliers, while recovered debts are bad debt payments from customers and clients.', 'Y', 'N', 'N', 'N', 'N', 'Credit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(606, 606, 'Business Gifts', 'Expenses', 'Operating Expense', 'The cost of gifts that you give to other businesses which can be deducted as an expense.', 'Y', 'Y', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y'),
(609, 609, 'Custom Duty', 'Expenses', 'Operating Expense', 'Custom duty fees paid for the import of goods from other countries.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[50]', '[50]', 'Active', 'Y'),
(627, 627, 'GST Not Claimable', 'Expenses', 'Operating Expense', 'GST that cannot be claimed back from the tax authority. An example is GST paid on gifts based on gift rule.', 'Y', 'N', 'N', 'N', 'N', 'Debit', '["0.00"]', '["0.00"]', '[0]', '[0]', 'Active', 'Y');

UPDATE `finance_account_activities` SET `account_id` = '626' WHERE `account_id` = 624;
UPDATE `finance_account_activities` SET `account_id` = '625' WHERE `account_id` = 623;
UPDATE `finance_account_activities` SET `account_id` = '624' WHERE `account_id` = 622;
UPDATE `finance_account_activities` SET `account_id` = '623' WHERE `account_id` = 621;
UPDATE `finance_account_activities` SET `account_id` = '622' WHERE `account_id` = 620;
UPDATE `finance_account_activities` SET `account_id` = '621' WHERE `account_id` = 619;
UPDATE `finance_account_activities` SET `account_id` = '620' WHERE `account_id` = 618;
UPDATE `finance_account_activities` SET `account_id` = '619' WHERE `account_id` = 617;
UPDATE `finance_account_activities` SET `account_id` = '618' WHERE `account_id` = 616;
UPDATE `finance_account_activities` SET `account_id` = '617' WHERE `account_id` = 615;
UPDATE `finance_account_activities` SET `account_id` = '616' WHERE `account_id` = 614;
UPDATE `finance_account_activities` SET `account_id` = '615' WHERE `account_id` = 613;
UPDATE `finance_account_activities` SET `account_id` = '614' WHERE `account_id` = 612;
UPDATE `finance_account_activities` SET `account_id` = '613' WHERE `account_id` = 611;
UPDATE `finance_account_activities` SET `account_id` = '612' WHERE `account_id` = 610;
UPDATE `finance_account_activities` SET `account_id` = '611' WHERE `account_id` = 609;
UPDATE `finance_account_activities` SET `account_id` = '610' WHERE `account_id` = 608;
UPDATE `finance_account_activities` SET `account_id` = '608' WHERE `account_id` = 607;
UPDATE `finance_account_activities` SET `account_id` = '607' WHERE `account_id` = 606;
UPDATE `finance_account_activities` SET `account_id` = '119' WHERE `account_id` = 203 AND (SELECT default_country FROM common_settings WHERE setting_id = 1 LIMIT 1) != 195;
UPDATE `finance_account_activities` SET `account_id` = '213' WHERE `account_id` = 204 AND (SELECT default_country FROM common_settings WHERE setting_id = 1 LIMIT 1) != 195;

UPDATE `finance_items_lists` SET `designated_account` = '626' WHERE `finance_items_lists`.`designated_account` = 624;
UPDATE `finance_items_lists` SET `designated_account` = '625' WHERE `finance_items_lists`.`designated_account` = 623;
UPDATE `finance_items_lists` SET `designated_account` = '624' WHERE `finance_items_lists`.`designated_account` = 622;
UPDATE `finance_items_lists` SET `designated_account` = '623' WHERE `finance_items_lists`.`designated_account` = 621;
UPDATE `finance_items_lists` SET `designated_account` = '622' WHERE `finance_items_lists`.`designated_account` = 620;
UPDATE `finance_items_lists` SET `designated_account` = '621' WHERE `finance_items_lists`.`designated_account` = 619;
UPDATE `finance_items_lists` SET `designated_account` = '615' WHERE `finance_items_lists`.`designated_account` = 613;
UPDATE `finance_items_lists` SET `designated_account` = '614' WHERE `finance_items_lists`.`designated_account` = 612;
UPDATE `finance_items_lists` SET `designated_account` = '613' WHERE `finance_items_lists`.`designated_account` = 611;
UPDATE `finance_items_lists` SET `designated_account` = '612' WHERE `finance_items_lists`.`designated_account` = 610;
UPDATE `finance_items_lists` SET `designated_account` = '611' WHERE `finance_items_lists`.`designated_account` = 609;
UPDATE `finance_items_lists` SET `designated_account` = '610' WHERE `finance_items_lists`.`designated_account` = 608;

UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"624","designated_account_name":"624: Utilities"', '"designated_account":"626","designated_account_name":"626: Utilities"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"623","designated_account_name":"623: Travel & Entertainment"', '"designated_account":"625","designated_account_name":"625: Travel & Entertainment"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"622","designated_account_name":"622: Telephone, Internet, & Cable"', '"designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"621","designated_account_name":"621: Shipping & Delivery Expenses"', '"designated_account":"623","designated_account_name":"623: Shipping & Delivery Expenses"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"620","designated_account_name":"620: Repairs & Maintenance"', '"designated_account":"622","designated_account_name":"622: Repairs & Maintenance"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"619","designated_account_name":"619: Rent"', '"designated_account":"621","designated_account_name":"621: Rent"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"613","designated_account_name":"613: Outside Services"', '"designated_account":"615","designated_account_name":"615: Outside Services"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"612","designated_account_name":"612: Office Expenses"', '"designated_account":"614","designated_account_name":"614: Office Expenses"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"611","designated_account_name":"611: Legal & Professional"', '"designated_account":"613","designated_account_name":"613: Legal & Professional"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"610","designated_account_name":"610: Insurance"', '"designated_account":"612","designated_account_name":"612: Insurance"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"609","designated_account_name":"609: Dues & Subscriptions"', '"designated_account":"611","designated_account_name":"611: Dues & Subscriptions"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"designated_account":"608","designated_account_name":"608: Depreciation"', '"designated_account":"610","designated_account_name":"610: Depreciation"');

UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"624","designated_account_name":"624: Utilities"', '"designated_account":"626","designated_account_name":"626: Utilities"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"623","designated_account_name":"623: Travel & Entertainment"', '"designated_account":"625","designated_account_name":"625: Travel & Entertainment"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"622","designated_account_name":"622: Telephone, Internet, & Cable"', '"designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"621","designated_account_name":"621: Shipping & Delivery Expenses"', '"designated_account":"623","designated_account_name":"623: Shipping & Delivery Expenses"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"620","designated_account_name":"620: Repairs & Maintenance"', '"designated_account":"622","designated_account_name":"622: Repairs & Maintenance"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"619","designated_account_name":"619: Rent"', '"designated_account":"621","designated_account_name":"621: Rent"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"613","designated_account_name":"613: Outside Services"', '"designated_account":"615","designated_account_name":"615: Outside Services"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"612","designated_account_name":"612: Office Expenses"', '"designated_account":"614","designated_account_name":"614: Office Expenses"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"611","designated_account_name":"611: Legal & Professional"', '"designated_account":"613","designated_account_name":"613: Legal & Professional"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"610","designated_account_name":"610: Insurance"', '"designated_account":"612","designated_account_name":"612: Insurance"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"609","designated_account_name":"609: Dues & Subscriptions"', '"designated_account":"611","designated_account_name":"611: Dues & Subscriptions"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"designated_account":"608","designated_account_name":"608: Depreciation"', '"designated_account":"610","designated_account_name":"610: Depreciation"');

UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"624","designated_account_name":"624: Utilities"', '"designated_account":"626","designated_account_name":"626: Utilities"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"623","designated_account_name":"623: Travel & Entertainment"', '"designated_account":"625","designated_account_name":"625: Travel & Entertainment"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"622","designated_account_name":"622: Telephone, Internet, & Cable"', '"designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"621","designated_account_name":"621: Shipping & Delivery Expenses"', '"designated_account":"623","designated_account_name":"623: Shipping & Delivery Expenses"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"620","designated_account_name":"620: Repairs & Maintenance"', '"designated_account":"622","designated_account_name":"622: Repairs & Maintenance"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"619","designated_account_name":"619: Rent"', '"designated_account":"621","designated_account_name":"621: Rent"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"613","designated_account_name":"613: Outside Services"', '"designated_account":"615","designated_account_name":"615: Outside Services"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"612","designated_account_name":"612: Office Expenses"', '"designated_account":"614","designated_account_name":"614: Office Expenses"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"611","designated_account_name":"611: Legal & Professional"', '"designated_account":"613","designated_account_name":"613: Legal & Professional"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"610","designated_account_name":"610: Insurance"', '"designated_account":"612","designated_account_name":"612: Insurance"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"609","designated_account_name":"609: Dues & Subscriptions"', '"designated_account":"611","designated_account_name":"611: Dues & Subscriptions"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"designated_account":"608","designated_account_name":"608: Depreciation"', '"designated_account":"610","designated_account_name":"610: Depreciation"');

UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"624","designated_account_name":"624: Utilities"', '"designated_account":"626","designated_account_name":"626: Utilities"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"623","designated_account_name":"623: Travel & Entertainment"', '"designated_account":"625","designated_account_name":"625: Travel & Entertainment"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"622","designated_account_name":"622: Telephone, Internet, & Cable"', '"designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"621","designated_account_name":"621: Shipping & Delivery Expenses"', '"designated_account":"623","designated_account_name":"623: Shipping & Delivery Expenses"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"620","designated_account_name":"620: Repairs & Maintenance"', '"designated_account":"622","designated_account_name":"622: Repairs & Maintenance"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"619","designated_account_name":"619: Rent"', '"designated_account":"621","designated_account_name":"621: Rent"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"613","designated_account_name":"613: Outside Services"', '"designated_account":"615","designated_account_name":"615: Outside Services"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"612","designated_account_name":"612: Office Expenses"', '"designated_account":"614","designated_account_name":"614: Office Expenses"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"611","designated_account_name":"611: Legal & Professional"', '"designated_account":"613","designated_account_name":"613: Legal & Professional"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"610","designated_account_name":"610: Insurance"', '"designated_account":"612","designated_account_name":"612: Insurance"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"609","designated_account_name":"609: Dues & Subscriptions"', '"designated_account":"611","designated_account_name":"611: Dues & Subscriptions"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"designated_account":"608","designated_account_name":"608: Depreciation"', '"designated_account":"610","designated_account_name":"610: Depreciation"');

UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"624","designated_account_name":"624: Utilities"', '"designated_account":"626","designated_account_name":"626: Utilities"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"623","designated_account_name":"623: Travel & Entertainment"', '"designated_account":"625","designated_account_name":"625: Travel & Entertainment"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"622","designated_account_name":"622: Telephone, Internet, & Cable"', '"designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"621","designated_account_name":"621: Shipping & Delivery Expenses"', '"designated_account":"623","designated_account_name":"623: Shipping & Delivery Expenses"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"620","designated_account_name":"620: Repairs & Maintenance"', '"designated_account":"622","designated_account_name":"622: Repairs & Maintenance"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"619","designated_account_name":"619: Rent"', '"designated_account":"621","designated_account_name":"621: Rent"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"613","designated_account_name":"613: Outside Services"', '"designated_account":"615","designated_account_name":"615: Outside Services"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"612","designated_account_name":"612: Office Expenses"', '"designated_account":"614","designated_account_name":"614: Office Expenses"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"611","designated_account_name":"611: Legal & Professional"', '"designated_account":"613","designated_account_name":"613: Legal & Professional"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"610","designated_account_name":"610: Insurance"', '"designated_account":"612","designated_account_name":"612: Insurance"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"609","designated_account_name":"609: Dues & Subscriptions"', '"designated_account":"611","designated_account_name":"611: Dues & Subscriptions"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"designated_account":"608","designated_account_name":"608: Depreciation"', '"designated_account":"610","designated_account_name":"610: Depreciation"');

UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"624","designated_account_name":"624: Utilities"', '"designated_account":"626","designated_account_name":"626: Utilities"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"623","designated_account_name":"623: Travel & Entertainment"', '"designated_account":"625","designated_account_name":"625: Travel & Entertainment"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"622","designated_account_name":"622: Telephone, Internet, & Cable"', '"designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"621","designated_account_name":"621: Shipping & Delivery Expenses"', '"designated_account":"623","designated_account_name":"623: Shipping & Delivery Expenses"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"620","designated_account_name":"620: Repairs & Maintenance"', '"designated_account":"622","designated_account_name":"622: Repairs & Maintenance"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"619","designated_account_name":"619: Rent"', '"designated_account":"621","designated_account_name":"621: Rent"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"613","designated_account_name":"613: Outside Services"', '"designated_account":"615","designated_account_name":"615: Outside Services"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"612","designated_account_name":"612: Office Expenses"', '"designated_account":"614","designated_account_name":"614: Office Expenses"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"611","designated_account_name":"611: Legal & Professional"', '"designated_account":"613","designated_account_name":"613: Legal & Professional"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"610","designated_account_name":"610: Insurance"', '"designated_account":"612","designated_account_name":"612: Insurance"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"609","designated_account_name":"609: Dues & Subscriptions"', '"designated_account":"611","designated_account_name":"611: Dues & Subscriptions"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"designated_account":"608","designated_account_name":"608: Depreciation"', '"designated_account":"610","designated_account_name":"610: Depreciation"');

UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"624","designated_account_name":"624: Utilities"', '"designated_account":"626","designated_account_name":"626: Utilities"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"623","designated_account_name":"623: Travel & Entertainment"', '"designated_account":"625","designated_account_name":"625: Travel & Entertainment"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"622","designated_account_name":"622: Telephone, Internet, & Cable"', '"designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"621","designated_account_name":"621: Shipping & Delivery Expenses"', '"designated_account":"623","designated_account_name":"623: Shipping & Delivery Expenses"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"620","designated_account_name":"620: Repairs & Maintenance"', '"designated_account":"622","designated_account_name":"622: Repairs & Maintenance"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"619","designated_account_name":"619: Rent"', '"designated_account":"621","designated_account_name":"621: Rent"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"613","designated_account_name":"613: Outside Services"', '"designated_account":"615","designated_account_name":"615: Outside Services"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"612","designated_account_name":"612: Office Expenses"', '"designated_account":"614","designated_account_name":"614: Office Expenses"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"611","designated_account_name":"611: Legal & Professional"', '"designated_account":"613","designated_account_name":"613: Legal & Professional"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"610","designated_account_name":"610: Insurance"', '"designated_account":"612","designated_account_name":"612: Insurance"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"609","designated_account_name":"609: Dues & Subscriptions"', '"designated_account":"611","designated_account_name":"611: Dues & Subscriptions"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"designated_account":"608","designated_account_name":"608: Depreciation"', '"designated_account":"610","designated_account_name":"610: Depreciation"');

UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"624","designated_account_name":"624: Utilities"', '"designated_account":"626","designated_account_name":"626: Utilities"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"623","designated_account_name":"623: Travel & Entertainment"', '"designated_account":"625","designated_account_name":"625: Travel & Entertainment"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"622","designated_account_name":"622: Telephone, Internet, & Cable"', '"designated_account":"624","designated_account_name":"624: Telephone, Internet, & Cable"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"621","designated_account_name":"621: Shipping & Delivery Expenses"', '"designated_account":"623","designated_account_name":"623: Shipping & Delivery Expenses"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"620","designated_account_name":"620: Repairs & Maintenance"', '"designated_account":"622","designated_account_name":"622: Repairs & Maintenance"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"619","designated_account_name":"619: Rent"', '"designated_account":"621","designated_account_name":"621: Rent"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"613","designated_account_name":"613: Outside Services"', '"designated_account":"615","designated_account_name":"615: Outside Services"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"612","designated_account_name":"612: Office Expenses"', '"designated_account":"614","designated_account_name":"614: Office Expenses"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"611","designated_account_name":"611: Legal & Professional"', '"designated_account":"613","designated_account_name":"613: Legal & Professional"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"610","designated_account_name":"610: Insurance"', '"designated_account":"612","designated_account_name":"612: Insurance"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"609","designated_account_name":"609: Dues & Subscriptions"', '"designated_account":"611","designated_account_name":"611: Dues & Subscriptions"');
UPDATE `hr_expenses` SET `items` = REPLACE(`items`, '"designated_account":"608","designated_account_name":"608: Depreciation"', '"designated_account":"610","designated_account_name":"610: Depreciation"');

RENAME TABLE `finance_account_transactions` TO `finance_transaction_journal`;

ALTER TABLE `common_settings` ADD `plaid_client_id` VARCHAR(50) NOT NULL AFTER `ups_access_key`;
ALTER TABLE `common_settings` ADD `plaid_secret` VARCHAR(100) NOT NULL AFTER `plaid_client_id`;
ALTER TABLE `common_settings` ADD `plaid_environment` VARCHAR(20) NOT NULL DEFAULT 'Test' AFTER `plaid_secret`;

ALTER TABLE `blog_facebook_posting` ADD `post_scheduled_history` TEXT NOT NULL AFTER `content_id`;
ALTER TABLE `blog_facebook_posting` ADD `post_immediate_history` TEXT NOT NULL AFTER `post_scheduled_history`;

UPDATE `finance_items_lists` SET `sales_tax` = 16 WHERE `sales_tax` = 14;
UPDATE `finance_sales_shipping` SET `tax_rate_id` = 16 WHERE `tax_rate_id` = 14;
UPDATE `matters_billing_codes` SET `tax_code` = 16 WHERE `tax_code` = 14;

UPDATE `advertising_settings` SET `setting` = 16 WHERE `useroption` = 'rate_id';
UPDATE `events_settings` SET `setting` = 16 WHERE `useroption` = 'rate_id';
UPDATE `helpdesk_settings` SET `setting` = 16 WHERE `useroption` = 'rate_id';
UPDATE `contacts_membership_packages` SET `rate_id` = 16 WHERE `rate_id` = 14;

UPDATE `finance_sales_adjustments` SET `items` = REPLACE(`items`, '"rate_id":"16"', '"rate_id":"19"');
UPDATE `finance_sales_adjustments` SET `items` = REPLACE(`items`, '"rate_id":"14"', '"rate_id":"16"');
UPDATE `finance_sales_adjustments` SET `items` = REPLACE(`items`, '"default_rate_id":"16"', '"default_rate_id":"19"');
UPDATE `finance_sales_adjustments` SET `items` = REPLACE(`items`, '"default_rate_id":"14"', '"default_rate_id":"16"');

UPDATE `finance_sales_invoices` SET `items` = REPLACE(`items`, '"rate_id":"16"', '"rate_id":"19"');
UPDATE `finance_sales_invoices` SET `items` = REPLACE(`items`, '"rate_id":"14"', '"rate_id":"16"');
UPDATE `finance_sales_invoices` SET `items` = REPLACE(`items`, '"default_rate_id":"16"', '"default_rate_id":"19"');
UPDATE `finance_sales_invoices` SET `items` = REPLACE(`items`, '"default_rate_id":"14"', '"default_rate_id":"16"');

UPDATE `finance_sales_orders` SET `items` = REPLACE(`items`, '"rate_id":"16"', '"rate_id":"19"');
UPDATE `finance_sales_orders` SET `items` = REPLACE(`items`, '"rate_id":"14"', '"rate_id":"16"');
UPDATE `finance_sales_orders` SET `items` = REPLACE(`items`, '"default_rate_id":"16"', '"default_rate_id":"19"');
UPDATE `finance_sales_orders` SET `items` = REPLACE(`items`, '"default_rate_id":"14"', '"default_rate_id":"16"');

UPDATE `finance_sales_quotes` SET `items` = REPLACE(`items`, '"rate_id":"16"', '"rate_id":"19"');
UPDATE `finance_sales_quotes` SET `items` = REPLACE(`items`, '"rate_id":"14"', '"rate_id":"16"');
UPDATE `finance_sales_quotes` SET `items` = REPLACE(`items`, '"default_rate_id":"16"', '"default_rate_id":"19"');
UPDATE `finance_sales_quotes` SET `items` = REPLACE(`items`, '"default_rate_id":"14"', '"default_rate_id":"16"');

UPDATE `finance_sales_returns` SET `items` = REPLACE(`items`, '"rate_id":"16"', '"rate_id":"19"');
UPDATE `finance_sales_returns` SET `items` = REPLACE(`items`, '"rate_id":"14"', '"rate_id":"16"');
UPDATE `finance_sales_returns` SET `items` = REPLACE(`items`, '"default_rate_id":"16"', '"default_rate_id":"19"');
UPDATE `finance_sales_returns` SET `items` = REPLACE(`items`, '"default_rate_id":"14"', '"default_rate_id":"16"');

UPDATE `finance_sales_shipments` SET `items` = REPLACE(`items`, '"rate_id":"16"', '"rate_id":"19"');
UPDATE `finance_sales_shipments` SET `items` = REPLACE(`items`, '"rate_id":"14"', '"rate_id":"16"');
UPDATE `finance_sales_shipments` SET `items` = REPLACE(`items`, '"default_rate_id":"16"', '"default_rate_id":"19"');
UPDATE `finance_sales_shipments` SET `items` = REPLACE(`items`, '"default_rate_id":"14"', '"default_rate_id":"16"');

UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"rate_id":"2"', '"rate_id":"6"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"rate_id":"5"', '"rate_id":"9"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"default_rate_id":"2"', '"default_rate_id":"6"');
UPDATE `finance_purchases_adjustments` SET `items` = REPLACE(`items`, '"default_rate_id":"5"', '"default_rate_id":"9"');

UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"rate_id":"2"', '"rate_id":"6"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"rate_id":"5"', '"rate_id":"9"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"default_rate_id":"2"', '"default_rate_id":"6"');
UPDATE `finance_purchases_orders` SET `items` = REPLACE(`items`, '"default_rate_id":"5"', '"default_rate_id":"9"');

UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"rate_id":"2"', '"rate_id":"6"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"rate_id":"5"', '"rate_id":"9"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"default_rate_id":"2"', '"default_rate_id":"6"');
UPDATE `finance_purchases_quotes` SET `items` = REPLACE(`items`, '"default_rate_id":"5"', '"default_rate_id":"9"');

UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"rate_id":"2"', '"rate_id":"6"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"rate_id":"5"', '"rate_id":"9"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"default_rate_id":"2"', '"default_rate_id":"6"');
UPDATE `finance_purchases_received` SET `items` = REPLACE(`items`, '"default_rate_id":"5"', '"default_rate_id":"9"');
UPDATE `finance_purchases_received` SET `import_tax_code` = 6 WHERE `import_tax_code` = 2;

UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"rate_id":"2"', '"rate_id":"6"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"rate_id":"5"', '"rate_id":"9"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"default_rate_id":"2"', '"default_rate_id":"6"');
UPDATE `finance_purchases_request` SET `items` = REPLACE(`items`, '"default_rate_id":"5"', '"default_rate_id":"9"');

UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"rate_id":"2"', '"rate_id":"6"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"rate_id":"5"', '"rate_id":"9"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"default_rate_id":"2"', '"default_rate_id":"6"');
UPDATE `finance_purchases_returns` SET `items` = REPLACE(`items`, '"default_rate_id":"5"', '"default_rate_id":"9"');

UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"rate_id":"2"', '"rate_id":"6"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"rate_id":"5"', '"rate_id":"9"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"default_rate_id":"2"', '"default_rate_id":"6"');
UPDATE `finance_expenses` SET `items` = REPLACE(`items`, '"default_rate_id":"5"', '"default_rate_id":"9"');

ALTER TABLE `contacts_contacts` CHANGE `shipping_option` `same_as_billing_address` CHAR(1) NOT NULL DEFAULT 'Y';
UPDATE `contacts_contacts` SET `same_as_billing_address` = 'Y';

